2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-07-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-autofilter.c (dialog_auto_filter): set up column label for 
	top 10 dialog; use separate keys otherwise they share their size.
	* src/dialogs/autofilter-top10.glade: add label

2010-07-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-autofilter.c (dialog_auto_filter): set up column labels
	* autofilter-expression.glade: add labels

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-autofilter.c (cb_autofilter_ok): use 
	cmd_autofilter_set_condition
	
2010-07-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-row-height.c (dialog_row_height): make sure the spin 
	  box is at least 1, since 0 stands for "default".

2010-07-29  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (cb_treeview_expose): Draw using cairo.
	Fix event argument type.

2010-07-28  Morten Welinder  <terra@gnome.org>

	* dialog-stf.h (FixedInfo_t): Remove unused GdkGC.

2010-07-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-format.c (underline_types): add low underlines

2010-07-28  Morten Welinder  <terra@gnome.org>

	* dialog-about.c (text_item_renderer): Draw with pango.

2010-07-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-about.c (dialog_about): use gtk_dialog_get_content_area
	from dead-kittens
	* dialog-stf-format-page.c (cb_format_clicked): new
	(cb_popup_menu_extend_format): format label has become a button
	(format_page_update_preview): ditto, no need to create a format
	selector here
	(activate_column): no need to handle the format selector any
	longer
	(locale_changed_cb): ditto
	(stf_dialog_format_page_prepare): ditto
	(stf_dialog_format_page_init): ditto
	(cb_number_format_changed): deleted, code moved to
	cb_format_clicked
	* dialog-stf.glade: no need for a format selector
	* dialog-stf.h: reove unneeded fields

2010-07-27  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (mode_t): Rename to DialogMode since
	mode_t is reserved (and actually used by mingw).

2010-07-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-search.c (dialog_search_save_in_prefs): fix type

2010-07-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-search.c (dialog_search_save_in_prefs): new
	(dialog_search): use preferences
	(search_clicked): save preferences if appropriate
	* search-replace.glade: some minor adjustments
	* search.ui: add save as defaults checkbox

2010-07-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-hyperlink.c (dialog_hyperlink): duplicate the hyperlink, it
	  may be used in many cells and we want to change it only here.

2010-07-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (pref_tool_page_initializer): add checkboxes
	  for tooltip preferences

2010-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (dialog_function_select_load_tree): dont load
	  placeholders

2010-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_dialog_function_select_destroy): handle
	  new field of state
	(dialog_function_select_init): load new field of state

2010-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_dialog_function_select_paste_clicked):
	  use the range passed if appropriate
	(dialog_function_select_full): add arguments and save the passed range
	  info, change all callers

2010-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialogs.h (dialog_function_select_paste): add arguments
	* dialog-function-select.c (dialog_function_select_paste): add arguments

2010-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_init): set the window title for the
	  paste dialog.

2010-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_dialog_function_row_activated):
	  consider the current mode
	(dialog_function_select_init): connect cb_dialog_function_row_activated
	  also in paste mode

2010-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (FunctionSelectState): new fields
	(cb_dialog_function_select_paste_clicked): new
	(cb_dialog_function_row_activated): handle paste button
	(dialog_function_select_init): handle paste button
	* dialogs.h (dialog_function_select_help): new
	(dialog_function_select_paste): new
	* function-select.glade: add paste button

2010-07-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_dialog_function_row_activated): new
	(dialog_function_select_init): connect cb_dialog_function_row_activated

2010-07-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-workbook-attr.c (attr_dialog_init_cell_marker_page): new
	(page_info): add new page
	* workbook-attr.glade: add cell marker pane

2010-07-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (custom_pref_conf_to_widget_ecd): new
	(gnm_conf_set_core_file_save_extension_check_disabled_wrap): new
	(gnm_conf_get_core_file_save_extension_check_disabled_wrap): new
	(custom_pref_create_widget_ecd): new
	(pref_file_page_initializer): add disable-extension-check check box

2010-07-09  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (calc_char_index): add missing
	dereference.

2010-07-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (make_expr_example): use the suggested
	  format

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-solver.c (dialog_init): If we have no existing target we
	should add only the edit position not the whole selection.

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-solver.c (dialog_init): If we have no existing target we
	should add the selection.

2010-07-04  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (dialog_init): Don't add current selection to
	target.

2010-07-03  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (run_solver): Check that the solver is
	functional.  Fix error message.

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-search-replace.c (dialog_search_replace_save_in_prefs): new
	(apply_clicked): call dialog_search_replace_save_in_prefs if
	  appropriate
	(dialog_search_replace): set the current state according to the
	  preferences
	* search-replace.glade: add checkbox to save settings as default

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-data-table.c (dialog_data_table): check whether the
	  table range is locked.

2010-06-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf.h (FormatInfo_t): add new field
	* dialog-stf.c (stf_dialog): transfer autofit array
	* dialog-stf-format-page.c (cb_col_check_clicked): set
	  sensitivity of autofit check
	(cb_col_check_autofit_clicked): new
	(format_page_update_preview): handle new field
	(stf_dialog_format_page_cleanup): ditto
	(stf_dialog_format_page_init): ditto

2010-06-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheetobject-size.c (set_params): new
	(cb_dialog_so_size_apply_clicked): use cmd_generic instead of
	  cmd_so_rename

2010-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-solver.c (dialog_init): setup first entry

2010-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-formula-guru.c (real_start_editing_cb): deleted
	(start_editing_cb): include real_start_editing_cb here
	  (removes gtk 2.2 hack)

2010-06-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-formula-guru.c (cb_dialog_formula_guru_query_tooltip):
	  adjust tooltip

2010-06-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (dialog_tool_init): disable tooltips
	  on input expression entries

2010-06-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-formula-guru.c (dialog_formula_guru_adjust_children): drop
	  the last argument of gnm_func_convert_markup_to_pango
	(cb_dialog_formula_guru_destroy): unref tooltip widgets
	(cb_dialog_formula_guru_query_tooltip): create our own tooltip
	(dialog_formula_guru_init): initialize tooltip widgets

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-06-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-formula-guru.c (dialog_formula_guru_adjust_children): use
	  gnm_func_convert_markup_to_pango

2010-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-goto-cell.c (cb_load_names): only load names that are in
	  fact addresses.
	(cb_dialog_goto_selection_changed): only try to go to addresses

2010-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-formula-guru.c (dialog_formula_guru_adjust_children): load
	  tooltip
	(dialog_formula_guru_init): set up tooltips

2010-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialogs.h (dialog_formula_guru): change storage class of an arg
	* dialog-function-select.c (cb_dialog_function_select_ok_clicked):
	  change call of dialog_formula_guru
	* dialog-formula-guru.c (dialog_formula_guru_load_fd): remove
	  unneeded code
	(cb_dialog_formula_guru_destroy): reenable tips
	(dialog_formula_guru): change storage class of an arg and disable
	  tips

2010-06-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c
	(dialog_function_select_get_description): rename to
	  dialog_function_select_get_description
	(dialog_function_select_get_description): new
	(dialog_function_select_load_tree): store the PangoAttrList
	(dialog_function_select_init): set up new attribute field in
	  the liststore

2010-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c
	(dialog_function_select_erase_search_entry): only include for
	  newer gtk

2010-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (dialog_function_select_init):
	  change the dialog title to reflect help mode
	(dialog_function_select): use a differnt key in help mode to
	  avoid confusion

2010-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* function-select.glade: add close button
	* dialog-function-select.c (dialog_function_select_init):
	  show and hide the appropriate widgets depending on whether
	  we are in help mode
	(cb_dialog_function_select_ok_clicked): only called the
	  formula guru if we aren't in help mode
	(dialog_function_select): don't show the purposefully hidden
	  widgets

2010-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_unref): new
	(cb_dialog_function_select_search_all): handle "in use"
	  selection
	(dialog_function_select_search): set up "in use" selection
	(cb_dialog_function_select_destroy): unref funcs
	(dialog_function_select_load_cb): add "in use" item
	(dialog_function_select_get_description): load stubs
	(dialog_function_select_load_tree): ref the funcs when
	  storing them in the model
	(dialog_function_select_init): setup "in use" flag

2010-06-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (dialog_function_select_search):
	  for "recent" functions, reset the category to NULL
	(cb_dialog_function_load_recent_funcs): new
	(dialog_function_load_recent_funcs): toggle the recent flag
	  for recently used functions

2010-06-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* function-select.glade: redesign
	* dialog-function-select.c: rewrite nearly completely to
	  use a GtkTreeModelFilter and to provide search ability

2010-06-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* search-replace.glade: add apply button
	* dialog-search-replace.c (apply_clicked): new
	(ok_clicked): use apply_clicked
	(dialog_search_replace): attach apply_clicked

2010-06-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (cb_name_guru_name_edited): the
	  name becomes non-ediatable after it has been set.

2010-06-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* regression.glade: add new checkbox and move the selectors for
	  the type of regression ahead of the input fields.
	* dialog-analysis-tools.c (regression_tool_ok_clicked_cb):
	  handle multiple-y
	(regression_tool_update_sensitivity_cb): ditto
	(dialog_regression_tool): ditto
	(regression_tool_regression_radio_toggled_cb): new
	(regression_tool_regression_check_toggled_cb): new

2010-06-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_warn): implement

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_parse_pos_init): new
	(name_guru_check_expression): use name_guru_parse_pos_init
	(cb_name_guru_name_edited): don't duplicate errorchecks already
	  in cmd_define_name but make sure that we don't just redefine
	  names

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_move_record): change
	  argument to iter from path_string, change caller
	(cb_name_guru_name_edited): move the modified record into the
	  correct place

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_delete): no need to
	  check for in use if it wasn't saved.
	(name_guru_find_place): new
	(name_guru_move_record): use name_guru_find_place
	(cb_name_guru_name_edited): we also need to set the GnmNamedExpr
	  if we possibly added a new name.

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (cb_name_guru_search): make searching
	  case-insensitive.

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c: convert GtkTreeModelFilter iters to
	  GtkTreeStore iters throughout
	(cb_name_guru_show_all): new
	(name_guru_erase_search_entry): new
	(cb_name_guru_search): new
	(name_guru_search): new
	(name_guru_init): setup search entry
	* define-name.glade: add icon and search entry

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c: insert GtkTreeModelFilter between
	 GtkTreeStore and GtkTreeView and adjust code throughout.
	(name_guru_store_names): new type adjustment for every name
	(cb_name_guru_content_edited): don't leak GnmExprTop

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (cb_name_guru_switch_scope): use
	 cmd_rescope_name

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c: add #define for gtk 2.12

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_paste): delete the selection
	  and move the cursor into place

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_paste): don't overwrite text

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* paste-names.glade: deleted
	* dialog-paste-names.c: deleted
	* Makefile.am: remove the two above
	* help.h: deleted a comment
	* dialog-define-names.c: Add ITEM_PASTABLE and
	  ITEM_PASTE_IMAGE and handle throughout
	(name_guru_paste): new
	(cb_name_guru_clicked): handle paste button
	(cb_name_guru_paste): new
	(name_guru_update_sensitivity): new
	(cb_name_guru_selection_function): new
	(name_guru_init): set up the new callbacks
	(dialog_paste_names): new

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* define-name.glade: simplify
	* dialog-define-names.c: rewrite in its entirety

2010-06-02  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (cb_timer_tick): Use gnm_solver_elapsed.

2010-05-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* tool-dialogs.h (tool_setup_update): new
	* dialog-analysis-tool-chi-squared.c (dialog_chi_square_tool):
	  use tool_setup_update
	* dialog-analysis-tool-frequency.c (dialog_frequency_tool):
	  ditto
	* dialog-analysis-tool-normality.c (dialog_normality_tool):
	  ditto
	* dialog-analysis-tool-sign-test.c (dialog_sign_test_two_tool):
	  ditto
	(dialog_sign_test_tool): ditto
	* dialog-analysis-tools.c (tool_setup_update): new

2010-05-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialogs.h (dialog_sign_test_two_tool): new
	* dialog-analysis-tool-sign-test.c
	(sign_test_tool_update_common_sensitivity_cb): new
	(sign_test_tool_update_sensitivity_cb): split
	(sign_test_two_tool_update_sensitivity_cb): new
	(sign_test_two_tool_ok_clicked_cb): handle Signed-Rank
	(sign_test_tool_ok_clicked_cb): ditto
	(dialog_sign_test_two_tool): new
	(dialog_sign_test_tool): handle Signed-Rank
	* sign-test-two.glade: add radio buttons
	* sign-test.glade: ditto

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-27  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (dialog_init): Fix setting of spin buttons.

2010-05-26 Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Sameer Morar <smorar@gmail.com>

	*  print.glade: minor adjustments

2010-05-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (MarginPreviewPageAvailableSize):
	  change uint to guint
	(margin_preview_page_available_size): ditto

2010-05-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Sameer Morar <smorar@gmail.com>

	* print.glade: add GtkAlignment to margin preview to center it
	* dialog-printer-setup.c (margin_preview_page_available_size):
	  create function to determine the available page size based upon
	  surrounding widgets.
	(margin_preview_page_create): use new method to determine the
	  available preview page size.
	(do_setup_margin): use new method to determine the
	  available preview page size.

2010-05-24  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (run_solver): Make this less bouncy.

2010-05-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tool-wilcoxon-mann-whitney.c: new
	* wilcoxon-mann-whitney.glade: new
	* Makefile.am: added wilcoxon-mann-whitney.glade
	  and dialog-analysis-tool-wilcoxon-mann-whitney.c
	* dialogs.h (dialog_wilcoxon_m_w_tool): new
	* help.h (GNUMERIC_HELP_LINK_WILCOXON_MANN_WHITNEY): new

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* sheet-order.glade: improve layout on size changes of dialog

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-05-05 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf.c (stf_dialog_set_initial_keyboard_focus): use the
	finish and forward buttons as default buttons
	(frob_buttons): keep the finish button visible.
	* dialog-stf.glade: have only the forward and finish buttons as
	possible default buttons.

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-advanced-filter.c (advanced_filter_ok_clicked_cb): use
	  cmd_analysis_tool

2010-04-22 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_sheet_order_cnt_visible): simplify
	(sheet_order_cnt_visible): ditto
	(cb_toggled_visible): we are now ensuring that we are the only
	  modifier
	(sheet_selection_can_toggle): new
	(create_sheet_list): hook up sheet_selection_can_toggle

2010-04-21  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-printer-setup.c (cb_do_print_preview):

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-03-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* regression.glade: add radio buttons
	* dialog-analysis-tools.c (regression_tool_ok_clicked_cb): handle
	  new radio buttons

2010-03-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (int_pref_widget_to_conf): get the
	  values from the main configuration
	(int_pref_create_widget): add argument and
	  change all callers, always use the correct initial value.

2010-03-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (enum_pref_create_widget): add argument and
	  change all callers, always use the correct initial value.

2010-03-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (wordlist_pref_remove): fix leak
	(wordlist_pref_add): ditto

2010-03-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (wordlist_pref_remove): get and set list
	  via gnumeric-gconf
	(wordlist_pref_add): ditto
	(wordlist_pref_create_widget): add getter and setter to argumanets
	  and change all callers. Store thie info with the buttons

2010-03-23 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c: fix boolean preferences under goffice
	  configured --without-gconf

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-03-08  Morten Welinder  <terra@gnome.org>

	* dialog-sheetobject-size.c: Warning fix.

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2010-01-12 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf-export.c (stf_export_dialog_sheet_page_init): don't
	  select the iter.
	(stf_export_dialog_switch_page): set the right default and focus
	(stf_export_dialog): don't do it here

2010-01-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf-export.glade: add save-as-default checkbox
	* dialog-stf-export.c (stf_export_dialog_format_page_init):
	  work around gtk bug #601922
	(stf_export_dialog_finish): save settings if appropriate.

2010-01-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf-export.c (stf_export_dialog_format_page_init):
	  work around gtk bug #601922

2010-01-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-format.c (cb_fmt_dialog_dialog_buttons): make sure that
	  the correct sheet is active

2010-01-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tool-kaplan-meier.c (dialog_kaplan_meier_tool):
	  keep in-place radio button hidden
	* kaplan-meier.glade: fix title

2010-01-02 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dao.glade: mark items in combo box for translation
	* dialog-cell-format.c (fmt_dialog_init_conditions_page):
	  mark visible text for translation

2010-01-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* help.h: adjust links to statistical analysis sections

2009-12-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-paste-special.c (dont_change_formulae_set_sensitive):
	new
	(dialog_paste_special_type_toggled_cb): connect
	  dont_change_formulae_set_sensitive
	(dialog_paste_special_cell_op_toggled_cb): ditto
	(cb_tool_ok_clicked): check dont-change-formulae
	* paste-special.glade: add dont-change-formulae check

2009-12-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-paste-special.c (skip_blanks_set_sensitive): new
	(dialog_paste_special_type_toggled_cb): connect
	  skip_blanks_set_sensitive
	(dialog_paste_special_cell_op_toggled_cb): ditto

2009-12-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hyperlink.glade: remove "orientation" attribute for VBox

2009-12-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-hyperlink.c (dhl_get_default_tip): new
	(dhl_set_tip): hadnle default tips and switch to
	  textview
	(dhl_get_tip): ditto
	(dhl_cb_ok): dhl_get_tip now returns an allocated string
	(dhl_init): change widget name since it changed type, tool tip
	  radio and entry
	* hyperlink.glade: add tool tip radio buttons and
	  switch tool tip entry to textview

2009-12-29  Jody Goldberg <jody@gnome.org>

	* dialog-data-slicer.c : some incomplete work towards creating sources

2009-12-29 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* formula-guru.glade: add quote button
	* dialog-formula-guru.c (dialog_formula_guru_update_this_parent):
	  check for unparsable expressions
	(dialog_formula_guru_init): set up quote button
	(dialog_formula_guru): initialize GnmParsePos

2009-12-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheetobject-size.c (dialog_so_size_button_sensitivity):
	  handle position
	(cb_dialog_so_size_destroy): ditto
	(cb_dialog_so_size_value_changed): ditto
	(dialog_so_size_load): ditto
	(cb_dialog_so_size_apply_clicked): ditto
	(dialog_so_size): ditto
	* sheetobject-size.glade: add position section

2009-12-27 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheetobject-size.c (dialog_so_size_button_sensitivity):
	  check for changed name
	(cb_dialog_so_size_destroy): handle name field
	(cb_dialog_so_size_apply_clicked): handle name
	(cb_dialog_so_size_name_changed): new
	(dialog_so_size): handle name entry
	* sheetobject-size.glade: Enable name entry

2009-12-26 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* Makefile.am: add dialog-sheetobject-size.c and
	  sheetobject-size.glade
	* help.h (GNUMERIC_HELP_LINK_SO_SIZE): new
	* dialogs.h (dialog_so_size): new

2009-12-24  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-preferences.c: Fixed double/gnm_float issues.

2009-12-22 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tool-principal-components.c: new
	* principal-components.glade: new
	* Makefile.am: add the above
	* dialogs.h (dialog_principal_components_tool): new
	* help.h (GNUMERIC_HELP_LINK_PRINCIPAL_COMPONENTS): new

2009-12-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* paste-special.glade: eanble flip h and v
	* dialog-paste-special.c: handle flip h and v

2009-12-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* Makefile.am: add paste-special.glade
	* dialog-paste-special.c: rewrite completely
	* help.h: add GNUMERIC_HELP_LINK_PASTE_SPECIAL
	* paste-special.glade: new

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-12-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tool-sign-test.c
	(sign_test_tool_update_sensitivity_cb): also handle 2
	  medians case
	(sign_test_two_tool_ok_clicked_cb): new
	(dialog_sign_test_tool): change argument type and also
	  handle 2-medians case
	* dialog-analysis-tool-sign-test.h
	(dialog_sign_test_tool): change argument type
	* sign-test-two.glade: new
	* Makefile.am: add sign-test-two.glade
	* dialogs.h (dialog_sign_test_tool): change argument type
	* help.h: add GNUMERIC_HELP_LINK_SIGN_TEST

2009-12-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tool-sign-test.c (dialog_sign_test_tool):
	  check for fn_info plugin

2009-12-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tool-sign-test.c: new
	* sign-test.glade: new
	* Makefile.am: add the above
	* dialogs.h (dialog_sign_test_tool): new
	* help.h: add GNUMERIC_HELP_LINK_SIGN_TEST

2009-12-10  Morten Welinder  <terra@gnome.org>

	* dialog-goal-seek.c (dialog_init): Force sheets in cell
	references as code appears to want that.  Fixes crash.

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* normality-tests.glade: enable chart checkbox

2009-11-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* normality-tests.glade: add more test seelction buttons
	* dialog-analysis-tool-normality.c (normality_tool_ok_clicked_cb):
	  handle additional test selections

2009-11-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* normality-tests.glade: new
	* dialog-analysis-tool-normality.c: new
	* Makefile.am: add dialog-analysis-tool-normality.c and
	  normality-tests.glade
	* dialogs.h (dialog_normality_tool): new
	* help.h: add GNUMERIC_HELP_LINK_NORMALITY

2009-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-sort.c (cb_update_sensitivity): rename to
	cb_update_to_new_range and change all callers
	(dialog_cell_sort_load_sort_setup): implement
	(dialog_load_selection): move another line of code from
	  dialog_init to here

2009-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-sort.c (set_ok_button_sensitivity): check whether
	  state->sel is NULL
	(cb_dialog_ok_clicked): store a copy of the setup.
	(dialog_cell_sort_load_sort_setup): new stub
	(dialog_load_selection): do more
	(dialog_init): move some code into dialog_load_selection

2009-11-12  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (dialog_init): Set GNM_EE_CONSTANT_ALLOWED for
	rhs.

2009-11-11  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (cb_notify_result): i18n issues.

2009-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-doc-metadata.c (dialog_doc_meta_data_add_item): fix wrong
	  key
	* dialog-workbook-attr.c (AttrState): remove unneeded fields and
	  add 2 new fields
	(cb_page_select): deleted
	(cb_widget_changed ): rewritten into instant-apply
	(cb_attr_dialog_dialog_apply): deleted
	(cb_attr_dialog_dialog_ok): deleted
	(attr_dialog_init_toggle): rewritten
	(attr_dialog_init_widget_page): new
	(attr_dialog_init_autocompletion_page): new
	(attr_dialog_init_protection_page): new
	(attr_dialog_init_view_page): deleted
	(attr_dialog_add_item): new
	(attr_dialog_select_page_search): new
	(attr_dialog_impl): set up page selector
	* preferences.glade: minor border adjstment
	* workbook-attr.glade: major adjustments

2009-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-doc-metadata.c: use more appropriate icon for statistics
	* dialog-preferences.c (page_info): change the order of items to
	  index the required page directly
	(dialog_pref_select_page_search): new
	(dialog_pref_select_page): use the page number rather than the path
	(dialog_preferences): sort the pages by the translated descriptor

2009-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-workbook-attr.c: remove the calculation related part of
	  the dialog. That is now correctly part of the Document Properties.
	* workbook-attr.glade: ditto

2009-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-doc-metadata.c (dialog_doc_metadata_new): add page argument
	(dialog_doc_metadata_init_file_page): move general configuration
	  from here to dialog_doc_metadata_init
	(cb_dialog_doc_metadata_recalc_max_changed): new
	(cb_dialog_doc_metadata_recalc_tolerance_changed): new
	(cb_dialog_doc_metadata_recalc_auto_changed): new
	(cb_dialog_doc_metadata_recalc_iteration_changed): new
	(dialog_doc_metadata_init_calculations_page): new
	(dialog_doc_meta_data_add_item): new
	(dialog_doc_metadata_select_page_search): new
	(dialog_doc_metadata_select_page): new
	(cb_dialog_doc_metadata_selection_changed): new
	(dialog_doc_metadata_init): configure treeview
	* dialog-preferences.c (page_info_t): drop unneeded item
	(dialog_pref_select_page): use gtk_tree_view_set_curcsor
	(dialog_preferences): drop unneeded item from page_info_t and delete
	  superfluous code
	* dialogs.h (dialog_doc_metadata_new): add page argument
	* doc-meta-data.glade: add new page and itemlist

2009-11-07  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_conditions_page_load_cond): Fix
	strange string.  #601076.

2009-11-02  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (cb_dialog_solver_destroy): Plug leak.

2009-11-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialogs.h: remove dialog_autocorrect

2009-11-02  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c (wordlist_pref_add): Don't use gtk+ 2.16
	function.

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-10-31  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* autocorrect.glade: deleted
	* dialog-autocorrect.c: deleted
	* Makefile.am: remove dialog-autocorrect.c and autocorrect.glade
	* dialog-preferences.c (wordlist_pref_create_widget): quieten type
	  warning
	(dialog_preferences): ditto
	* help.h: rm dialog-autocorrect.c ref

2009-10-31  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (dialog_pref_add_item): check for NULL icon
	(wordlist_pref_conf_to_widget): new
	(wordlist_pref_remove): new
	(wordlist_pref_add): new
	(wordlist_pref_update_remove_button): new
	(wordlist_pref_create_widget): new
	(pref_autocorrect_general_page_initializer): new
	(pref_autocorrect_initialcaps_page_initializer): new
	(pref_autocorrect_firstletter_page_initializer): new
	(page_info): new items
	(dialog_pref_select_page): expand initial row
	(dialog_preferences): make startup pages check fit the array

2009-10-30  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (constraint_select_click): Fix criticals on
	invalid constraints.

2009-10-23  Morten Welinder  <terra@gnome.org>

	* solver.glade: fix radiobutton group problem.

2009-10-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-sort.c (cb_sort_header_check): call
	  set_ok_button_sensitivity

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Albert Gräf <Dr.Graef@t-online.de>

	* so-radiobutton.glade: new
	* Makefile.am: add so-radiobutton.glade
	* help.h: add GNUMERIC_HELP_LINK_SO_RADIO_BUTTON

2009-09-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	slightly modified patches from Albert Gräf <Dr.Graef@t-online.de>

	* so-button.glade: new
	* Makefile.am: add so-button.glade
	* help.h: add GNUMERIC_HELP_LINK_SO_BUTTON

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-12  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-autoformat.c (previews_free): fixed leaks.

2009-09-11  Morten Welinder  <terra@gnome.org>

	* dialog-autoformat.c (previews_free): Adapt to new canvas.

2009-09-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* frequency.glade: fix dialog title

2009-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* random-generation-cor.glade: new
	* dialog-random-generator-cor.c: new
	* Makefile.am: add the above
	* dialogs.h (dialog_random_cor_tool): new
	* help.h (GNUMERIC_HELP_LINK_RANDOM_GENERATOR_COR): new

2009-09-05  Morten Welinder  <terra@gnome.org>

	* dialog-stf-export.c (sheet_page_separator_menu_changed): Don't
	make custom format insensitive.  Set format custom's text to match
	item chosen.
	(cb_custom_separator_changed): New function.
	(stf_export_dialog_format_page_init): Hook up
	cb_custom_separator_changed.  Call
	sheet_page_separator_menu_changed to boot strap.
	Fixes #594155.

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: renamed go-color.h macros.

2009-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-printer-setup.c (margin_preview_page_destroy),
	(margin_preview_page_create): fixed canvas update.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-autoformat.c (previews_load): renamed GOColor macros.
	* dialog-cell-format.c (setup_color_pickers),
	(draw_border_preview), (init_border_button), (fmt_dialog_impl): ditto.
	* dialog-printer-setup.c (margin_preview_page_create),
	(create_hf_preview_canvas): ditto.

2009-08-31  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-autoformat.c (previews_load): replace GOStyle::outline.
	* dialog-cell-format.c (draw_border_preview): ditto.
	* dialog-printer-setup.c (margin_preview_page_create),
	(create_hf_preview_canvas): ditto.

2009-08-31  Morten Welinder  <terra@gnome.org>

	* dialog-about.c (dialog_about): Handle C90 and missing
	gtk_dialog_get_content_area.

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-30  Morten Welinder  <terra@gnome.org>

	* dialog-about.c: Rewrite dialog.

2009-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: update after goffice migration from Glade to GtkBuilder.
	* cell-format.glade: ditto.
	* dialog-search.c: ditto.
	* search.glade: ditto.
	* search.ui: ditto.

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-about.c : use GocCanvas nstead of FooCanvas.
	* dialog-printer-setup.c: ditto.

2009-08-11  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (create_hf_preview_canvas): Avoid leaking
	the printer style.

2009-08-05 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* search-replace.glade: make the dialog title match the menu entry
	* search.glade: ditto

2009-07-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (dialog_*_tool): check for
	  required plugins
	* dialog-analysis-tool-chi-squared.c (dialog_chi_square_tool):
	  ditto
	* dialog-analysis-tool-frequency.c (dialog_frequency_tool):
	  ditto
	* dialog-analysis-tool-kaplan-meier.c (dialog_kaplan_meier_tool):
	  ditto

2009-07-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (dialog_fourier_tool): check for
	  required plugins and enable dao selector

2009-07-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf-format-page.c (cb_popup_menu_extend_format): also
	  set the format label. Fixes #590257

2009-07-26  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_get_cell_renderer): Please the
	gtk+ busibodies.  Fixes #589105.

2009-07-09  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (describe_new_style): Translate in the
	right textdomain.

2009-07-02  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (make_expr_example): Allow array
	result.

2009-07-01  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c: Cleanup using gnumeric-gconf's new
	abilities.

2009-06-29  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (make_expr_example): New function.
	(describe_new_style): Call make_expr_example when we see an
	expression.

2009-06-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* function-select.glade: add left and right margins to description

2009-06-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* cell-format.glade: add buttons
	* dialog-cell-format.c (fmt_dialog_init_conditions_page): disable
	  buttons

2009-06-27 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (dialog_sheet_order): restore window
	  geometry

2009-06-27 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* cell-format.glade: remove unused label text and reduce
	  indentation for conditions treeview
	* dialog-cell-format.c: introduce enum for conditions treeview
	  columns and use throughout
	(fmt_dialog_conditions_page_load_cond): add parent iter argument
	(fmt_dialog_conditions_page_load_conditions): new
	(fmt_dialog_condition_collector): new
	(fmt_dialog_init_conditions_page): add column and move some code
	  into fmt_dialog_conditions_page_load_conditions

2009-06-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* cell-format.glade: Add "conditions" page
	* dialog-cell-format.c (): new
	(fmt_dialog_conditions_page_load_cond_single_f): new
	(fmt_dialog_conditions_page_load_cond_double_f): new
	(fmt_dialog_conditions_page_load_cond): new
	(fmt_dialog_init_conditions_page): new
	(fmt_dialog_impl): call fmt_dialog_init_conditions_page

2009-06-22  Morten Welinder  <terra@gnome.org>

	* cell-comment.glade: Don't add orientation to a vbox.

2009-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (describe_new_style): argument
	  descriptions may refer to other arguments. Handle
	  GNM_FUNC_HELP_EXCEL and GNM_FUNC_HELP_ODF

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-06-16  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c: Handle external references.

2009-06-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-sort.c (dialog_load_selection): return info about
	  the selection
	(dialog_init): use sheet_range_has_heading
	* dialog-preferences.c (pref_sort_page_initializer): remove "Sort
	  Area Has a HEADER" button.

2009-06-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (load_print_area) adjust for changes in
	  sheet_get_nominal_printarea

2009-06-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* chi-squared.glade: new
	* dialog-analysis-tool-chi-squared.c: new
	* Makefile.am: added the above
	* dialogs.h (dialog_chi_square_tool): new
	* help.h (GNUMERIC_HELP_LINK_CHI_SQUARED): new

2009-06-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (dialog_anova_two_factor_tool): enable
	  formula/variable selector

2009-06-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (dialog_ranking_tool): enable formula/variable
	  selector

2009-05-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-styled.c (dialog_so_styled_text_widget): make sure
	  the existing text is not NULL.

2009-05-25  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (search_clicked): Handle number search.

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-18  Morten Welinder  <terra@gnome.org>

	* dialog-workbook-attr.c (cb_attr_dialog_dialog_apply): Use
	g_object_set to store workbook attributes.

2009-05-16  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (cb_check_cell_format): Ignore markup
	formats.  Fixes #582890.

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-stf-export.glade: don't asked for translation of
	  untranslatables

2009-05-10  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c (power_of_2_handlers): New function.
	(pref_window_page_initializer): Set up handlers to make sure sheet
	sizes are powers of two.

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-05-02  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-resize.c (init_scale): Setup min and max too based
	on GNM_{MIN,MAX}_{COLS,ROWS}.

2009-05-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* cell-comment.glade: add additional labels and entry field
	* dialog-cell-comment.c (cb_cell_comment_ok_clicked): handle
	  author
	(dialog_cell_comment): setup author fields

2009-04-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c: move autosave preference from
	pref_window_page_initializer to pref_file_page_initializer

2009-04-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-comment.c (dialog_cell_comment): show cell name in
	  dialog title

2009-04-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* cell-comment.glade: prepare for GnmTextView and add checkbox
	* dialog-cell-comment.c (cb_cell_comment_ok_clicked): handle attributes
	(dialog_cell_comment): ditto
	(cb_wrap_toggled): new
	* dialog-so-styled.c (cb_dialog_so_styled_text_widget_changed): use
	  "attributes" property of GnmTextView
	(dialog_so_styled_text_widget): ditto

2009-04-28  Jody Goldberg <jody@gnome.org>

	* dialog-preferences.c (pref_window_page_initializer) : entry for
	  default autosave setting.

2009-04-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-styled.c (cb_dialog_so_styled_text_widget_changed): retrieve
	  data from GnmTextView
	(dialog_so_styled_text_widget): use GnmTextView
	(gnm_toggle_tool_button_set_active_no_signal): move to gnumeric-text-view.[ch]
	(cb_dialog_so_styled_text_widget_mark_set): ditto
	(cb_dialog_so_styled_text_widget_set_italic): ditto
	(cb_dialog_so_styled_text_widget_set_strikethrough): ditto
	(dialog_so_styled_build_toggle_button): ditto
	(dialog_so_styled_remove_weight_tags): ditto
	(dialog_so_styled_bold_button_activated): ditto
	(dialog_so_styled_build_button_bold): ditto

2009-04-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c: pref_window_page_initializer: fix some capitalization
	  inconsistencies
	(pref_copypaste_page_initializer): ditto
	* dialog-so-styled.c (cb_dialog_so_styled_text_widget_set_italic): the tags
	  should exist
	(cb_dialog_so_styled_text_widget_set_strikethrough): ditto
	(dialog_so_styled_bold_button_activated): ditto, attach the tag name rather than
	  the weight
	(dialog_so_styled_remove_weight_tags): new
	(dialog_so_styled_build_button_bold): attach the tag name rather than the weight
	(dialog_so_styled_text_widget): make sure that we create all standard tags

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-04-25  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-resize.c (dialog_sheet_resize): Force an update of
	the sizes.  Fixes #580229.

2009-04-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-styled.c (DialogSOStyled): add button field
	(dialog_so_styled_bold_button_activated): new
	(dialog_so_styled_build_button_bold): new
	(dialog_so_styled_text_widget): setup bold button

2009-04-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-styled.c (DialogSOStyled): add button field
	(gnm_toggle_tool_button_set_active_no_signal): new
	(cb_dialog_so_styled_text_widget_mark_set): block signals when
	  activating buttons and handle strikethrough button
	(cb_dialog_so_styled_text_widget_set_strikethrough): new
	(dialog_so_styled_build_toggle_button): new
	(dialog_so_styled_text_widget): build strikethrough button
	  and use dialog_so_styled_build_toggle_button

2009-04-22  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-resize.c (dialog_sheet_resize): Apply a minimum
	width to sliders.

2009-04-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-styled.c (DialogSOStyled): add button field
	(cb_dialog_so_styled_text_widget_mark_set): new
	(cb_dialog_so_styled_text_widget_set_italic): new
	(dialog_so_styled_text_widget): add toolbar
	(dialog_so_styled): show all widgets on the added page

2009-04-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-styled.c (DialogSOStyled): include original attributes
	(dialog_so_styled_free): free attributes
	(cb_dialog_so_styled_response): adjust arguments of cmd_object_format
	(cb_dialog_so_styled_text_widget_changed): handle attributes
	(dialog_so_styled_text_widget): ditto

2009-04-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialogs.h (dialog_so_styled): pass both the title and information
	  on the extent of the properties dialog
	* dialog-so-styled.c (dialog_so_styled): use the passsed title

2009-04-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialogs.h (dialog_so_styled): change arguments
	* dialog-so-styled.c (DialogSOStyled): add text field
	(dialog_so_styled_free): free text field
	(cb_dialog_so_styled_response): pass text if ppropriate
	(cb_dialog_so_styled_text_widget_changed): handle changes to text
	(dialog_so_styled_text_widget): set up text widget
	(dialog_so_styled): handle text

2009-04-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-so-list.c (cb_so_list_response): handle ok response
	* dialog-function-select.c (dialog_function_select_init): connect sheet destroy
	  handler

2009-04-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-doc-metadata.c (dialog_doc_metadata_set_gsf_prop): avoid unneccessary
	property changes

2009-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* dialog-about.c: fixed after GogStyle -> GOStyle rename.
	* dialog-so-styled.c: ditto
	* dialogs.h: ditto

2009-04-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-doc-metadata.c (cb_dialog_doc_metadata_title_changed): change to
	  focus-out-event signal handler
	(cb_dialog_doc_metadata_subject_changed): ditto
	(cb_dialog_doc_metadata_author_changed): ditto
	(cb_dialog_doc_metadata_manager_changed): ditto
	(cb_dialog_doc_metadata_company_changed): ditto
	(cb_dialog_doc_metadata_category_changed): ditto
	(cb_dialog_doc_metadata_keywords_changed): ditto
	(cb_dialog_doc_metadata_comments_changed): ditto
	(dialog_doc_metadata_init_description_page): change signals
	(cb_dialog_doc_metadata_remove_clicked): call cmd_change_meta_data
	(dialog_doc_metadata_set_gsf_prop): call cmd_change_meta_data
	(dialog_doc_metadata_init): retrieve the correct metadata structure

2009-04-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (SheetManager): added fields
	(set_sheet_info_at_iter): set row and col max columns
	(create_sheet_list): handle row and col max columns
	(dialog_sheet_order_update_sheet_order): ditto
	(cb_adv_check_toggled): ditto

2009-04-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (double_pref_create_widget): setting a
	  non-zero pagesize for the adjustment of a spinbutton is deprecated.
	(int_pref_create_widget): ditto

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-03-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-delete-cells.c (dialog_delete_cells): setup destroy handler
	  if the current sheet is deleted.
	* dialog-hyperlink.c (dhl_init): ditto
	* dialog-paste-special (dialog_paste_special): ditto
	* dialog-merge.c (dialog_merge): ditto

2009-03-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-autofilter.c (dialog_auto_filter): setup destroy handler
	  if the current sheet is deleted.
	* dialog-cell-sort.c (dialog_init): ditto
	* dialog-printer-setup.c (dialog_printer_setup): ditto

2009-03-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-row-height.c (dialog_row_height): setup destroy handler
	  if the current sheet is deleted.
	* dialog-col-width.c (dialog_col_width): ditto

2009-03-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	[#575360]
	* kaplan-meier.glade: stock button names should not be translated
	* function-select.glade: ditto
	* sheet-order.glade: ditto
	* doc-meta-data.glade: don't include unneccessary translatable labels

2009-03-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-format.c (fmt_dialog_impl) use
	  GNM_DIALOG_DESTROY_CURRENT_SHEET_REMOVED instead of
	  GNM_DIALOG_DESTROY_SHEET_REMOVED

2009-03-12  Morten Welinder  <terra@gnome.org>

	* dialog-cell-comment.c (dialog_cell_comment): setup destroy
	handler if the current sheet is deleted.

2009-03-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-cell-format.c (fmt_dialog_impl) setup destroy handler
	  if a sheet is deleted.

2009-03-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-goto-cell.c (GotoState): fields added
	(cb_dialog_goto_free): disconnect handlers
	(cb_sheet_order_changed): new
	(cb_sheet_deleted): new
	(cb_sheet_added): new
	(dialog_goto_init): connect handlers

2009-03-09  Morten Welinder  <terra@gnome.org>

	* *.glade: s/GDK_WINDOW_TYPE_HINT_NORMAL/GDK_WINDOW_TYPE_HINT_DIALOG/.
	Fixes #574602.

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2009-01-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* solver.glade: move add and replace constraints button next to
	the constraint to be used.

2008-12-22  Morten Welinder  <terra@gnome.org>

	* solver.glade, simulation.glade, row-height.glade,
	dialog-stf.glade, print.glade, so-scrollbar.glade,
	anova-one.glade, anova-two.glade, col-width.glade,
	descriptive-stats.glade, cell-format.glade, dialog-zoom.glade,
	exp-smoothing.glade, kaplan-meier.glade, moving-averages.glade:
	Don't use deprecated page size in SpinButtons.

2008-12-22  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (cb_treeview_motion,
	cb_treeview_expose): New handlers for adding a ruler to the
	treeview.

	* dialog-stf-preview.c (stf_preview_find_column): Return *dx
	return values.

2008-12-18  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_new): Display vertical grid
	lines.

2008-12-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* sheet-order.glade: add checkbox
	* dialog-sheet-order.c (cb_adv_check_toggled): new
	(dialog_sheet_order): hook up cb_adv_check_toggled

2008-12-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* sheet-order.glade: reduce margin and add border to scrolled window

2008-11-26  Jody Goldberg <jody@gnome.org>

	* dialog-analysis-tool-kaplan-meier.c : s/int/guint/ to
	  compile on win32.

2008-11-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* kaplan-meier.glade: add logrank checkbox
	* dialog-analysis-tool-kaplan-meier.c (kaplan_meier_tool_ok_clicked_cb):
	  handle logrank checkbox
	(dialog_kaplan_meier_tool): ditto
	(KaplanMeierToolState): add new field

2008-11-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* kaplan-meier.glade: add median checkbox
	* dialog-analysis-tool-kaplan-meier.c (kaplan_meier_tool_ok_clicked_cb):
	  handle median checkbox

2008-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* kaplan-meier.glade: add groups tab
	* dialog-analysis-tool-kaplan-meier.c (KaplanMeierToolState): add new
	  fields
	(kaplan_meier_tool_update_sensitivity_cb): handle new tab
	(kaplan_meier_tool_get_groups_cb): new
	(kaplan_meier_tool_get_groups): new
	(kaplan_meier_tool_ok_clicked_cb): handle new tab
	(cb_group_name_edited): new
	(cb_change_from): new
	(cb_selection_changed): new
	(kaplan_meier_tool_update_groups_sensitivity_cb): new
	(dialog_kaplan_meier_tool_treeview_add_item): new
	(dialog_kaplan_meier_tool_setup_treeview): new
	(kaplan_meier_tool_add_group_cb): new
	(kaplan_meier_tool_remove_group_cb): new
	(dialog_kaplan_meier_tool): handle new tab

2008-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* kaplan-meier.glade: change radio buttons into spin buttons
	* dialog-analysis-tool-kaplan-meier.c (KaplanMeierToolState):
	  change fields
	(censor_mark_group): delete
	(kaplan_meier_tool_ok_clicked_cb): read spin buttons rather than
	  radio buttons
	(kaplan_meier_tool_set_censor_from_cb): new
	(dialog_kaplan_meier_tool): setup spin buttons

2008-11-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_dialog_function_select_cat_selection_changed):
	  include category name in lists if they are not category specific
	(dialog_function_select_init): add category column to functiojn store

2008-11-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (describe_new_style): include examples

2008-11-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (dialog_function_select_search_cat_func): new
	(dialog_function_select_search_func): new
	(dialog_function_select_find_func): new
	(cb_dialog_function_select_idle_handler): new
	(cb_description_clicked): new
	(dialog_function_select_init): hookup cb_description_clicked
	(describe_new_style): create seealso links

2008-11-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (describe_new_style): handle @{}

2008-10-23  Morten Welinder  <terra@gnome.org>

	* dialog-quit.c (url_renderer_func): Plug leak.

2008-10-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (gtmff_compare_func): new
	(gtmff_asc): new
	(sort_asc_desc): new
	(cb_asc): new
	(cb_desc): new
	(cb_selection_changed): enable/disable the sort buttons
	(dialog_sheet_order): hookup and enable the sort buttons

2008-10-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_name_edited): if cell is NULL this is
	  called for verification only
	(update_undo): new, call after every cmd_reorganize_sheets in this
	  file
	(cb_delete_clicked): reverify the "new names"
	(cb_undo_clicked): new
	(dialog_sheet_order): hookup and enable the undo button

2008-10-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_name_edited): enable "apply names"
	  button as appropriate
	(verify_validity): show the correct name
	(cb_apply_names_clicked): do not use a dialog
	(cb_sheet_order_cnt_visible): make sure that the model contains
	   up-to-date information
	(sheet_order_cnt_visible): we need to pass the state to
	  cb_sheet_order_cnt_visible
	(cb_toggled_visible): don't show a warning if this sheet
	  is already invisible
	(cb_delete_clicked): don't delete the last visible sheet. Note
	  that sheet_order_cnt_visible may change the visibility
	  of this sheet.

2008-10-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (SheetManager): add new listener
	  fields
	(workbook_signals_block): new
	(workbook_signals_unblock): new
	  replace all g_signal_handler_[un]block referring to
	  sheet_order_changed_listener with calls to the two above
	(cb_sheet_order_destroy): destroy the two new listeners
	(dialog_sheet_order_update_sheet_order): the dialog
	  and the true number of sheets may not match temporarily if
	  a sheet was just added or deleted.
	(cb_sheet_deleted): new
	(cb_sheet_added): new
	(dialog_sheet_order): setup new listeners

2008-10-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_delete_clicked): make sure at
	  least one sheet is still visible

2008-10-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_selection_changed): only enable
	  delete button if there are at least 2 sheets [#557083]
	(cb_duplicate_clicked): call cb_selection_changed
	(cb_append_clicked): call cb_selection_changed
	(cb_add_clicked): call cb_selection_changed

2008-10-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_selection_changed): enable
	  duplicate button
	(dialog_sheet_order): ditto
	(cb_duplicate_clicked): implement

2008-10-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-sheet-order.c (cb_sheet_order_cnt_visible): new
	(sheet_order_cnt_visible): new
	(cb_toggled_visible): At least one sheet must remain visible!

2008-10-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* sheet-order.glade: redesigned for instant-apply
	* dialog-sheet-order.c (SheetManager): new fields
	(cb_color_changed_fore): apply immediately
	(cb_color_changed_back): apply immediately
	(cb_toggled_lock): apply immediately
	(cb_toggled_direction): apply immediately
	(cb_toggled_visible): apply immediately
	(cb_add_clicked): apply immediately
	(cb_delete_clicked): apply immediately
	(cb_selection_changed): handle changed buttons
	(create_sheet_list): new
	(set_sheet_info_at_iter): new
	(populate_sheet_list): split out create_sheet_list and
	  set_sheet_info_at_iter
	(cb_append_clicked): new
	(verify_validity): remove unused flags and reduce to checking
	  names
	(cb_apply_names_clicked): new
	(cb_ok_clicked): deleted
	(cb_sheet_order_destroy): adjust for changed fields
	(dialog_sheet_order_update_sheet_order): ditto
	(cb_sheet_order_changed): we always want to update the dialog
	(dialog_sheet_order_changed): new
	(cb_dialog_order_changed): new
	(dialog_sheet_order_changed_idle_handler): we need to use this
	  idle handler to wait for the liststore to be completed. The
	  signal arrives too early
	(cb_dialog_order_changed_by_insertion): new
	(dialog_sheet_order): handle new buttons

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-10-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* function-select.glade: we should not have a viewport
	  around the textview
	* dialog-function-select.c (dialog_function_select_init):
	  set a mark at the beginning ot the textview
	(cb_dialog_function_select_cat_selection_changed): scroll to
	  top of function list
	(cb_dialog_function_select_fun_selection_changed): scroll to
	  top of description
	(FunctionSelectState): store the textview not the buffer (and change
	  the accesses to the buffer throughout)

2008-10-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* kaplan-meier.glade: enable ticks button
	* dialog-analysis-tool-kaplan-meier.c
	(kaplan_meier_tool_update_sensitivity_cb): disable ticks
	  button when we do not have censorship info

2008-10-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* kaplan-meier.glade: new
	* dialog-analysis-tool-kaplan-meier.c: new
	* Makefile.am: add kaplan-meier.glade and
	  dialog-analysis-tool-kaplan-meier.c
	* help.h (GNUMERIC_HELP_LINK_KAPLAN_MEIER): new
	* dialogs.h (dialog_kaplan_meier_tool): new
	* dialog-analysis-tools.c: rename analysis_tools_data_ftest_t
	  to analysis_tools_data_generic_b_t throughout

2008-10-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* frequency.glade: desensitize not-yet implemented option

2008-10-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* frequency.glade: add exact button
	* dialog-analysis-tool-frequency.c (frequency_tool_ok_clicked_cb):
	  handle exact button

2008-10-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* frequency.glade: new
	* dialog-analysis-tool-frequency.c: new
	* dialogs.h (dialog_frequency_tool): new
	* Makefile.am: added frequency.glade and
	  dialog-analysis-tool-frequency.c
	* help.h (GNUMERIC_HELP_LINK_FREQUENCY): new

2008-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (exp_smoothing_*_cb): adjust sensitivity
	  of seasonal period spin button

2008-10-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (dialog_tool_init): use
	  gnm_dialog_setup_destroy_handlers

2008-10-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* exp-smoothing.glade: added seasonal period entry
	* dialog-analysis-tools.c (exp_smoothing_tool_update_sensitivity_cb):
	  handle seasonal period
	(exp_smoothing_tool_ok_clicked_cb): ditto
	(dialog_exp_smoothing_tool): ditto and enable additive
	  Holt-Winters

2008-10-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c: rename moving_average_type_*es to
	  exp_smoothing_type_*es throughout. Also include
	  analysis-exp-smoothing.h

2008-09-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (exp_smoothing_ses_h_cb): no need to
	  resensitize buttons
	(exp_smoothing_ses_r_cb): do not desensitize buttons
	(exp_smoothing_des_cb): ditto and switch denominator when
	  selected

2008-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (exp_smoothing_ses_r_cb): new
	(exp_smoothing_ses_cb): renamed to exp_smoothing_ses_h_cb
	  and set appropriate denominator

2008-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* exp-smoothing.glade: added controls for Holt's
	* dialog-analysis-tools.c (exp_smoothing_group):
	  added more buttons
	(ExpSmoothToolState): added more fields
	(exp_smoothing_tool_ok_clicked_cb): retrieve info from
	  additional fields
	(exp_smoothing_tool_update_sensitivity_cb): check for
	  additional info.
	(exp_smoothing_ses_cb): new
	(exp_smoothing_des_cb): new
	(exp_smoothing_tes_cb): new
	(dialog_exp_smoothing_tool): setup new controls

2008-09-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* exp-smoothing.glade: enable "Roberts".
	* dialog-analysis-tools.c (exp_smoothing_tool_ok_clicked_cb):
	  check for type of smoothing
	(exp_smoothing_group): new

2008-09-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* exp-smoothing.glade: add controls and reformat
	* dialog-analysis-tools.c (ExpSmoothToolState): add fields
	(exp_smoothing_tool_ok_clicked_cb): handle new fields
	(exp_smoothing_tool_update_sensitivity_cb): use warning
	  field in the dialog
	(exp_smoothing_tool_check_error_cb): new
	(dialog_exp_smoothing_tool): setup new controls

2008-09-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* moving-averages.glade: enable Spencer radio button
	* dialog-analysis-tools.c (average_tool_ok_clicked_cb):
	  set interval and offset for spencer
	(average_tool_spencer_cb): set interval value

2008-09-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* moving-averages.glade: move items
	* dialog-analysis-tools.c (moving_average_group): new
	  group for radio buttons
	(average_tool_sma_cb): new
	(average_tool_cma_cb): new
	(average_tool_wma_cb): new
	(average_tool_spencer_cb): new
	(dialog_average_tool): setup new controls
	(average_tool_ok_clicked_cb): handle new controls

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (AverageToolState): new field
	(average_tool_ok_clicked_cb): handle new field
	(dialog_average_tool): setup new control
	* moving-averages.glade: enable graph checkbox

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (n_group): new
	(AverageToolState): new fields
	(average_tool_ok_clicked_cb): handle new fields
	(average_tool_update_sensitivity_cb): ditto
	(average_tool_check_error_cb): new
	(average_tool_central_cb): new
	(average_tool_prior_cb): new
	(average_tool_interval_cb): new
	(dialog_average_tool): setup new controls
	* moving-averages.glade: enable controls

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (average_tool_update_sensitivity_cb):
	  use warning field in the dialog

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* moving-averages.glade: add new controls
	* dialog-analysis-tools.c (dialog_average_tool): allow to
	  request formula output.

2008-09-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (sampling_tool_update_sensitivity_cb):
	  use warning field in the dialog

2008-09-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* sampling.glade: add some entry fields and radio buttons, remove
	  apply button (which worked identically to the ok button).
	* dialog-analysis-tools.c (SamplingState): add fields
	(sampling_tool_update_sensitivity_cb): skip apply button
	(sampling_tool_ok_clicked_cb): handle new fields
	(sampling_method_toggled_cb): ditto
	(dialog_sampling_tool): ditto

2008-09-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (describe_new_style): also show notes.

2008-09-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix [#302883]
	* plugin-manager.glade: remove "activate all" icon
	* dialog-plugin-manager.c (dialog_plugin_manager): add
	  "activate all" icon

2008-09-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	see Bug [#302883]
	* print.glade: use stock button for Page Setup dialog
	* function-select.glade: use stock button for ok (instead
	  of insert)

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* histogram.glade: enable chart buttons and rearrange them
	* dialog-analysis-tools.c (chart_group): new
	(histogram_tool_update_sensitivity_cb): remove unused variables
	(histogram_tool_ok_clicked_cb): handle all chart radio buttons
	(histogram_tool_set_predetermined_on_toggle): delete

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* histogram.glade: move widgets so that opening the 2nd page does not
	  cause automatic switch to predetermined cutoffs
	* dialog-analysis-tools.c (dialog_histogram_tool): require keyboard input to
	  switch to calculated cutoffs

2008-09-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* histogram.glade: enable chart check box
	* dialog-analysis-tools.c (histogram_tool_ok_clicked_cb): read chart
	  check box.

2008-09-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-analysis-tools.c (regression_tool_update_sensitivity_cb): add forgotten
	  "return"
	(histogram_tool_update_sensitivity_cb): use warning field in the dialog.

2008-09-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* histogram.glade: redesign
	* dialog-analysis-tools.c (bin_type_group): new
	(histogram_tool_ok_clicked_cb): adjust to new glade file
	(dialog_histogram_tool): ditto

2008-09-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-function-select.c (cb_dialog_function_select_cat_selection_changed):
	  reorganize and remove dead code.

2008-09-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-preferences.c (dialog_preferences): rename variable to quieten coverity

2008-09-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #152617
	* dialog-hyperlink.c (dhl_cb_ok): use is_new rather than src_link
	  since the latter contain only random info. Use cmd_selection_hyperlink
	  rather than cmd_selection_format

2008-09-11  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (describe_new_style): Add missing
	break.

2008-09-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #521726
	* dialog-stf-export.c (stf_export_dialog_sheet_page_init):
	  Don't export empty sheets!

2008-09-11  Jody Goldberg <jody@gnome.org>

	* dialog-autoformat.c (cb_category_changed) : handle missing name and
	  selection. [Coverity 70]

2008-09-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #360873
	* col-width.glade: use points and pixels
	* row-height.glade: ditto
	* dialog-col-width.c (ColWidthState): new fields
	(dialog_col_width_update_points): new
	(dialog_col_width_button_sensitivity): use int and call
	  dialog_col_width_update_points
	(dialog_col_width_set_value): adjust for zoom factor and return
	  adjusted value.
	(dialog_col_width_load_value): use pixels
	(cb_dialog_col_width_value_changed): ditto
	(cb_dialog_col_width_apply_clicked): ditto
	* dialog-row-height.c: corresponding changes to dialog-col-width.c

2008-09-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* regression.glade: remove "group by" buttons and add
	  warnings label
	* dialog-analysis-tools.c (regression_tool_calc_*): new
	(regression_tool_ok_clicked_cb): keep arrays and
	  determine group-by from y variable
	(regression_tool_update_sensitivity_cb): provide reasons
	  and also check for correct range sizes
	(dialog_regression): enable choice to enter formulas rather than
	  values

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-08-29  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dialog-simulation.c (simulation_ok_clicked_cb): Corrected error
	message for sim.first_round > sim.last_round. [#537669]

2008-07-08  Jody Goldberg <jody@gnome.org>

	* dialog-quit.c (show_quit_dialog) : add mnemonics to the buttons. [#132131]

	* dialog-define-names.c (name_guru_init) : default to absolute
	  references.

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-06-17  Jody Goldberg <jody@gnome.org>

	* dialog-printer-setup.c (dialog_printer_setup_done_cb) : Fix page
	  setup on win32 which is much more restrictive about the lifecycle of
	  the GtkPageSetup object.

2008-05-16  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (describe_new_style): Do help text
	translation in the right domain.  Fixes part of #533193.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2008-03-13  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_changed): Disable Apply and Ok
	when the format is invalid.  Fixes #521849.

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-26  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (cursor_change): Don't try to go to hidden
	sheets.  Fixes 499723.

2007-11-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (hf_customize_apply): reset modification
	  flags

2007-11-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (add_text_to_buffer): if text is NULL
	  there is no text to add.

2007-11-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* preferences.glade: remove underused textview
	* dialog-preferences.c (dialog_pref_page_open): deleted and
	  delete all calls
	(dialog_pref_load_description): ditto
	(dialog_pref_load_description_from_key): ditto
	(pref_*_page_open): deleted
	(page_info_t): remove page_open field
	(cb_dialog_pref_switch_page): deleted
	(PrefState): remove description field and delete all references
	  to it.

2007-11-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-formula-guru.c (dialog_formula_guru_load_fd): return
	  maximum number of possible arguments
	(dialog_formula_guru_load_expr): use that return value of
	  dialog_formula_guru_load_fd and do not try to load more arguments.

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-19  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (do_hf_dt_format_customize): Fix
	compilation type warning.
	(hf_dt_customize_ok): Ditto.

2007-11-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-dt-format.glade: new
	* Makefile.am: added hf-dt-format.glade
	* dialog-printer-setup.c (do_hf_dt_format_customize): new
	(hf_insert_custom_date_cb): new
	(hf_insert_custom_time_cb): new
	(hf_attach_insert_date_menu): link hf_insert_custom_date_cb
	(hf_attach_insert_time_menu): link hf_insert_custom_time_cb
	(hf_dt_customize_ok): new

2007-11-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: add orientation radio buttons to the main dialog
	* dialog-printer-setup.c: (do_update_page) set these radio buttons
	(orientation_changed_cb): one of these radio buttons was clicked.
	(do_setup_page): setup these radio buttons

2007-11-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (check_hf_tag): add length argument and
	  change all callers. Consider only length many characters.

2007-11-17  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c: Fix test suite failures.

2007-11-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: enable all toolbar buttons
	* dialog-printer-setup.c (hf_insert_cell_cb): new
	(hf_attach_insert_cell_menu): new
	(do_hf_customize): hook-up the above

2007-11-16  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c (cb_workbook_removed): New handler to close
	dialog when the last workbook is closed.
	(dialog_preferences): Don't store wb.  It isn't needed and won't
	necessarily stay valid.

2007-11-15  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c (cb_close_clicked): Remove the state key.
	(dialog_preferences): Store the application-wide dialog on the
	application GObject.

2007-11-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (hf_insert_hf_stock_tag): handle
	  options, add argument and change all callers
	(hf_insert_hf_text_tag): deleted
	(hf_insert_date_cb): retrieve and pass on options
	(hf_insert_time_cb): ditto
	(check_hf_tag): new
	(is_known_tag): use check_hf_tag
	(hf_attach_insert_date_menu): new
	(hf_attach_insert_time_menu): new
	(do_hf_customize): use hf_attach_insert_*_menu

2007-11-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: add menu buttons to toolbar
	* dialog-printer-setup.c: add "cell" field to all tag lists
	(do_hf_customize): add icon to insert cell tag button

2007-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (hf_insert_hf_stock_tag): add
	  additional recognized field types
	(hf_insert_hf_tag): we only need to handle stock ids here
	(append_tag_descriptor): the sheet tag is &[TAB]
	(is_known_tag): add more known tags
	(add_text_to_buffer): make sure the iter stays valid
	(do_hf_customize): add icons to toolbar

2007-11-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (fill_hf): current format must be
	  registered.
	(do_setup_hf_menus): Make sure current format is registered.

2007-11-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (do_update_page): we need to set the
	  header and footer margins first (they change the top and
	  bottom margins)

2007-11-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: add some icons
	* dialog-printer-setup.c (hf_insert_hf_stock_tag): new
	(hf_insert_hf_text_tag): new
	(hf_insert_hf_tag): rewritten to use the above and change
	  all callers to use new arguments
	(buffer_delete_range_cb): delete dropped textmarks
	(mark_info_compare): new
	(append_tag_descriptor): new
	(text_get): handle icon tags and marks
	(hf_customize_apply): simplify
	(is_known_tag): new
	(add_text_to_buffer): use icons if possible
	(free_hf_mark_info): new
	(free_hf_state): new
	(do_hf_customize): rearrange to allow for icon rendering

2007-11-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: add delete button on toolbar
	* dialog-printer-setup.c (hf_delete_tag_cb): new
	(hf_insert_hf_tag): mark tag wit formatting
	(buffer_delete_range_cb): new
	(add_named_tags): new
	(add_text_to_buffer): new
	(do_hf_customize): hook up above callbacks

2007-11-12  Morten Welinder  <terra@gnome.org>

	* dialog-quit.c (show_quit_dialog): Populate before showing so we
	don't see an annoying resize.

	* dialog-solver.c (dialog_init): Connect.
	(cb_dialog_solver_destroy_constraints): New function, extracted
	from cb_dialog_solver_destroy.  (Code by Jean, really.)

2007-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: add toolbar buttons
	* dialog-printer-setup.c (hf_insert_*_cb): new
	(hf_insert_hf_tag): new
	(do_hf_customize): hook up toolbar buttons

2007-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: some fine tuning (scroll bars, toolbar, etc.)
	* dialog-printer-setup.c (create_hf_name): new
	(append_hf_item): new
	(fill_hf): use append_hf_item
	(hf_customize_apply): use new hf_state
	(hf_customize_ok): ditto

2007-11-11  Morten Welinder  <terra@gnome.org>

	* dialog-cell-sort.c: Clean out the iterator mess.

2007-11-11  Morten Welinder  <terra@gnome.org>

	* dialog-cell-sort.c (move_cb): Swap entries instead of
	delete+insert.  (Code by Andreas.)
	(cb_sort_selection_changed): Remove unused argument.  All callers
	changed.

2007-11-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (do_hf_customize): retrieve buffers only once
	  and reset the modified bit after loading text.
	(create_hf_preview_canvas): Don't center multiline headers or footers

2007-11-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: replace GtkEntry with GtkTextView
	* dialog-printer-setup.c (text_get): rewritten for GtkTextView
	(hf_customize_apply): replace GtkEntry with GtkTextView
	(do_hf_customize): ditto

2007-11-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* hf-config.glade: rewrite with glade 3
	* dialog-printer-setup.c (do_hf_customize): use
	  gtk_window_set_transient_for since go_gtk_window_set_transient
	  stacks the dialog below the print setup dialog.

2007-11-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: add "do not print" checkbox
	* dialog-printer-setup.c (do_setup_page_info): handle do-not-print
	  checkbox
	(do_fetch_page_info): ditto

2007-11-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c: reenable header/footer customization
	(canvas_update): replace gnome-print code with corresponding
	  gtk code
	(hf_fill): don't add a configuration command to the header/footer
	  lists
	(notebook_flipped): deleted
	(create_hf_preview_canvas): don't unref the style twice.
	(do_setup_hf): hookup customization buttons
	* print.glade: added two configuration buttons for header &
	  footer

2007-11-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c: eanble header/footer preview
	(create_hf_preview_canvas): use a font similar to the header
	  footer font chosen by the user.

2007-11-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c: reenable some of the header/footer
	  specification
	* print.glade: remove unnecessary label on header/footer page

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-11-03  Morten Welinder  <terra@gnome.org>

	* dialog-stf-main-page.c (main_page_update_preview): Kill limit on
	number of lines.
	(main_page_import_range_changed): Ensure range is at most
	SHEET_MAX_ROWS lines.  Fixes #370273.

	* dialog-stf-export.c (stf_export_dialog_format_page_init,
	stf_export_dialog_sheet_page_init): Take initial settings from
	stfe.
	(stf_export_dialog): Take extra GnmStfExport instead of creating
	new one.

2007-11-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (cb_do_print): Preserve required info
	  before deleting state [#491775]

2007-10-27  Jody Goldberg <jody@gnome.org>

	* dialog-data-table.c (dialog_data_table) : finish.  And use the new
	  cmd_create_data_table.

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-09-25  Morten Welinder  <terra@gnome.org>

	* dialog-autoformat.c (dialog_autoformat): Make cancel kill the
	dialog, not just the cancel button.

2007-09-24  Morten Welinder  <terra@gnome.org>

	* dialog-quit.c (show_quit_dialog): Switch to new tooltip api.
	* dialog-preferences.c (set_tip): Ditto.
	* dialog-autoformat.c (previews_load): Ditto.
	* dialog-stf-format-page.c (format_page_update_preview): Ditto.

2007-09-24  Jody Goldberg <jody@gnome.org>

	* dialog-printer-setup.c (do_hf_customize) : Use
	  go_gtk_window_set_transient instead of gtk_window_set_transient_for.
	  The former causes problems on win32, and breaks window stacking.

2007-09-16  Jody Goldberg <jody@gnome.org>

	* dialog-preferences.c : Add some includes.

2007-09-14  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (dialog_search): Hook up signals right.

2007-09-13  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (cb_do_print_ok): Fix crash.

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-08-25  Jody Goldberg <jody@gnome.org>

	* dialog-preferences.c (cb_find_enum) : be more careful.  On win32 if
	  the registry has not been updated the model may be empty. [#462906]
	(enum_pref_conf_to_widget) : ditto.

2007-08-25  Jody Goldberg <jody@gnome.org>

	* dialog-about.c (dialog_about) : update the copyright

2007-08-21  Morten Welinder  <terra@gnome.org>

	* dialog-define-names.c (name_guru_init): Don't request absolute
	cell references.

2007-08-12  Morten Welinder  <terra@gnome.org>

	* dialog-define-names.c (name_guru_add): Validate prospective
	name.

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-07-24  Jody Goldberg <jody@gnome.org>

	* dialog-col-row.c (dialog_col_row) : be consistent with other dialogs
	  and show the dialog internally, rather than returning a pointer.

2007-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: show repeating rows/columns and print area labels
	* dialog-printer-setup.c (load_print_area): new
	(do_setup_page_info) re-enable repeating rows/columns and print area
	(do_fetch_page_info) fetch repeating rows/columns

2007-07-12  Jody Goldberg <jody@gnome.org>

	* dialog-preferences.c (pref_create_label) : new utility to handle
	  mnemonics, and atk relations.
	(int_pref_create_widget) : used here.
	(double_pref_create_widget) : and here.
	(pref_window_page_initializer) : move transition keys from here.
	(pref_tool_page_initializer) : here.  And add the 'Enter Direction'

	(cb_enum_changed) : new.
	(cb_find_enum) : new.
	(enum_pref_conf_to_widget) : new.
	(enum_pref_create_widget) :  new.

2007-06-27  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=450676
	* dialog-analysis-tools.c (dialog_ttest_tool) : don't set a 'state'
	  object a 2nd time.  That clear the original.

2007-06-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: enable buttons and rearrange items on sheet page
	* dialog-printer-setup.c (_PrinterSetupState): add icon fields
	(display_order_icon): enable
	(do_setup_page_info): setup order icons
	(do_setup_main_dialog): enable order buttons


2007-06-10  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (fmt_dialog_selection_type) : if the current
	  region is a merged cell only look at the style in the top left.

2007-06-01  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (cb_number_format_changed): The signal
	argument is the unlocalized format string.  Fixes #442657.

2007-05-22  Morten Welinder  <terra@gnome.org>

	* dialog-quit.c (dialog_quit): Actually quit in the all-clean
	case.

2007-05-21  Morten Welinder  <terra@gnome.org>

	* dialog-quit.c: New file.
	* Makefile.am (base_files): Hook it up.

2007-05-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: show row/col headings checkbox

2007-05-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: show gridline checkbox

2007-05-17  Morten Welinder  <terra@gnome.org>

	* dialog-recent.c: New file.

2007-05-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (do_setup_page_info): enable
	  some checkboxes
	(do_fetch_page_info): ditto
	(fetch_settings): enable do_fetch_page_info
	(printer_setup_state_new): show the "sheet" tab
	* print.glade: hide some not yet supported items

2007-05-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (_PrinterSetupState): new fields
	(do_setup_margin): setup center check buttons
	(do_fetch_page): retrieve info from center check buttons

2007-05-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: enable header/footer and center buttons
	* dialog-printer-setup.c (spin_button_set_bound): delete
	(get_printable_height): delete
	(set_vertical_bounds): delete
	(move_line): only move existing lines
	(cb_unit_activated): rename to cb_spin_activated and enable
	(cb_unit_deactivated): rename to cb_spin_deactivated and
	  enable
	(unit_editor_configure): delete
	(value_changed_bottom_cb): move the footer not the header line
	(margin_spin_configure): connect cb_spin_*activated
	(do_update_page): adjust for changed arguments to
	  print_info_get_margins
	(do_fetch_margins): use print_info_set_edge_to_*

2007-05-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (MarginOrientation): deleted
	(UnitInfo): adjust fields
	(draw_margin): deleted
	(draw_margin_top): new
	(draw_margin_bottom): new
	(draw_margin_left): new
	(draw_margin_right): new
	(draw_margin_header): new
	(draw_margin_footer): new
	(create_margin): don't draw the correct margins here, drop
	  an argument
	(draw_margins): adjust calls to create_margin and call
	draw_margin_*
	(margin_preview_page_create): enable call to draw_margins
	(value_changed_*_cb): move line
	(do_setup_margin): cleanup

2007-05-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: widen sample paper

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-05-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: add margin spin buttons
	* dialog-printer-setup.c (PrinterSetupState): new fields
	(UnitInfo): ditto
	(UnitInfo_cbdata): deleted
	(get_conversion_factor): new
	(spin_button_adapt_to_unit): deleted
	(cb_unit_changed): deleted
	(configure_bounds_*): new
	(value_changed_*_cb): new
	(margin_spin_configure): new
	(do_setup_margin): handle margin spin buttons
	(do_update_margin): new
	(do_update_page): call do_update_margin and configure_bounds_*
	(do_fetch_unit): new
	(do_fetch_margins): rewrite
	(fetch_settings): add new do_fetch_*

2007-04-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (PrinterSetupState): add fields
	(margin_preview_page_create): use preferred units
	(cb_unit_selector_changed): rewrite
	(unit_sort_func): new
	(do_setup_margin): create unit_selector
	(do_update_page): use preferred units
	(cb_do_print_destroy): free unit_model
	(printer_setup_state_new): initialize display unit
	* print.glade: add unit selector

2007-04-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: add paper preview container
	* dialog-printer-setup.c (PreviewInfo) rename to MarginPreviewInfo
	(preview_page_destroy): rename to margin_preview_page_destroy
	(preview_page_create): rename to margin_preview_page_create and enable the
	  non-margin portion. Use new print-info functions to access papersize.
	(canvas_update): enable non-margin portion
	(notebook_flipped): no need to update the canvas on page flip
	(do_setup_margin): enable paper preview
	(do_setup_page): call do_setup_margin

2007-04-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* print.glade: we don't use gnomeprint anymore. Change
	  scaling selection and paper selection
	* dialog-printer-setup.c (PrinterSetupState): adjust fields
	(get_paper_pswidth): deleted
	(get_paper_psheight): deleted
	(notebook_flipped): turn into stub
	(do_update_page): new
	(do_setup_page): rewrite
	(scaling_percent_changed): new
	(scaling_fit_to_h_changed): new
	(scaling_fit_to_v_changed): new
	(scaling_fit_to_changed): new
	(do_setup_scale): new
	(cb_do_print_destroy ): we don't use gnomeprint anymore,
	  comment out unimplemented items
	(printer_setup_state_new): ditto
	(do_fetch_page): ditto
	(fetch_settings): ditto
	(do_fetch_scale): new
	(dialog_printer_setup_done_cb): don't commit changes yet
	(dialog_printer_setup): rename to dialog_gtk_printer_setup_cb and
	  make this dialog modal with respect to the large pagesetup dialog
	(dialog_printer_setup): reenable the implemented portion

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.9

2007-04-15  Morten Welinder  <terra@gnome.org>

	* dialog-cell-sort.c (dialog_init): Attach locale selector.

2007-04-02  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (search_clicked): Normalize search text here.
	* dialog-search-replace.c (ok_clicked): Ditto.  And do replacement
	text also so we leave more things normalized.

2007-03-28  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_selection_type): Properly
	extract format from General-formatted values.  Fixes part of
	#423603.

2007-03-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-printer-setup.c (PrinterSetupStateNew): new
	(printer_setup_state_new_new): new
	(dialog_printer_setup_done_cb): new
	(dialog_printer_setup): use gtk dialog

2007-03-08  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (cb_number_format_changed): Use
	gnm_style_set_format, not gnm_style_set_format_text.

	* dialog-stf-format-page.c (stf_dialog_format_page_prepare): Use
	go_format_general directly.

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.8

2007-02-21  Morten Welinder  <terra@gnome.org>

	* dialog-formula-guru.c (dialog_formula_guru): Fix R1C1 problem.
	(dialog_formula_guru_load_expr): Ditto.  Fixes #409803.

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.7.7

2007-01-29  Jody Goldberg <jody@gnome.org>

	* dialog-so-list.c (init_entry) : take a dep to load from.
	(so_list_init) : init the entries with the initial content of the
	  content and result deps.

2007-01-09  Morten Welinder  <terra@gnome.org>

	* dialog-autoformat.c (afg_get_cell_value): Don't use g_strtod.
	We do not want dual-locale semantics.

2006-12-29  Morten Welinder  <terra@gnome.org>

	* dialog-define-names.c (name_guru_add): When defining a global
	name, parse in global scope.  Fixes #306686.
	(name_guru_add): Don't allow the use of undefined names.

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.6

2006-12-07  Jody Goldberg <jody@gnome.org>

	* dialog-autofilter.c (init_operator) : editable_enters for the expr
	  entries.

2006-12-09  Jody Goldberg <jody@gnome.org>

	* dialog-col-row.c (cb_dialog_col_row_destroy) : fix signature from
	  recent 'destroy' handler change.
	(dialog_col_row) : Set dialog title rather than non-HIG frame title.

	* colrow.glade : remove the frame.

2006-12-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.5

2006-12-02  Jody Goldberg <jody@gnome.org>

	* *.c : Move away from the "destroy" handlers and use
	  g_object_set_data_full instead.  That guarantees being called only
	  once and does not need to return a flag.

2006-12-02  Jody Goldberg <jody@gnome.org>

	* dialog-sheet-order.c (cb_sheet_order_destroy) : we need to manually
	  unref the model.
	* dialog-plugin-manager.c (pm_dialog_cleanup) : ditto.
	* dialog-goto-cell.c (dialog_goto_close_destroy) : ditto.
	* dialog-function-select.c (dialog_function_select_destroy) : ditto.
	* dialog-cell-sort.c (dialog_destroy) : ditto.
	* dialog-formula-guru.c (dialog_formula_guru_destroy) : ditto.

2006-11-28  Morten Welinder  <terra@gnome.org>

	* dialog-goal-seek.c (dialog_goal_seek): Call
	dialog_goal_seek_test as appropritate.
	(dialog_goal_seek_test): New function.
	(gnumeric_goal_seek): Use initial guess only if it is actually
	valid.  Otherwise use midpoint.  For the normal trawls, don't let
	sigma exceed 1e6.

2006-11-27  Morten Welinder  <terra@gnome.org>

	* dialog-define-names.c (name_guru_add): If the name is empty,
	simply do nothing.  Plug leak.

2006-11-26  Morten Welinder  <terra@gnome.org>

	* dialog-goal-seek.c (gnumeric_goal_seek): Set the evaldata.state
	so we avoid spectacular crashes.  Fixes #377961.

2006-11-24  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : make 'in cell dropdown' visible now that we
	  support the feature.

2006-11-20  Jody Goldberg <jody@gnome.org>

	* Release 1.7.4

2006-11-19  Morten Welinder <terra@gnome.org>

	* Release 1.7.3

2006-11-18  Morten Welinder  <terra@gnome.org>

	* dialog-formula-guru.c (cb_dialog_formula_guru_editing_started):
	New function.
	(real_start_editing_cb): Stop editing in previous cell so we don't
	lose our edits.
	(dialog_formula_guru_init): Hook up
	cb_dialog_formula_guru_editing_started.

2006-11-17  Morten Welinder  <terra@gnome.org>

	* dialog-function-select.c (describe_new_style): New function.
	(describe_old_style): New function, extracted from
	cb_dialog_function_select_fun_selection_changed.
	(cb_dialog_function_select_fun_selection_changed): Handle
	new-style docs.

2006-10-27  Morten Welinder  <terra@gnome.org>

	* dialog-hyperlink.c (dhl_get_target_cur_wb): Kill cast.

	* dialog-*.c: Add calls to gnm_dialog_setup_destroy_handlers.
	Part of #364291.

2006-10-24  Morten Welinder  <terra@gnome.org>

	* dialog-scenarios.c (dialog_scenario_add): Use
	gnm_dialog_setup_destroy_handlers.  Fixes the initial part of
	#364291.

	* dialog-search.c (dialog_search): Use
	gnm_dialog_setup_destroy_handlers.

2006-10-24  Jon K Hellan  <hellan@acm.org>

	* dialog-hyperlink.c: Change _get_target_ methods from const char*
	to char*.

2006-10-23  Jon K Hellan  <hellan@acm.org>

	* dialog-plugin-manager.c (cb_pm_button_deactivate_all_clicked):
	Remove.
	(pm_dialog_init, dialog_plugin_manager): Remove "Deactivate all"
	button.
	* plugin-manager.glade: Ditto.

2006-10-22  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (cb_sheet_order_destroy): Unset unique
	instance key.
	(dialog_sheet_order): Check for only one instance per
	workbook. [#364082]

	* dialog-scenarios.c (scenario_add_ok_clicked_cb): Fix string typo.
	[#364201]

	* dialog-stf-export.c (cb_selection_changed,
	cb_sheet_export_toggled): Check that tree model iterator is valid.

	* dialog-simulation.c (update_log): Ditto.

	* dialog-sheet-order.c (cb_name_edited, cb_selection_changed,
	cb_toggled_lock, cb_toggled_direction, cb_toggled_visible): Ditto.

	* dialog-scenarios.c (update_scenarios_treeview): Ditto.

	* dialog-plugin-manager.c (cb_active_toggled): Ditto.

	* dialog-doc-metadata.c (cb_dialog_doc_metadata_remove_clicked,
	cb_dialog_doc_metadata_combo_prop_selected,
	cb_dialog_doc_metadata_tree_prop_selected): Ditto.

	* dialog-consolidate.c (adjust_source_areas,
	construct_consolidate, cb_source_edited): Ditto.

	* dialog-cell-sort.c (toggled, cb_toggled_descending): Ditto.

2006-10-21  Jon K Hellan  <hellan@acm.org>

	* dialog-formula-guru.c (dialog_formula_guru_load_fd,
	cb_dialog_formula_guru_edited): Give up if we don't have a valid
	iterator. [#363871]

2006-10-20  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (cb_ok_clicked): Ensure that a live sheet
	has focus on exit. [#363549]

2006-10-18  Jon K Hellan  <hellan@acm.org>

	* dialog-hyperlink.c (dhl_get_target_cur_wb,
	dhl_get_target_external, dhl_get_target_url, dhl_cb_ok): Fix
	lifecycle of returned string, plug leak.
	(dhl_get_target_email): Fix encoding of mailtos [#148550]

2006-10-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.2

2006-10-16  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (dialog_sheet_order): Don't let the
	foreground button grow.  [#362558]

2006-10-02  Jody Goldberg <jody@gnome.org>

	* Release 1.7.1

2006-09-24  Jody Goldberg <jody@gnome.org>

	* dialog-solver.c : We use GLPK 4.9 now.

2006-07-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* dialog-define-names.c (name_guru_add): add argument to call
	  of cmd_define_name

2006-06-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-define-names.c (NameGuruState): add
	  switchscope_button field
	(cb_scope_changed): remove unnecessary code
	(name_guru_update_sensitivity): handle switch-scope button
	(cb_name_guru_clicked): ditto
	(name_guru_init): ditto
	(name_guru_switchscope): new
	* define-name.glade: add switch-scope button

2006-06-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-define-names.c (name_guru_in_list): add scope argument
	(name_guru_update_sensitivity): check existing names by scope

2006-06-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=345896
	* dialog-define-names.c (NameGuruState): add action_possible
	  field
	(name_guru_update_sensitivity): rewrite
	(cb_scope_changed): just update the buttons, don't switch scope
	(name_guru_add): make sure the action is permissible
	(cb_entry_activate): use action_possible
	(name_guru_init): initialize action_possible

2006-06-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-define-names.c (name_guru_update_sensitivity):
	  handle permanent names

2006-06-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (stf_dialog_format_page_init):
	  initialize locale selector if pagedata.locale is set.

2006-06-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-zoom.glade: remove unneccessary &-signs #311206

2006-06-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (cb_col_check_clicked): use
	  ngettext #123860
	* ialog-stf-main-page.c (main_page_import_range_changed):
	  use ngettext #123860

2006-05-25  Jean Brefort  <jean.brefort@normalesup.org>

	* dao-gui-utils.c: replaced gi18n.h by gi18n-lib.h.
	* dialog-about.c: ditto.
	* dialog-advanced-filter.c: ditto.
	* dialog-analysis-tools.c: ditto.
	* dialog-autocorrect.c: ditto.
	* dialog-autofilter.c: ditto.
	* dialog-autoformat.c: ditto.
	* dialog-autosave.c: ditto.
	* dialog-cell-comment.c: ditto.
	* dialog-cell-format.c: ditto.
	* dialog-cell-sort.c: ditto.
	* dialog-col-width.c: ditto.
	* dialog-consolidate.c: ditto.
	* dialog-define-names.c: ditto.
	* dialog-delete-cells.c: ditto.
	* dialog-doc-metadata.c: ditto.
	* dialog-fill-series.c: ditto.
	* dialog-formula-guru.c: ditto.
	* dialog-function-select.c: ditto.
	* dialog-goal-seek.c: ditto.
	* dialog-goto-cell.c: ditto.
	* dialog-hyperlink.c: ditto.
	* dialog-insert-cells.c: ditto.
	* dialog-merge.c: ditto.
	* dialog-password.c: ditto.
	* dialog-paste-names.c: ditto.
	* dialog-paste-special.c: ditto.
	* dialog-pivottable.c: ditto.
	* dialog-plugin-manager.c: ditto.
	* dialog-preferences.c: ditto.
	* dialog-printer-setup.c: ditto.
	* dialog-random-generator.c: ditto.
	* dialog-row-height.c: ditto.
	* dialog-scenarios.c: ditto.
	* dialog-search-replace.c: ditto.
	* dialog-search.c: ditto.
	* dialog-sheet-order.c: ditto.
	* dialog-shuffle.c: ditto.
	* dialog-simulation.c: ditto.
	* dialog-solver.c: ditto.
	* dialog-stf-export.c: ditto.
	* dialog-stf-fixed-page.c: ditto.
	* dialog-stf-format-page.c: ditto.
	* dialog-stf-main-page.c: ditto.
	* dialog-stf-preview.c: ditto.
	* dialog-stf.c: ditto.
	* dialog-summary.c: ditto.
	* dialog-tabulate.c: ditto.
	* dialog-view.c: ditto.
	* dialog-workbook-attr.c: ditto.
	* dialog-zoom.c: ditto.

2006-05-08  Jody Goldberg <jody@gnome.org>

	* Release 1.7.0

2006-05-05  Jody Goldberg <jody@gnome.org>

	* dialog-goal-seek.c (gnumeric_goal_seek) : use new update_ui flag in
	  GoalEvalData.
	(goal_seek_eval) : Have an update_ui flag that toggles between
	  sheet_cell_set_value rather than cell_set_value so that the final
	  call from gnumeric_goal_seek does not need to manually respan
	  things.

2006-04-22  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (cb_treeview_key_press): New function
	improving keyboard navigation.
	(activate_column): Make sure the column is visible.

2006-04-21  Morten Welinder  <terra@gnome.org>

	* dialog-stf-csv-page.c (stf_dialog_csv_page_init): Remove some of
	the more crazy separators.  Add option to remove initial
	separators.

2006-04-20  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_set_lines): Speedup.

	* dialog-stf-csv-page.c (stf_dialog_csv_page_init): Project
	guessed options onto gui.

2006-04-18  Morten Welinder  <terra@gnome.org>

	* dialog-stf.c (stf_dialog): Simplify using go_gtk_dialog_run.
	Happens to fix #338694.

2006-04-15  Morten Welinder  <terra@gnome.org>

	* dialog-stf-export.c (stf_export_dialog_finish): Transfer locale
	setting.
	(stf_export_dialog_sheet_page_init): Use separate buttons for Next
	and Finish.
	(stf_export_dialog_switch_page): Hide the Back button for the
	one-sheet case.

2006-04-11  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (populate_sheet_list): Fix selection of
	current sheet.

2006-04-07  Morten Welinder  <terra@gnome.org>

	* dialog-define-names.c (name_guru_remove): Support undo.

2006-04-06  Morten Welinder  <terra@gnome.org>

	* dialog-search-replace.c (dialog_search_replace_query): Fix glade
	files so we don't have to set responses by hand.  Set alternative
	button ordering.

2006-04-05  Morten Welinder  <terra@gnome.org>

	* dialog-search-replace.c (dialog_search_replace_query): Plug
	tooltip leaks by letting glade take care of buttons.
	(dialog_search_replace_query): Return GtkReponse values instead of
	homegrown magic numbers.  Always set window parent, or else we
	might display on wrong display!

2006-03-31  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_set_startrow): Remove.

	* dialog-analysis-tools.c (tool_destroy): Make static.

2006-03-27  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (cb_add_clicked): Fix 0/NULL confusion
	causing amd64 crash.  [#336165]

2006-03-16  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (border_get_mstyle): Don't add a bogus
	MSTYLE_BORDER_TOP to the location.

2006-03-15  Eduardo Lima  <eduardo.lima@indt.org.br>

	* dialog-doc-metadata.c: Reduced/changed some function names, inserted
	some function documentation, reorganized the code in order to not have
	functions pre-declared anymore.

2006-03-14  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c (PrefState): Drop pages member.  It wasn't
	used apart from being leaked.
	(cb_preferences_destroy): Unref store too.

	* dialog-doc-metadata.c (dialog_doc_metadata_set_label_text):
	Adapt to goffice changes, plug leaks, handle non-C locales much
	better.

2006-03-13  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_init_protection_page): Refer to
	sheet protection, not workbook protection.
	(cb_fmt_dialog_dialog_buttons): Ditto.
	Patch from Klokan Petr Pridal.  [#334257]

2006-03-07 Luciano Wolf  <luciano.wolf@indt.org.br>

	* dialog-doc-metadata.c: Fixed compile errors.

2006-03-04  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (stf_dialog_format_page_init): Don't
	trigger updating.  Fixes #333407.

2006-03-04  Eduardo Lima  <eduardo.lima@indt.org.br>
	* dialog-doc-metadata.c:
	(dialog_doc_metadata_set_label_text_with_gsf_prop_value): delete.
	All callers changed to dialog_doc_metadata_set_label_text.
	(dialog_doc_metadata_get_gsf_prop_value): delete.
	(dialog_doc_metadata_get_gsf_prop_value_as_str): delete.
	(dialog_doc_metadata_get_value_as_str): renamed to
	dialog_doc_metadata_get_prop_value_as_str. All callers changed.

2006-03-03  Eduardo Lima  <eduardo.lima@indt.org.br>

	* dialog-doc-metadata.c: Code reformulation.
	* doc-meta-data.glade: Adjusted some properties.
	* help.h: defined GNUMERIC_HELP_LINK_METADATA.

2006-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=329250
	* dialog-cell-sort.c (dialog_init): use the "changed" signal rather
	  than the "update" signal to watch the range entry.

2006-01-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (translate_range): remove some dead code.

2006-01-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=329236
	* dialog-cell-sort.c (build_sort_field_base_menu): state->sel
	  may be NULL

2006-01-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=327278
	* dialog-preferences.c (pref_sort_page_initializer): add
	  "has-header" checkbox
	* dialog-cell-sort.c (dialog_init): initialize "has-header"
	  checkbox

2006-01-13  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (cb_dialog_delete_clicked): Defensive coding.
	(cb_dialog_change_clicked): Ditto.

2006-01-02  Stepan Kasal  <kasal@ucw.cz>

	* dialog-cell-format.c: #include <string.h> for strcmp()

2006-01-01  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (dialog_set_sec_button_sensitivity): Return a
	value indicating whether the current entry is valid.
	(cb_dialog_add_clicked): If entry is not valid, do nothing.  Fixes
	#324585.

2005-12-13  Morten Welinder  <terra@gnome.org>

	* dialog-solver.c (check_int_constraints): Plug leak.
	(solver_add_scenario): Plug leaks.  Constify.
	(cb_dialog_solve_clicked): Use solver_constraint_destroy.
	(cb_destroy): Remove.

2005-12-07  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (cb_number_format_changed): Plug leak.

2005-11-30  Eduardo Lima <eduardo.lima@indt.org.br>

	* dialog-doc-metadata.c
	(dialog_doc_metadata_init): Assign destroy signal to the dialog.
	(populate_page_2): Assign signals for click on 'Help' and 'Close' buttons.
	(cb_dialog_doc_metadata_close_clicked): new.
	(cb_dialog_doc_metadata_destroy): new.

2005-11-14  Jody Goldberg <jody@gnome.org>

	* Release 1.6.1

2005-11-14  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=321013
	* dialog-paste-special.c (dialog_paste_special) : default should be OK
	  not cancel.

2005-10-10  Jody Goldberg <jody@gnome.org>

	* Release 1.6.0

2005-10-04  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (setup_pattern_button) : The width dominates
	  the height on asymetric pixmaps like the line samples.  Use the
	  width of the xpms rather than the target height.  This makes double
	  visible as double again.

2005-10-02  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_font_script_toggle) : cut-n-paste-o.
	  Thanks emmanuel.

2005-09-28 Eduardo de Barros Lima <eduardo.lima@indt.org.br>

	* dialog-doc-metadata.c: new function implemented
	(dialog_doc_metadata_set_entry_text_with_gsf_str_prop_value) : new.
	(populate_page_2) : code to set the text of the entries.

2005-09-26  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : give the super/sub script buttons names and
	  enable them.
	* dialog-cell-format.c (cb_font_changed) : watch for script changes.
	(cb_font_script_toggle) : new.
	(fmt_dialog_init_font_page) : setup super/sub script buttons.

2005-09-26  Eduardo de Barros Lima <eduardo.lima@indt.org.br>

	* doc-meta-data.glade : UI Reformulation.
	* dialog-doc-metadata.c : First modifications to handle the new UI.

2005-09-25  Jody Goldberg <jody@gnome.org>

	* autoformat.glade : Add a mnemonic to the Edges menu

2005-09-21  Morten Welinder  <terra@gnome.org>

	* dialog-stf-main-page.c (stf_dialog_main_page_init): Use
	go_guess_encoding.
	(main_page_set_encoding): Explicitly verify that the generated
	text is valid UTF-8.
	(encodings_changed_cb): Update preview before spinbuttons as the
	number of lines might have changed.

2005-09-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-define-names.c (load_selection): new
	(name_guru_init): preload current selection

2005-09-08  Morten Welinder  <terra@gnome.org>

	* dialog-about.c: Add the lpsolve guys.

2005-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.90

2005-09-06  Jody Goldberg <jody@gnome.org>

	* dialog-function-select.c
	(cb_dialog_function_select_cat_selection_changed) : filter out
	internal functions (eg TABLE)

2005-09-05  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c : Move the rotation code into goffice's
	  GORotationSel.
	(fmt_dialog_init_align_page) : init the new rotation selector.
	(cb_rotation_changed) : new.

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.5

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.4

2005-08-24  Morten Welinder  <terra@gnome.org>

	* *.glade: Be consistent about dialog separators.

2005-08-23  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (cb_ok_clicked): Fix type screwup causing
	crashes when changing colours.

	* dialog-solver.c (dialog_init): Handle button alignment here, not
	in the .glade file.  Fixes #307783.

2005-08-18  Morten Welinder  <terra@gnome.org>

	* dialog-doc-metadata.c (dialog_doc_metadata_init): Use the right
	dialog name.  Do not access a help_button that is not there.

2005-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.5.3

2005-08-12  Morten Welinder  <terra@gnome.org>

	* dialog-preferences.c (cb_pref_font_set_fonts): At some point
	monitor callbacks got an extra arg and this function was left
	behind.  Fixes #313257.

2005-08-03  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (name_guru_init) : No need to align the button
	  content manually.  We can use gtk_button_set_alignment now. #307779.
	* dialog-autocorrect.c (autocorrect_init_exception_list) : ditto #307782

2005-08-04  Stepan Kasal  <kasal@ucw.cz>

	* dialog-about.c, dialog-doc-metadata.c, dialog-stf-export.c:
	  Fix warnings.

2005-07-31  Jody Goldberg <jody@gnome.org>

	* dialog-consolidate.c (dialog_consolidate_tool_init) : suppress
	  inconsequential warning from #308431.

2005-07-25  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* dialog-about.c (cb_plot_resize): graph logical size is a property of
	GogGraph now.
	(dialog_about): sets graph logical size. Tweek dialog window size.

2005-07-11  Jon K Hellan  <hellan@acm.org>

	* dialog-printer-setup.c (fetch_settings): Fetch settings from
	gnome-print paper setup before computing margins. Fixes #310055.

2005-07-11  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (display_hf_preview): Don't set
	foocanvasitems' text to NULL.

2005-07-06  Jon K Hellan  <hellan@acm.org>

	* dialog-about.c (dialog_about): Reduce animation rate to 3 secs
	per name.

2005-06-30  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (cb_ok_clicked): Rework to use
	cmd_reorganize_sheets2.

2005-06-25  Jody Goldberg <jody@gnome.org>

	* dialog-printer-setup.c (fetch_settings) : transfer the settings from
	  the gnomeprint config into the printinfo here.
	(cb_do_print_ok) : rather than here.

2005-06-17  Morten Welinder  <terra@gnome.org>

	* dialog-stf-export.c (stf_export_dialog_finish): Use the right
	combo box when figuring out formatting to use.  Don't set
	quoting-triggers unless we're in auto-quote-mode.  Fixes #308109.

2005-06-13  Morten Welinder  <terra@gnome.org>

	* dialog-plugin-manager.c (PLUGIN_MANAGER_DIALOG_KEY): Don't
	prevent the plugin dialog from popping up when a zoom dialog is
	present.

2005-06-13  Jody Goldberg <jody@gnome.org>

	* Release 1.5.2

2005-06-12  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (cb_ok_clicked): Fix harmless, but scary
	CRITICAL.

2005-06-10  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (cb_add_clicked): Plug leak.

2005-06-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* formula-guru.glade: add checkbox
	* dialog-formula-guru.c (dialog_formula_guru_is_array): new
	(cb_dialog_formula_guru_ok_clicked): add as array function if
	  requested
	(dialog_formula_guru_init): initialize state->array_button

2005-06-02  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* src/dialog/dialog-about.c (dialog_about): use
	gog_object_set_position_flags.

2005-06-01  Stepan Kasal  <kasal@ucw.cz>

	* dialog-about.c (contributors): Add accent to Jakub Jelinek.

2005-05-31  Stepan Kasal  <kasal@ucw.cz>

        * dialog-solver.c (solver_max_time_err): Move to src/gutils.c.

2005-05-26  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* dialog-printer-setup.c (do_setup_margin): relocate unit selector.
	* print.glade: some layout/spacing fixes. Don't use stock "print
	preview" button, but just stock icon. In some locales, standard
	translation of "Print preview" can lead to very wide dialog.

2005-05-26  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_set_lines): Fix some serious
	model/view confusion in last change.

2005-05-24  Morten Welinder  <terra@gnome.org>

	* dialog-password.c (dialog_get_password): Plug leak.

2005-05-13  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_init_align_page): Map rotation
	into -180..+180.

2005-05-12  Jody Goldberg <jody@gnome.org>

	* sheet-order.glade : don't expand the buttons vertically that is just
	  ugly.

	* dialog-autofilter.c (map_op) : fix inversion of starts with and ends
	  with.
	(init_operator) : strip the leading and trailing '*' for
	  begins/ends/contains.

2005-05-10  Jody Goldberg <jody@gnome.org>

	* Release 1.5.1

2005-05-08  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_rotate_changed) : keep
	  rotation in range 0..359

2005-04-12  Jody Goldberg <jody@gnome.org>

	* Makefile.am : Add hooks for a paste names dialog
	Add hooks for the new doc meta data dialog

2005-04-04  Morten Welinder  <terra@gnome.org>

	* dialog-stf-export.c (stf_export_dialog_finish): Plug leak.
	(stf_export_dialog): Plug several leaks.

2005-04-03  Jody Goldberg <jody@gnome.org>

	* dialog-printer-setup.c (header_preview_event) : suppress warning.
	(footer_preview_event) : ditto.

2005-03-22  Jody Goldberg <jody@gnome.org>

	* consolidate.glade : Merge in an ancient HIG patch from Manny

2005-03-31  Morten Welinder  <terra@gnome.org>

	* dialog-view.c (cb_view_ok_clicked): Make sure we regenerate our
	window menu.

2005-03-18  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (cb_col_check_clicked): Schedule a
	redraw of the entire treeview in order to make sure strikethough
	changes are actually seen.  See also bug 169961.

2005-03-17  Jon K Hellan  <hellan@acm.org>

	* dialog-search.c (dialog_search): Use
	go_gtk_nonmodal_dialog. Makes Esc close dialog.

2005-03-15  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (search_get_value): Reload cell and comment on
	demand.

2005-03-15  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (dialog_search): Don't install as guru.  Attach
	signal to close dialog if workbook has sheets removed.  Allow more
	than one search open at a time.
	(search_clicked): Install a new model.  That avoids inserting one
	line at a time.

	* dialog-stf-preview.c (stf_preview_free): Unref ->tree_view.
	(stf_preview_new): Ref ->tree_view.
	(stf_preview_set_lines): Switch in a new model for ->tree_view.
	That avoids inserting one line at a time.  This also lifts the
	limit of the column count.

2005-03-14  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c: Include fix.

2005-03-13  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* dialog-so-styled (dialog_so_styled): use gog_style_get_editor.

2005-03-06  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* dialog-plugin-manager.c (pm_gui_load_directory_page): add goffice
	plugin directory to system directory list.

2005-03-03  Morten Welinder  <terra@gnome.org>

	* dialog-merge.c (cb_merge_merge_clicked): Fix go_gtk_query_yes_no
	arg order.
	* dialog-plugin-manager.c (cb_active_toggled): Ditto.
	* dialog-cell-format.c (cb_fmt_dialog_dialog_buttons): Ditto.
	* dialog-sheet-order.c (cb_sheet_order_changed): Ditto.

2005-03-02  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c: Use FooCanvas for drawing rotated text.
	Do not include <pango/pangoft2.h> anymore.
	Switch border stuff to FooCanvas.

2005-03-01  Morten Welinder  <terra@gnome.org>

	* dialog-tabulate.c (mode_group): Constify.
	* dialog-shuffle.c (shuffle_by): Constify.
	* dialog-analysis-tools.c (grouped_by_group): Constify.
	* dao-gui-utils.c (output_group): Constify.
	* dialog-search-replace.c (error_group, search_type_group,
	scope_group, direction_group): Constify.
	* dialog-about.c (about_types): Constify.
	* dialog-paste-special.c (paste_ops): Constify.
	* dialog-summary.c (dialog_summary_names): Constify.
	* dialog-search.c (search_type_group, scope_group,
	direction_group): Constify.
	* dialog-solver.c (algorithm_defs, problem_type_group,
	model_type_group): Constify.
	* dialog-zoom.c (buttons): Constify.
	* dialog-autoformat.c (demotable): Constify.
	* dialog-preferences.c (page_info, startup_pages): Constify.

2005-02-28  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (cb_treeview_button_press): New
	function allowing the use of mouse in the data area.

	* dialog-stf-preview.c (stf_preview_find_column): New function.
	* dialog-stf-fixed-page.c (cb_treeview_button_press): Use
	stf_preview_find_column.

	* dialog-stf-format-page.c (format_context_menu): Factor out from
	cb_col_event.  Constify.

2005-02-18  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (spin_button_adapt_to_unit): Fix
	#decimals for mm.
	(canvas_update): Setup the spin button correctly.

2005-02-10  Jon K Hellan  <hellan@acm.org>

	* dialog-simulation.c (update_log, update_results_view): USe
	GNM_FORMAT_g format for gnm_float in printf.

2005-02-09  Jon K Hellan  <hellan@acm.org>

	* dialog-simulation.c (simulation_update_sensitivity_cb)
	(update_results_view): Cast gnm_float to double in printf.

	* dialog-workbook-attr.c (struct AttrState, get_entry_values,
	cb_widget_changed): Make iteration_tolerance gnm_float instead of
	double.

2005-02-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.0

2005-02-04  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (make_matches_table): Remove old #ifdef
	HAVE_foos.

2005-01-20  Jody Goldberg <jody@gnome.org>

	* dialog-sheet-order.c : Support a toggle for rtl

2005-01-17  Jody Goldberg <jody@gnome.org>

	* Release 1.4.2

2005-01-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=161910
	* cell-sort.glade : increase width a bit.

2004-12-17  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_init_align_page): Handle the
	no-common rotation case.  Fix the no-common indentation case.

2004-12-14  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (fmt_dialog_init_align_page): Initialize
	rotation from style.
	(cb_rotate_changed): Return proper rotation.  Fix bootstrap crash.

2004-12-09  Jody Goldberg <jody@gnome.org>

	* Release 1.4.1

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 1.4.0

2004-11-23  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (format_page_update_preview): Remove
	extra style_format_unref.

2004-11-14  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* dialog-about.c (dialog_about): handle dash_type property.

2004-11-13  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* dialog-preferences.c: Fixed typo

2004-11-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=158207
	* dialog-autocorrect.c (cb_remove_clicked): two
	  strings can be the same even if they differ as pointers.

2004-11-07  Jody Goldberg <jody@gnome.org>

	* Release 1.3.93

2004-11-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c: add default text argument to
	  all calls of *_pref_create_widget
	(dialog_pref_load_description_from_key): use
	  dialog_pref_load_description
	(bool_pref_create_widget): use default text
	(int_pref_create_widget): ditto
	(double_pref_create_widget): ditto

2004-11-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=157239
	* dialog-preferences.c (double_pref_conf_to_widget): for
	  doubles use fabs not abs

2004-11-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c (pref_tool_page_open): new
	(pref_tool_page_initializer): new
	(pref_copypaste_page_open): new
	(pref_copypaste_page_initializer): new
	(cb_pref_tree_selection_changed): deleted
	(pref_tree_page_open): deleted
	(pref_tree_find_iter): deleted
	(pref_tree_set_model): deleted
	(cb_pref_tree_changed_notification): deleted
	(cb_value_edited): deleted
	(pref_tree_initializer): deleted
	(pref_undo_page_initializer): move checkboxes to the bottom
	(pref_sort_page_initializer): ditto
	(pref_window_page_initializer): ditto

2004-11-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c (pref_screen_page_open): new
	(pref_screen_page_initializer): new
	(page_info): add `screen' page and reorder
	(pref_file_page_initializer): reorder items
	(int_pref_create_widget): adjust spacing
	(double_pref_create_widget): adjust spacing

2004-11-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c: add setter function arguments to all calls to
	  gboolean_pref_create_widget and rename int_pref_create_widget to
	  gint_pref_create_widget throughout
	(bool_pref_widget_to_conf) call setter function
	  rather than talking to gconf
	(bool_pref_create_widget) link setter function.

2004-11-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c: add setter function arguments to all calls to
	  int_pref_create_widget
	(int_pref_widget_to_conf) call setter function
	  rather than talking to gconf
	(int_pref_create_widget) link setter function.

2004-11-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c (cb_pref_font_hf_has_changed): pass the changes
	  to gnm_gconf_set_hf_font.

2004-11-04  Jody Goldberg <jody@gnome.org>

	* solver.glade : link up the Type mnemonic, and name the left/right
	  labels so that we can connect them to the expr entries.  Add some
	  icons to the constraint page.

	* dialog-solver.c (solver_reporting) : handle the report generation
	  potentially deleting the dialog and state.
	(cb_dialog_solve_clicked) : ditto
	(dialog_init) : have the constraint entries activation add the
	  constraint rather than running solve.
	(cb_dialog_set_rhs_sensitivity) : re-enable this code and handle the
	  label too.

2004-11-03  Jody Goldberg <jody@gnome.org>

	* dialog-solver.c (check_int_constraints) : Adjust calling convention
	  to handle new signature for global_range_contained.
	* dialog-merge.c (cb_merge_merge_clicked) : ditto.

2004-11-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c: reenable some of the `internal'
	  preferences since they are apparently used

2004-11-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=157238
	http://bugzilla.gnome.org/show_bug.cgi?id=157239
	* dialog-preferences.c (double_pref_widget_to_conf): use
	  a specific configuration setting function
	(double_pref_create_widget): ditto
	(cb_pref_font_has_changed): do not write directly to gconf
	(pref_window_page_initializer): specify configuration
	  setting functions

2004-11-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.c (cb_selection_changed): disable
	  movement buttons if there is an empty selection.

2004-11-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c (dialog_function_write_recent_func):
	  gnm_gconf_set_recent_funcs is now owning the list

2004-10-31  Jody Goldberg <jody@gnome.org>

	* Release 1.3.92

2004-11-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.c (cb_selection_changed): disable
	  movement buttons if there is no selection.

2004-11-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.c (location_of_iter): deleted
	(cb_selection_changed): check whether first and last item
	  are selected
	(cb_item_move): rewrite using gtk 2.2 api additions
	(cb_up): change arguments to cb_item_move
	(cb_down): ditto
	* dialog-sheet-order.c (gnm_tree_model_iter_prev):
	  move to gui-util.c

2004-10-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade: clarify instructions

2004-10-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade: mark sheet list reorderable
	* dialog-stf-export.c
	(stf_export_dialog_sheet_page_init): mark sheet list reorderable

2004-10-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade: fix spelling
	* dialog-stf-export.c (cb_selection_changed): new
	(move_element): call cb_selection_changed
	(cb_sheet_top): ditto
	(cb_sheet_bottom): ditto
	(stf_export_dialog_sheet_page_init): link selection
	  changes to cb_selection_changed

2004-10-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade: add tool tips and new buttons
	* dialog-stf-export.c (gnm_tree_model_iter_prev): new
	(move_element): simplify
	(cb_sheet_up): change arguments of move_element
	(cb_sheet_down): ditto
	(cb_sheet_top): new
	(cb_sheet_bottom): new
	(stf_export_dialog_sheet_page_init): setup `top' and
	  `bottom' buttons

2004-10-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=156710
	* dialog-stf-export.c (move_element) fix sense of test

2004-10-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=156604
	* dialog-stf-export.c (set_sheet_selection_count): compare with
	  number of non-empty sheets only.
	(cb_set_sheet): do not set empty sheets to be exported
	(cb_sheet_select_all): `all' means all non-empty sheets.
	(stf_export_dialog_sheet_page_init): check which sheets are
	  non-empty
	(stf_export_dialog_switch_page): ignore the sheet selection  page
	  if there is only one empty sheet.
	(stf_export_dialog): ditto. Moreover, warn the user if there is no
	  content that can be exported.

2004-10-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=156531
	* dialog-stf-format-page.c (format_page_update_preview): don't
	  hardcode maximum number of permissible columns.

2004-10-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=154140
	* dialog-stf-format-page.c (format_page_update_preview): add
	  format label to column headers
	(cb_number_format_changed): change format label in column header

2004-10-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=154137
	* dialog-stf-fixed-page.c (popup_elements): change text

2004-10-21  Morten Welinder  <terra@gnome.org>

	* dialog-about.c: Add Arief Mulya Utama.

2004-10-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=154138
	* dialog-stf.glade: Change trim menu items and add a text field
	  indicating the number of columns imported.
	http://bugzilla.gnome.org/show_bug.cgi?id=139385
	* dialog-stf.c (stf_dialog): handle col_import_array_len
	* dialog-stf.h: add column_selection_label to FormatInfo_t
	* dialog-stf-format-page.c (cb_col_check_clicked): call
	  format_page_update_column_selection
	(format_page_update_preview): ditto
	(format_page_update_column_selection): new
	(stf_dialog_format_page_init): initialize column_selection_label
	  and call format_page_update_column_selection

2004-10-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c: disabled `internal' preferences

2004-10-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=154139
	* dialog-stf-format-page.c (cb_col_check_clicked): switch column
	  style
	(format_page_update_preview): adjust column style

2004-10-19  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (make_matches_table): Add ellipsize property to
	contents column if supported.

2004-10-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade: fix formatting on all pages
	* dialog-stf-export.c (stf_export_dialog_switch_page): no need to
	  go back if there is only one sheet
	(stf_export_dialog): we can go directly to format specifications
	  if there is only one sheet.

2004-10-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=155437
	* dialog-stf-export.c (cb_sheet_select_none): number of selected
	  sheets is now 0.
	http://bugzilla.gnome.org/show_bug.cgi?id=154231
	(cb_sheet_select_all): number os selected sheets is now `all'
	* dialog-stf-export.glade: fix formatting of description

2004-10-18  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* dialog-plugin-manager.c (set_plugin_model_row): Gettextize the
	plugin names on GUI.
	* dialog-pluing-manager.c (cb_pm_selection_changed): Gettextize the
	plugin description on GUI.

2004-10-15  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* dialog-about.c (cb_about_animate): Gettextize contributors name.

2004-10-13  Morten Welinder  <terra@gnome.org>

	* dialog-about.c (dialog_about): Add timeout at low priority so it
	will not run before the canvas has been updated.

2004-10-09  Jody Goldberg <jody@gnome.org>

	* dialog-preferences.c (pref_window_page_initializer) : Set max to 64.
	  Why do we hard code this rather than pulling it from the schema ?

2004-10-08  Morten Welinder  <terra@gnome.org>

	* dialog-workbook-attr.c (attr_dialog_init_view_page): Use
	workbook_autorecalc.

2004-10-05  Jody Goldberg <jody@gnome.org>

	* Release 1.3.91

2004-09-28  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (set_rot_from_point): Use atan2, not atan.
	(cb_rotate_canvas_realize): Call go_pango_fc_font_map_cache_clear.
	Plug leak.

2004-09-27  Jody Goldberg <jody@gnome.org>

	* dialog-paste-special.c (cb_paste_special_response) : don't forget to
	  destroy the dialog.

2004-09-26  Jody Goldberg <jody@gnome.org>

	From : Yukihiro Nakai  <nakai@gnome.gr.jp>
	http://bugzilla.gnome.org/show_bug.cgi?id=148550
	* dialog-hyperlink.c (dhl_set_target_email) : new

2004-09-24  Jody Goldberg <jody@gnome.org>

	* dialog-paste-special.c (dialog_paste_special) : make this
	  pseudo-modal rather than full modal to drag it into the modern age.
	  We still need to gladify and higify it.  I've got a glade file if
	  anyone is interested.

2004-09-24  Jody Goldberg <jody@gnome.org>

	* dialog-so-styled.c : new

2004-09-20  Jody Goldberg <jody@gnome.org>

	* print.glade : s/Print setup/Page Setup/ to match the action

2004-09-24  Morten Welinder  <terra@gnome.org>

	* dialog-autosave.c (autosave_set_sensitivity): Fix type
	confusion.  entry_to_int returns a gboolean.
	(cb_autosave_ok): Ditto.

2004-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.3.90

2004-09-07  Jon K Hellan  <hellan@acm.org>

	* dialog-view.c (cb_view_ok_clicked): Use updated gui-utils.

	* dialog-tabulate.c (tabulate_ok_clicked): Ditto.

	* dialog-stf.c (cancel_clicked): Ditto.

	* dialog-stf-main-page.c (encodings_changed_cb): Ditto.

	* dialog-stf-format-page.c (cb_col_check_clicked): Ditto.

	* dialog-stf-fixed-page.c (fixed_page_autodiscover): Ditto.

	* dialog-stf-export.c (stf_export_dialog): Ditto.

	* dialog-solver.c (dialog_solver): Ditto.

	* dialog-sheet-order.c (cb_ok_clicked, cb_sheet_order_changed): Ditto.

	* dialog-search.c (search_clicked): Ditto.

	* dialog-search-replace.c (ok_clicked): Ditto.

	* dialog-scenarios.c (scenario_add_ok_clicked_cb,
	scenarios_summary_clicked_cb, dialog_scenarios): Ditto.

	* dialog-plugin-manager.c (cb_pm_button_activate_all_clicked,
	cb_pm_button_deactivate_all_clicked, cb_active_toggled): Ditto.

	* dialog-paste-special.c (dialog_paste_special): Ditto.

	* dialog-merge.c (cb_merge_merge_clicked): Ditto.

	* dialog-insert-cells.c (dialog_insert_cells): Ditto.

	* dialog-hyperlink.c (dhl_get_target_cur_wb, dialog_hyperlink): Ditto.

	* dialog-goto-cell.c (dialog_goto_cell): Ditto.

	* dialog-goal-seek.c (dialog_goal_seek): Ditto.

	* dialog-formula-guru.c (dialog_formula_guru): Ditto.

	* dialog-delete-cells.c (dialog_delete_cells): Ditto.

	* dialog-define-names.c (cb_scope_changed, name_guru_add,
	dialog_define_names): Ditto.

	* dialog-cell-sort.c (dialog_cell_sort): Ditto.

	* dialog-cell-format.c (cb_fmt_dialog_dialog_buttons): Ditto.

	* dialog-autosave.c (dialog_autosave): Ditto.

	* dialog-autocorrect.c (dialog_autocorrect): Ditto.

	* dialog-analysis-tools.c (dialog_tool_init): Ditto.

2004-09-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (dialog_ttest_tool): Enable the `put'
	  menu in the dao widget.

2004-09-02  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (base_files): Remove dialog-solver.c.
	(libdialogs_a_SOURCES): Include it here, if ENABLE_SOLVER is true.

2004-09-02  Jody Goldberg <jody@gnome.org>

	* dialog-about.c (dialog_about) : make it bigger

2004-09-03  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (dialog_search): In the match table, set up a
	binding such that [Enter] goes to the next match.

2004-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.3.2

2004-08-17  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c : mnemonics inside combos do not work

2004-08-14  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (dialog_sheet_order): Fix typo.

2004-08-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-about.c (dialog_about): start at a random position in the
	  list of contributors and include verion info (and application name)
	  in the dialog.

2004-07-28  Morten Welinder  <terra@gnome.org>

	* dialog-plugin-manager.c (cb_active_toggled): Call
	gnm_plugin_is_active instead of simply checking that its address
	is non-NULL.

2004-07-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (dialog_ftest_tool): Enable the `put'
	  menu in the dao widget.

2004-07-27  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (make_matches_table): Don't use NULL
	terminatation when we know array length.

2004-07-19  Jody Goldberg <jody@gnome.org>

	* Release 1.3.1

2004-07-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c (pref_tree_data): add CLIPBOARD over
	  PRIMARY preference

2004-07-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (dialog_correlation_tool):
	  Enable the `put' menu in the dao widget.
	(dialog_covariance_tool): ditto

2004-07-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (dialog_anova_single_factor_tool):
	  Enable the `put' menu in the dao widget.

2004-07-05  Jody Goldberg <jody@gnome.org>

	* dialog-about.c (dialog_about) : Throw in some gradients and a cheesy
	  text fade in out.

2004-06-29  Jody Goldberg <jody@gnome.org>

	* dialog-preferences.c (pref_tree_initializer) : fix crash on startup
	  due to missing column

2004-06-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (cb_desc_stat_tool_ok_clicked):
	  retrieve information from the ss_button
	(dialog_descriptive_stat_tool): c_entry is a spinbutton (not an
	  entry). Enable the `put' menu in the dao widget.

2004-06-01  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (cb_rotate_canvas_realize): Unref the
	layout.  Unref the attribute list.  Free the bitmap.  Unref the
	context.

2004-05-24  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=136546
	* dialog-about.c : Use the translation mechanism

2004-05-26  Jean Brefort  <jean.brefort@ac-dijon.fr>

	* cell-format.glade: changed gnm_combo_text_glade_new to
	go_combo_text_glade_new.
	* format-selector.glade: ditto.

2004-05-26  Jean Brefort  <jean.brefort@ac-dijon.fr>

	* dialog-cell-format.c: (fmt_dialog_init_font_page): replaced
	GnmComboText by GoComboText.
	* dialog-hyperlink.c: (dhl_init): removed old commented code.
	* dialog-solver.c: (dialog_init): added missing spaces.
	* font-sel.glade: replaced GtkCList by GtkTreeView

2004-05-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c: add handling of "visible" column
	  throughout
	(cb_toggled_visible) : new

2004-05-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* sheet-order.glade: increase default width

2004-05-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_color_changed_back): colour 0 is the
	  default colour
	(cb_color_changed_fore): colour 0 is the default colour

2004-05-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (fourier_tool_ok_clicked_cb):
	  initialize data->base.wbc

2004-05-22  Jean Brefort  <jean.brefort@ac-dijon.fr>
	* dialog-printer-setup.c: (do_setup_page_info), (do_setup_page): replaced Gtk deprecated stuff.
	* dialog-random-generator.c: (combo_get_distribution),
	(dialog_random_tool_init): ditto.
	* dialog-solver.c: (dialog_set_sec_button_sensitivity),
	(constraint_select_click), (cb_dialog_delete_clicked),
	(constraint_fill_row), (cb_dialog_add_clicked),
	(cb_dialog_change_clicked), (cb_dialog_set_rhs_sensitivity),
	(cb_dialog_model_type_clicked), (dialog_destroy),
	(check_int_constraints), (convert_constraint_format),
	(revert_constraint_format), (cb_dialog_solve_clicked),
	(dialog_init): ditto.
	* print.glade: ditto.
	* random-generation.glade: ditto.
	* solver.glade: ditto.

2004-05-21  Jody Goldberg <jody@gnome.org>

	* dialog-sheet-order.c : GtkCellRendererText uses GdkColor the
	  foreground-gdk, and background-gdk .. quelle suprise ! (doh!)
	http://bugzilla.gnome.org/show_bug.cgi?id=142687
	(dialog_sheet_order) : make the colour combos instant apply.

2004-05-17  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (fill_hf): Don't set things for undefined
	column 1.

2004-05-14  Jody Goldberg <jody@gnome.org>

	* names.glade : make the table resizeable and supply a default size to
	  avoid scrollbars on startup.

2004-04-17  Jody Goldberg <jody@gnome.org>

	* autoformat.glade : Don't use the libgnome stock item

2004-04-13  Morten Welinder  <terra@gnome.org>

	* dialog-stf-csv-page.c: This no longer needs
	GTK_DISABLE_DEPRECATED.

2004-04-07  Morten Welinder  <terra@gnome.org>

	* dialog-view.c (cb_view_ok_clicked): Copy toolbar visibility.
	(dialog_new_view): Make sure "This screen" really does mean "This
	screen" and not "Default screen".

2004-04-01  Christian Neumair  <chris@gnome-de.org>

	* Makefile.am: Revert accidential commit.

2004-04-01  Christian Neumair  <chris@gnome-de.org>

	* dialog-define-names.c: Slight widget naming cleanup.
	* exp-smoothing.glade: Some initial HIGification.
	* fill-series.glade: ditto.
	* moving-averages.glade: ditto.
	* names.glade: ditto.
	* random-generation.glade: ditto.
	* variance-tests.glade: ditto.

2004-03-28  Jody Goldberg <jody@gnome.org>

	* Release 1.3.0

2004-03-30  Jody Goldberg <jody@gnome.org>

	* dialog-stf-main-page.c (stf_dialog_main_page_init) : connect to
	  value_changed, not changed so that people can enter values directly.
	* dialog-cell-format.c (fmt_dialog_init_align_page) :  ditto for
	  indent and rotation spinners.

2004-03-23  Christian Neumair  <chris@gnome-de.org>

	* dialog-view.c (cb_view_ok_clicked): Cast toggle button when
	determining its activity state.

2004-03-23  Christian Neumair  <chris@gnome-de.org>

	* dialog-view.c: HIGification approach. Don't use radio buttons, small
	tweakings.
	* view.glade: Ditto.

2004-03-22  Morten Welinder  <terra@gnome.org>

	* dialog-about.c (dialog_about): Handle missing plugins without
	crashing.

2004-03-08  Morten Welinder  <terra@gnome.org>

	* dialog-plugin-manager.c (cb_pm_button_directory_add_clicked):
	Use folder selection mode now that is has regained sanity.

2004-02-21  Jody Goldberg <jody@gnome.org>

	* dialog-stf-export.c : Major reorg to remove the gnomedruid, and
	  GtkCLists

	* dialog-about.c : rewrite.  Not so pretty, but getting better.  It's
	  a decent test case for the an api to create a plot.

2004-02-17  Morten Welinder  <terra@gnome.org>

	* print.glade: Revert.

2004-02-13  Morten Welinder  <terra@gnome.org>

	* dialog-plugin-manager.c (cb_pm_button_directory_add_clicked):
	Switch to file chooser.

2004-02-09  Morten Welinder  <terra@gnome.org>

	* dialog-search-replace.c: Use GtkEntry (some we don't rely on
	libgnome).
	* dialog-search.c: Ditto.
	* dialog-goto-cell.c (dialog_goto_init): Ditto.

2004-02-06  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : add some mnemonics

2004-02-05  Morten Welinder  <terra@gnome.org>

	* solver.glade: Use unicode <= and >= for constraints.

2004-02-02  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_font_preview_color) : Move to GOColor
	(cb_border_color) : ditto.
	(cb_back_preview_color) : ditto.
	(cb_pattern_preview_color) : ditto.

2004-02-02  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (setup_color_pickers) : drop use of GdkColor.

2004-01-29  Jody Goldberg <jody@gnome.org>

	* dialog-stf.glade : '_Fixed Width' conflicted with '_Forward'
	  Move to 'Fi_xed Width'

2004-01-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (do_fetch_page): don't bother setting
	  orientation

2004-01-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* print.glade: a little bit of HIGfication

2004-01-14  Jody Goldberg <jody@gnome.org>

	* dialog-about.c (dialog_about) : add jimmac to about

2004-01-06  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dialog-stf-format-page.c: #include <gtk/gtkmenuitem.h> here as well.

2004-01-06  David Mosberger-Tang <David.Mosberger@acm.org>

	http://bugs.debian.org/226382
	* dialog-printer-setup.c: Gnumeric crashed on ia64 when clicking
	on File->Page Setup. The problem was that without include of
	gtkmenuitem.h, gtk_menu_item_new_with_label() was implicitly
	declared to return an "int", but since it returns a pointer in
	reality, the top 32 bits got sign-extended/corrupted on 64-bit
	platforms. Included the appropriate header.

2004-01-05  Morten Welinder  <terra@gnome.org>

	* dialog-view.c (cb_view_ok_clicked): Turn on multi-head support.

2003-12-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c
	(anova_two_factor_tool_update_sensitivity_cb): switch to spin button
	(anova_two_factor_tool_ok_clicked_cb): ditto
	* anova-two.glade: change GtkEntry to GtkSpinButton
	* dao.glade: replace separators with headers

2003-12-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* descriptive-stats.glade: add some missed keyboard accelerators
	* dao.glade: ditto

2003-12-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (anova_single_tool_update_sensitivity_cb):
	  switch to spin button
	(anova_single_tool_ok_clicked_cb): ditto
	* anova-one.glade: change GtkEntry to GtkSpinButton

2003-12-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (desc_stat_tool_update_sensitivity_cb):
	  disable entry fields that do not currently apply and store
	  warning messages in warning label
	* descriptive-stats.glade: HIGify and add warning field

2003-12-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (anova_single_tool_update_sensitivity_cb):
	  store warning messages in warning label
	(anova_two_factor_tool_update_sensitivity_cb): ditto
	(tool_update_sensitivity_cb): remove unused code
	* anova-one.glade: some small HIGification and addition of warnings
	  label
	* anova-two.glade: ditto

2003-12-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (tool_update_sensitivity_cb): remove
	  unused code and store warning messages in warning label
	* covariance.glade: some HIGification and addition of a warning field
	* correlation.glade: ditto
	* rank.glade: ditto
	* fourier-analysis.glade: ditto

2003-12-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* fill-series.glade: replace output page widgets with dao widget
	  and minor HIGfication
	* random-generation.glade: ditto
	* simulation.glade: ditto
	* advanced-filter.glade: ditto
	* consolidate.glade: ditto
	* dao-gui-utils.c (cb_focus_on_entry): deleted
	(tool_set_focus_output_range): deleted
	(dialog_tool_preset_to_range): use dao widget
	(dialog_tool_init_outputs): all callers are now using the dao
	  widget
	(parse_output): ditto
	* dao.glade: add in-place toggle button
	* dialog-advanced-filter.c (advanced_filter_update_sensitivity_cb):
	  use new dao widget
	(dialog_advanced_filter): disable `put' menu
	* dialog-analysis-tools.c (dialog_tool_init): state->put_menu is not
	  longer used
	(tool_load_selection): state->output_entry is not longer used
	* dialog-consolidate.c (dialog_set_button_sensitivity): use new
	  dao widget
	(dialog_consolidate): enable `put' menu
	* dialog-fill-series.c (cb_fill_series_update_sensitivity): use new
	  dao widget
	(dialog_fill_series): disable `put' menu
	* dialog-random-generator.c (random_tool_update_sensitivity_cb):
	  use new dao widget
	(dialog_random_tool): disable `put' menu
	* dialog-scenarios.c (dialog_scenario_add): replace
	  state->base.output_entry with state->base.gdao (Should we relly
	  be using dialog_tool_init here? It was designed for a different
	  kind of dialog!)
	* dialog-shuffle.c (dialog_shuffle): ditto
	* dialog-simulation.c (simulation_update_sensitivity_cb): use new
	  dao widget
	(dialog_simulation): disable `put' menu
	* tool-dialog.h (_GenericToolState): remove unneeded fields

2003-12-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* anova-one.glade: replace output page widgets with dao widget
	  and minor HIGfication
	* anova-two.glade: ditto
	* dialog-analysis-tools.c (tool_update_sensitivity_cb): remove
	  unused case (simple dialog not using dao widget)
	(anova_single_tool_update_sensitivity_cb): use new dao widget
	(anova_two_factor_tool_update_sensitivity_cb): ditto
	(dialog_anova_single_factor_tool): disable `put' menu
	(dialog_anova_two_factor_tool): ditto

2003-12-28  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Christain Neumair <chris@gnome-de.org>

	* cell-comment.glade: HIGify

2003-12-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tool-dialogs.h (_GenericToolState): remove unused fields
	(dialog_tool_init): remove unused arguments
	* dialog-analysis-tools.c (dialog_tool_init): remove unused
	  arguments and adjust calls to dialog_tool_init throughout
	* dialog-advanced-filter.c: adjust calls to dialog_tool_init
	  throughout
	* dialog-consolidate.c: ditto
	* dialog-fill-series.c: ditto
	* dialog-random-generator.c: ditto
	* dialog-scenarios.c: ditto
	* dialog-shuffle.c: ditto
	* dialog-simulation.c: ditto

2003-12-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.glade: some HIG modifications
	* dialog-analysis-tools.c (ttest_update_sensitivity_cb):
	  use new dao widget
	(ftest_update_sensitivity_cb): ditto
	(sampling_tool_update_sensitivity): ditto
	(regression_tool_update_sensitivity_cb): ditto
	(exp_smoothing_tool_update_sensitivity_cb): ditto
	(average_tool_update_sensitivity_cb): ditto
	(histogram_tool_update_sensitivity_cb): ditto
	(dialog_ttest_tool): disable `put' menu
	(dialog_ftest_tool): ditto
	(dialog_sampling_tool): ditto
	(dialog_regression_tool): ditto
	(dialog_exp_smoothing_tool): ditto
	(dialog_average_tool): ditto
	(dialog_histogram_tool): ditto
	* exp-smoothing.glade: replace output page widgets with dao widget
	* histogram.glade: ditto
	* mean-tests.glade: ditto
	* moving-averages.glade: ditto
	* regression.glade: ditto
	* sampling.glade: ditto
	* variance-tests.glade: ditto

2003-12-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao.glade: new
	* Makefile.am: add dao.glade
	* dao-gui-utils.c (dialog_tool_init_outputs): handle new dao widget
	(parse_output): ditto
	* dialog-analysis-tools.c (tool_load_selection): ditto
	(tool_update_sensitivity_cb): ditto
	(dialog_correlation_tool): disable `put' menu
	(dialog_covariance_tool): ditto
	(dialog_ranking_tool): ditto
	(dialog_fourier_tool): ditto
	(desc_stat_tool_update_sensitivity_cb): use new dao widget
	(dialog_descriptive_stat_tool): disable `put' menu
	* tool-dialogs.h (_GenericToolState): add gdao field
	* correlation.glade: replace output page widgets with dao widget
	* covariance.glade: ditto
	* descriptive-stats.glade: ditto
	* fourier-analysis.glade: ditto
	* rank.glade: ditto

2003-12-24  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-cell-sort.c: make various strings translatable and remove
	  corresponding warnings.

2003-12-24  Andreas J. Guelzow  <aguelzow@taliesin.ca>
	mostly for John Gill <sufc@utvinternet.com>

	* cell-sort.glade: add tooltips

2003-12-24  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (make_matches_table): Set single-paragraph-mode.

	* dialog-stf-preview.c (stf_preview_set_lines): Set
	single-paragraph-mode.  We're in gtk+ cvs HEAD land now.

2003-12-23  Jody Goldberg <jody@gnome.org>

	* Release 1.2.3

2003-12-21  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dialog-cell-sort.c: #include <gtk/gtkmenuitem.h> so things link
	again.

2003-12-21  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-stf-export.glade: add `Preserve Formats' checkbutton
	* dialog-stf-export-private.h (StfE_FormatPageData_t): add
	  GtkCheckButton  *format_preserve
	* dialog-stf-export-format-page.c (stf_export_dialog_format_page_init):
	  initialize format_preserve checkbutton
	(stf_export_dialog_format_page_result): extract format_preserve

2003-12-20  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (build_sort_field_menu): balance the size
	of the submenus with the size of the main menu and don't introduce
	submenus if there are only a few items left.

2003-12-20  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* cell-sort.glade: add horizontal scollbars to the treeview to
	  work around a GTK bug.
	* dialog-cell-sort.c (header_name): new
	(col_row_name): add column/row info to headers to differentiate
	  between them
	(append_data): load header into new column
	(cb_sort_header_check): simply switch the visibility of the header
	  column
	(move_cb): also move data from new column
	(dialog_init): add header column to treeview

2003-12-20  Andreas J. Guelzow  <aguelzow@taliesin.ca>
	mostly for John Gill <sufc@utvinternet.com>

	* dialog-cell-sort.c (AddSortFieldMenuState): new structure
	(already_in_sort_fields): new
	(range_already_in_sort_criteria): new
	(build_sort_field_menu): new
	(cb_sort_field_menu_activate): new
	(cb_sort_field_selection): new
	(cb_update_add_sensitivity): deleted
	(cb_sort_header_check): new
	(cb_update_sensitivity): don't count items here
	(select_iter_at_row): new
	(cb_delete_clicked): reselect an item after deletion
	(set_ok_button_sensitivity): new
	(build_sort_field_base_menu): new
	(show_add_menu): new
	(cb_add_clicked): if the entry field does not contain valid data
	  show the menu instead
	(cb_treeview_button_press): new
	(cb_treeview_keypress): new
	(dialog_init): hook up additional signals for the treeview

2003-11-27  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=128915
	* preferences.glade: make description field non-editable

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 1.2.2

2003-10-27  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=127932
	* src/dialogs/dialog-cell-sort.c (cb_update_sensitivity):
	  handle clear button
	(cb_clear_clicked): new
	(cb_add_clicked): don't stop after the first addition
	(dialog_init): handle clear button and shortened add entry
	* src/dialogs/cell-sort.glade: add clear button and move
	  add button next to add entry field

2003-10-27  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (cb_col_event): Handle mouse-1 clicks
	near the checkbox and pretend it works.

	* dialog-stf-main-page.c (stf_dialog_main_page_init): Handle
	missing columns when input is empty.

2003-10-27  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=125422
	* dialog-insert-cells.c (dialog_insert_cells): try to guess
	  whether to move cells down or to the right
	* insert-cells.glade: add missing radio button

2003-10-27  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-delete-cells.c (dialog_delete_cells): try to guess
	  whether to move cells up or to the left

2003-10-26  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=125361
	* dialog-printer-setup.c (cb_do_print): cb_do_print_ok causes
	  state to be freed. So don't use it afterwards.

2003-10-26  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-preferences.c: add Default Header/Footer Font Selector
	(pref_font_hf_initializer): new
	(cb_pref_font_hf_has_changed): new
	(cb_pref_font_hf_set_fonts): new
	(pref_font_hf_page_open): new

2003-10-21  Jody Goldberg <jody@gnome.org>

	* function-select.glade : why were the descriptions editable ??

2003-10-13  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_set_lines): Take extra
	GStringChunk* argument.
	(stf_preview_set_lines): Be consistent with the column maximum.

2003-10-08  Jody Goldberg <jody@gnome.org>

	* Release 1.2.1

2003-10-05  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (cb_name_guru_destroy) : reload the position
	  descriptor in case things changed.

2003-10-05  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (dialog_sheet_order): Ditto.

	* dialog-cell-format.c (setup_color_pickers): gtk_combo_box
	renamed to gnm_combo_box.

2003-10-05  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dialog-autocorrect.c, dialog-cell-sort.c, dialog-consolidate.c,
	dialog-function-select.c, dialog-scenarios.c, dialog-sheet-order.c,
	dialog-simulation.c, dialog-zoom.c: #include <gtkliststore.h> to fix
	build.

2003-10-02  Morten Welinder  <terra@gnome.org>

	* dialog-goal-seek.c (cb_dialog_apply_clicked): Don't use
	style_format_new_XL.

2003-09-30  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c (stf_dialog_format_page_prepare): Set
	the trim right.
	(format_page_trim_menu_deactivate): Update preview and result
	after changes.

2003-09-28  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-scenarios.c (scenarios_ok_clicked_cb): Fixed a crash in
	ok button.

	* scenario-manager.glade: Much improved dialog layout.

	* dialog-scenarios.c (dialog_scenarios): A label name change.

2003-09-24  Jody Goldberg <jody@gnome.org>

	Christian Neumair <chris@gnome-de.org>
	* view.glade : Add some atk relations
	* autofilter-top10.glade : ditto
	* autoformat.glade : ditto
	* variance-tests.glade : ditto
	* anova-two.glade : ditto
	* anova-one.glade : ditto

2003-09-25  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.glade: Much improved dialog layout.

	* dialog-solver.c (cb_dialog_solve_clicked): Bug fix: create the
	scenario only if an optimal value was found.

	* dialog-solver.c (constraint_select_click): Fixed the usability
	of constraint change button.

2003-09-23  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenario-manager.glade, scenario-add.glade: Add some spacing to
	look a little bit more like in HIG specs.

	* dialog-analysis-tools.c (scenarios_cancel_clicked_cb): Fix a
	crash in cancel button.

	* solver.glade: Fixed the groupping of the minimize button.

2003-09-15  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (location_of_iter): Fix C99-ism.

2003-09-15  Jody Goldberg <jody@gnome.org>

	* Release 1.2.0

2003-09-14  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (location_of_iter): rewrite

2003-09-13  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (display_hf_preview): initialize
	  HFRenderInfo->sheet

2003-09-13  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (dialog_histogram_tool): connect
	  focus event handlers to an expression entry's entry
	(histogram_tool_set_calculated): should return gboolean
	(histogram_tool_set_predetermined): ditto

2003-09-12  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : fix ancient spelling error.

2003-09-11  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* advanced-filter.glade: fix label alignment

2003-09-11  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (dialog_init): focus on the most
	  likely entry field

2003-09-10  Christian Neumair  <chris@gnome-de.org>

	* cell-sort.glade: Add ATK relation information.
	* dao-gui-utils.c (dialog_tool_init_outputs): ditto.
	* dialog-analysis-tools.c (dialog_tool_init): ditto.
	* format-selector.glade: ditto.
	* so-arrow.glade: ditto.
	* so-checkbox.glade: ditto.
	* so-fill.glade: ditto.
	* so-frame.glade: ditto.
	* so-scrollbar.glade: ditto.

2003-09-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.90

2003-09-06  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_ok_clicked): remove warning

2003-08-30  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=121045
	* dialog-autofilter.c (init_operator) : minor thinko

2003-08-25  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=120552
	* dialog-stf-export.c (stf_dialog_window_delete): new
	(stf_export_dialog_attach_page_signals): connect
	  stf_dialog_window_delete

2003-08-25  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (create_hf_preview_canvas): use
	  8 pt rather than 14/1024 pt font

2003-08-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.20

2003-08-11  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* variance-tests.glade: changed to match other tool dialogs

2003-08-11  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* help.h: add and change a few links
	* dialog-autofilter.c (dialog_auto_filter): vary the help link
	  depending on which dialog we a reusing
	* dialog-autosave.c (dialog_autosave): fix typo

2003-08-09  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* help.h: new, list of help links for all help buttons
	* dialog-advanced-filter.c: replace helpfile address
	  with #define from help.h
	* dialog-autocorrect.c: ditto
	* dialog-autofilter.c: ditto
	* dialog-autoformat.c: ditto
	* dialog-cell-comment.c: ditto
	* dialog-cell-format.c: ditto
	* dialog-cell-sort.c: ditto
	* dialog-col-row.c: ditto
	* dialog-col-row.c: ditto
	* dialog-col-width.c: ditto
	* dialog-consolidate.c: ditto
	* dialog-consolidate.c: ditto
	* dialog-define-names.c: ditto
	* dialog-define-names.c: ditto
	* dialog-delete-cells.c: ditto
	* dialog-fill-series.c: ditto
	* dialog-formula-guru.c: ditto
	* dialog-function-select.c: ditto
	* dialog-goal-seek.c: ditto
	* dialog-goto-cell.c: ditto
	* dialog-hyperlink.c: ditto
	* dialog-insert-cells.c: ditto
	* dialog-merge.c: ditto
	* dialog-pivottable.c: ditto
	* dialog-plugin-manager.c: ditto
	* dialog-preferences.c: ditto
	* dialog-printer-setup.c: ditto
	* dialog-random-generator.c: ditto
	* dialog-row-height.c: ditto
	* dialog-scenarios.c: ditto
	* dialog-search-replace.c: ditto
	* dialog-search.c: ditto
	* dialog-sheet-order.c: ditto
	* dialog-shuffle.c: ditto
	* dialog-simulation.c: ditto
	* dialog-solver.c: ditto
	* dialog-summary.c: ditto
	* dialog-tabulate.c: ditto
	* dialog-view.c: ditto
	* dialog-workbook-attr.c: ditto
	* dialog-zoom.c: ditto
	* dialog-analysis-tools.c: ditto, and remove some
	  duplicate code
	* dialog-autosave.c: ditto, and use utilities

2003-08-06  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=119287
	* dialog-sheet-order.c (cb_ok_clicked): don't allow
	  users to delete all existing sheets (even if they
	  create some new ones)

2003-08-06  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_ok_clicked): fix typo

2003-08-06  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dao-gui-utils.c (parse_output): do not set sheet_idx

2003-08-06  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-about.c: include libgnomeui/gnome-href.h

2003-08-06  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_delete_sheets): deleted (was unused)

2003-08-04  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dao-gui-utils.c (parse_output): also set sheet_idx

2003-08-04  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-scenarios.c: Put scenario specific fields into
	  ScenariosState rather than GenericToolState and use
	  ScenariosState thoughout
	* dialog-tabulate.c (tabulation_eval): move to tools/tabulate.c
	(my_get_format): ditto
	(do_tabulation): ditto
	(tabulate_ok_clicked): use cmd_tabulate
	* tool-dialogs.h: Remove scenario specific fields from
	  GenericToolState

2003-08-03  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-consolidate.c (cb_consolidate_ok_clicked): use
	  consolidate_check_destination

2003-08-03  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* consolidate.glade: add standard output selector
	* dao-gui-utils.c (dialog_tool_init_outputs): handle put_menu
	(parse_output): ditto
	* dialog-analysis-tools.c (tool_destroy): call a tool
	  specific destruction function if needed.
	(dialog_tool_init): initialize state->state_destroy and
	  state->put_menu
	* dialog-consolidate.c: use GenericToolState as part of the
	  state structure and use the standard dao calls rather than
	  duplicating the code here.
	* tool-dialogs.h (GenericToolState): add state_destroy and
	  put_menu fields

2003-07-31  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_ok_clicked): use sheet indices
	  rather than sheet pointers, adjust arguments to
	  cmd_reorganize_sheets

2003-07-30  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* solver.glade: align various widgets (and split them over additional
	  pages)

2003-07-28  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (cb_treeview_button_press): Make the
	context menu work here too.

2003-07-27  Jon K Hellan  <hellan@acm.org>

	* autofilter-expression.glade: Set has_default for ok_button.

	* autofilter-top10.glade: Ditto.

	* pivottable.glade: Ditto.

	* so-frame.glade: Ditto.

	* solver.glade: Ditto.

2003-07-25  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c: Overhaul all navigation.

2003-07-24  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (make_new_column): New function, largely
	split out from cb_col_event.
	(cb_col_event): Call make_new_column.
	(cb_treeview_event): New function.
	(stf_dialog_fixed_page_init): Connect to cb_treeview_event.

2003-07-24  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-goal-seek.c (dialog_destroy): call cmd_goal_seek
	  if appropriate
	(cb_dialog_cancel_clicked): set cancelled to true
	(cb_dialog_apply_clicked): set cancelled to false
	(dialog_preload_selection): new
	(dialog_init): call dialog_preload_selection
	(dialog_goal_seek): initialize cancelled to true

2003-07-24  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-solver.c (dialog_destroy): call cmd_solver if
	  appropriate
	(cb_dialog_cancel_clicked): set cancelled to true
	(cb_dialog_close_clicked): set cancelled to false and defer
	  call of cmd_solver to dialog_destroy
	(cb_dialog_solve_clicked): set cancelled to false
	(dialog_solver): initialize cancelled to true

2003-07-23  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-stf.glade: give a proper title to the dialog

2003-07-23  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-solver.c (cb_dialog_close_clicked): call cmd_solver

2003-07-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* autoformat.glade: add help button
	* plugin-manager.glade: add help button
	* dialog-autoformat.c (dialog_autoformat): add help button
	* dialog-plugin-manager.c (cb_pm_close_clicked): new
	(pm_dialog_cleanup): delete state
	(dialog_plugin_manager): setup help button

2003-07-23  Morten Welinder  <terra@gnome.org>

	* dialog-zoom.c (cb_zoom_ok_clicked): Stop silly
	double->float->double conversions.

2003-07-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-zoom.c (cb_zoom_ok_clicked): use gtk_tree_iter_free
	  only for iters allocated on the heap

2003-07-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf.c (stf_dialog_result_attach_formats_to_cr): new
	* dialog-stf.h (stf_dialog_result_attach_formats_to_cr): new

2003-07-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=117903
	* dialog-printer-setup.c: activiate the radio buttons, do not
	  make them insensitive.

2003-07-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=115812
	* dialog-solver.c (solver_reporting) : remove double negative in docs.

2003-07-16  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c
	(cb_dialog_function_select_fun_selection_changed): fix the offset
	  into the description for formatting. Make the syntax bold rather
	  than the first occurrence of the function name (which did not
	  work anyways.)

2003-07-16  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c
	(cb_dialog_function_select_cat_selection_changed): show the
	  function names only
	(cb_dialog_function_select_fun_selection_changed): prepend the
	  syntax to the description

2003-07-16  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (setup_pattern_button): Get images from
	application pixbufs.

2003-07-15  Jody Goldberg <jody@gnome.org>

	From John Gill :
	* dialog-preferences.c (cb_pref_window_set_transition_keys) : new.
	(cb_pref_window_transition_keys_toggled) : new.
	(pref_window_page_initializer) : use them here.

2003-07-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao-gui-utils.h (dialog_tool_preset_to_range): new
	* dao-gui-utils.c (dialog_tool_preset_to_range): new
	* dialog-fill-series.c: rewrite for the redesign dialog and
	make undoable
	* dialog-random-generator.c (dialog_random_tool_init): use
	dialog_tool_preset_to_range rather than direct
	gnm_expr_entry_load_from_range
	* fill-series.glade: redesign
	* tool-dialogs.h: add fixme warning

2003-07-09  Morten Welinder  <terra@gnome.org>

	* dialog-stf-main-page.c (main_page_set_spin_button_adjustment):
	Don't set entry size.  The incorrect size is a gtk+ bug.
	http://bugzilla.gnome.org/show_bug.cgi?id=116368

2003-07-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* preferences.glade: replace notebook tabs with treeview

	* dialog-preferences.c (dialog_pref_add_item) : new
	(dialog_pref_select_page): new
	(cb_dialog_pref_selection_changed): new
	(dialog_preferences): set up treeview

2003-07-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf.c: change dialogresult->formats to
	  dialogresult->parseoptions->formats throughout
	(stf_dialog_result_free): don't free formats
	* dialog-stf.h: remove formats from DialogStfResult_t

2003-07-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (format_page_update_preview): preserve
	  the old column headers and column selection
	(cb_col_check_clicked): verify arguments
	(check_columns_for_import): ditto
	(uncheck_columns_for_import): ditto
	(stf_dialog_format_page_cleanup): handle col_import_array_len
	(stf_dialog_format_page_init): ditto
	* dialog-stf.h: added col_import_array_len to FormatInfo_t

2003-07-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (cb_col_check_clicked): reformatted
	(check_columns_for_import): new
	(uncheck_columns_for_import): new
	(cb_popup_menu_uncheck_right): implemented
	(cb_popup_menu_check_right): implemented
	(cb_popup_menu_uncheck_left): new
	(cb_popup_menu_check_left): new
	(cb_col_event): eanble and add context menu items

2003-07-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (cb_col_event) : don't confuse
	  pagedata->format.renderdata->colcount with
	  pagedata->format.col_import_count

2003-07-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (cb_col_clicked) : deleted
	(cb_column_popup) : renamed to cb_col_event and simplified
	(format_page_update_preview): don't use an eventbox but the column
	  header button

2003-07-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (cb_col_clicked) : check argument
	(cb_popup_menu_uncheck_right) : new stub
	(cb_popup_menu_check_right) : new stub
	(cb_popup_menu_extend_format) : new
	(cb_column_popup) : new
	(format_page_update_preview): add context menu to column headers

2003-07-03  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (dialog_sheet_order): Turn off color combo
	tearoff behaviour in dialogs.

	* dialog-cell-format.c (setup_color_pickers): Ditto.

2003-07-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=116300
	* dialog-stf.h: added format.format_changed_handler_id
	* dialog-stf-format-page.c (activate_column): block
	  format_changed signal handler

2003-07-02  Jody Goldberg <jody@gnome.org>

	* dialog-tabulate.c (dialog_tabulate) : Use GObject properties in
	  place of deprecated gtk_window_set_policy.

2003-07-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* format-selector.glade: remove some translatable nonsense text

2003-07-01  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>
	(committed by Andreas J. Guelzow <aguelzow@taliesin.ca>)

	* cell_format.glade : HIG fixes
	* dialog-cell-format.c (fmt_dialog_init_validation_expr_entry):
	  fix widget position in validation GtkTable.

2003-06-30  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>
	(committed by Andreas J. Guelzow <aguelzow@taliesin.ca>)

	* format-selector.glade : use a GtkTextView for preview.

2003-07-01  Jody Goldberg <jody@gnome.org>

	* advanced-filter.glade
	anova-one.glade
	anova-two.glade
	autoformat.glade
	cell-format.glade
	consolidate.glade
	correlation.glade
	covariance.glade
	descriptive-stats.glade
	exp-smoothing.glade
	fourier-analysis.glade
	function-select.glade
	histogram.glade
	merge.glade
	moving-averages.glade
	print.glade
	rank.glade
	regression.glade
	sampling.glade
	shuffle.glade
	tabulate.glade : remove unnecessary 'requires gnome'

2003-06-30  Morten Welinder  <terra@gnome.org>

	* dialog-stf-main-page.c (main_page_set_spin_button_adjustment):
	Auto-size spinbutton entries.

2003-06-29  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* src/dialogs/dialog-stf-format-page.c (format_page_update_preview):
	  use col_header field
	(stf_dialog_format_page_init): initalize col_header field
	* src/dialogs/dialog-stf.h: add col_header field to FormatInfo_t

2003-06-28  Andreas J. Guelzow  <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (cb_col_check_clicked): new
	(format_page_update_preview): create checkboxes in column
	  headers
	(stf_dialog_format_page_cleanup): clean up selected column list
	(stf_dialog_format_page_init): initialize selected column list
	* dialog-stf-preview.c (stf_preview_new): allocate lots of columns
	  in the lazy list. (We need to fix this.)
	(stf_preview_set_lines): show all lines
	* dialog-stf.c (stf_dialog): copy selected column list to parseoptions
	* dialog-stf.h: new fields in FormatInfo_t

2003-06-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c: Add a 'All Functions' category
	* function-select.glade: Add instructions

2003-06-26  Morten Welinder  <terra@gnome.org>

	* dialog-stf-format-page.c: Dump column clist.
	(activate_column): New function, shading the currently selected
	column.

	* dialog-stf-preview.c (stf_preview_new): Set size in terms of
	font size.

2003-06-26  Jody Goldberg <jody@gnome.org>

	* dialog-printer-setup.c (unit_editor_configure) : silence the warning.

2003-06-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tabulate.glade: fixed button order

2003-06-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-consolidate.c: replace GTKCList with Treeview
	* consolidate.glade: ditto

2003-06-25  Morten Welinder  <terra@gnome.org>

	* dialog-stf*.[ch]: Replace GnomeDruid setup with a GtkNotebook
	setup.  GnomeDruid is too buggy.

2003-06-24  Morten Welinder  <terra@gnome.org>

	* dialog-sheet-order.c (dialog_sheet_order): Use
	application_get_pixbuf to get icon for color_combo_new.  Don't
	include all the pixbufs.

	* dialog-stf-main-page.c (main_page_import_range_changed): Add a
	g_return_if_fail to prevent a crash under 115856.  (This doesn't
	actually fix anything.)

2003-06-24  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* format-selector.glade: arrange items to be more aligned and conform
	  to HIG. Remove the unused delete button for custom styles.

2003-06-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* print.glade: use stock buttons

2003-06-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* format-selector.glade: rearrange items to use a treeview
	  for the format categories

2003-06-18  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c (dhl_get_target_url) : Use 'Web Link'
	  rather than URL which is aparently too technical.

2003-06-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (cb_do_print_ok): save as default only
	  when checkbox checked
	(do_setup_sheet_selector): relocate sheet selector
	* dialog-stf.glade: make column list fixed width
	* format-selector.glade: make more rigid
	* print.glade: add a `save as default' checkbox

2003-06-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (locale_changed_cb): store locale in
	  pagedata
	* dialog-stf.c (stf_dialog): move locale to parseoptions

2003-06-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (cb_do_print): remove duplicated code
	  by calling cb_do_print_ok

2003-06-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c
	(cb_dialog_function_select_fun_selection_changed): carefully
	  count characters and cursor positions (1-off problems)
	* format-selector.glade: percentages are not scaled

2003-06-20  Andreas J. Guelzow <aguelzow@taliesin.ca>
	for Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* dialog-stf.glade: small formatting change
	* format-selector.glade: small formatting change

2003-06-20  Morten Welinder  <terra@gnome.org>

	* dialog-stf-csv-page.c (csv_page_textindicator_change): Move from
	main page.  (Saves screen real-estate there.)

2003-06-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (locale_changed_cb): implement

2003-06-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-paste-special.c: spelling fix
	* search-replace.glade: spelling fix
	* search.glade: spelling fix

2003-06-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-format-page.c (locale_changed_cb): new
	(stf_dialog_format_page_init): add locale selector
	* dialog-stf.c: add pagedata.locale and pagedata.fixed_locale
	(stf_dialog): add above to argument list
	* dialog-stf.glade: add space for locale selector
	* dialog-stf.h (stf_dialog): add locale and fixed_locale
	  to argument list

2003-06-15  Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>

	* Makefile.am : add number-format-selector.glade
	* cell-format.glade : remove number format page
	* number-format-selector.glade :
		new, based on the number format page of cell-format.glade,
		excepted the use of a GtkOptionMenu for the format category
		selection
	* dialog-cell-format.c
		(_FormatState) : remove number format related variables
		(_FormatWidget) : removed
		(generate_format),
		(draw_format_preview),
		(fillin_negative_samples),
		(cb_decimals_changed),
		(cb_separator_toggle),
		(fmt_dialog_init_fmt_list),
		(fmt_dialog_enable_widgets),
		(cb_format_class_changed),
		(cb_format_entry_changed),
		(cb_format_list_select),
		(cb_format_currency_select),
		(cb_format_negative_form_selected),
		(funny_currency_order : removed
		(cb_number_format_changed) : new
		(fmt_dialog_init_format_page) : now only add number format
		selector widget at the first notebook page
		(cb_fmt_dialog_dialog_destroy) : remove unref of
		state->format.spec
		(set_initial_focus) : use number_format_selector_set_focus to
		give the focus to the number format page
	* dialog-stf-format-page.c
	 	(format_page_collist_select_row) : use
		number_format_selector_set_style_format to set the current
		style format of the slector widget
		(format_page_sublist_select_row) : removed
		(format_page_format_changed) : removed
		(cb_number_format_changed) : new
		(stf_dialog_format_page_init) : remove format list creation
		code ; add initialisation of the number format selector widget
	* dialog-stf.c
		(stf_dialog_set_initial_keyboard_focus) : use
		number_format_selector_set_focus
	 	(stf_dialog_editables_enter) : use
		number_format_selector_editable_enters
	* dialog-stf.h : removed format list related variables
	* dialog-stf.glade :
		reduced the requested size of the preview area from 250 to 100
		removed format list in the format page

2003-06-16  Morten Welinder  <terra@gnome.org>

	* dialog-stf-csv-page.c (csv_page_parseoptions_to_gui): Use
	guessed parse options.

	* dialog-stf-main-page.c (main_page_parseoptions_to_gui): New
	function.
	(stf_dialog_main_page_init): Guess initial parseoptions.

2003-06-14  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (dialog_sheet_order): Fix typo

2003-06-13  Jon K Hellan  <hellan@acm.org>

	* dialog-sheet-order.c (dialog_sheet_order): Turn off instant
	apply for color combos.

	* dialog-cell-format.c (setup_color_pickers): Ditto.

2003-06-13  Morten Welinder  <terra@gnome.org>

	* dialog-stf-main-page.c (main_page_set_encoding): Use known
	length of data area.

	* dialog-stf.c (stf_dialog): Take extra parameter specifying
	length of data area.  All callers changed.

	* dialog-stf-main-page.c (cb_line_breaks): Handle changes in line
	break specs.

2003-06-12  Morten Welinder  <terra@gnome.org>

	* dialog-stf.c (stf_dialog): New argument fixed_encoding which,
	when TRUE, will use the specified encoding with no user override.
	All callers changed.

	* dialog-stf-preview.c (render_get_value): Change tabs into spaces
	here.
	(stf_preview_set_lines): Clear the table here too.
	(stf_preview_render): Merge into stf_preview_set_lines, then
	remove.

	* dialog-stf.h (DruidPageData_t): Add parseoptions here.  Remove
	from all page structs.

	* dialog-stf-fixed-page.c (fixed_page_update_preview): Turn off
	trimming here.

2003-06-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (regression_tool_ok_clicked_cb):
	  do not report already reported errors

2003-06-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* mean-tests.glade: replace some abbreviations with the
	  complete name

2003-06-12  Morten Welinder  <terra@gnome.org>

	* dialog-stf-main-page.c (main_page_import_range_changed): Reset
	->cur and ->cur_end here.
	(encodings_changed_cb): Call main_page_import_range_changed.

	* dialog-stf-preview.c (stf_preview_render): Fix preconditions,
	not that they should really fail...

	* dialog-stf-main-page.c (main_page_set_encoding): Don't use
	fallback during conversion.
	(encodings_changed_cb): Improve error message.

2003-06-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c (cb_pref_latex_set_use_utf8): new
	(cb_pref_latex_set_use_utf8_toggled): new
	(pref_file_page_initializer): add latex-use-utf8 checkbox

2003-06-11  Morten Welinder  <terra@gnome.org>

	* dialog-stf.c (stf_dialog): Nul-terminate result.
	* dialog-stf.h (DruidPageData_t): Add cur_end member.

	* dialog-stf.h (MainInfo_t): Add parse options member.

	* dialog-stf-main-page.c (main_page_startrow_changed): Treat line
	endings consistently.

2003-06-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* random-generation.glade: use notebook

2003-06-11  Jon K Hellan  <hellan@acm.org>

	* dialog-view.c (cb_view_ok_clicked): Make copy of state->wbcg
	before state is invalidated.

2003-06-11  Jody Goldberg <jody@gnome.org>

	* dialog-autoformat.c (cb_canvas_focus) : new.
	(dialog_autoformat) : hook it up here to get decent keynav.

2003-06-10  Jody Goldberg <jody@gnome.org>

	* dialog-about.c (dialog_about) : www.gnumeric.org is still down
	  and there is no clear solution in sight until the dotster account is
	  cleared.

2003-06-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* descriptive-stats.glade: use notebook
	* exp-smoothing.glade: ditto
	* mean-tests.glade: ditto
	* moving-averages.glade: ditto
	* sampling.glade: ditto

2003-06-10  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c: Switch to foocanvas.

2003-06-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* anova-one.glade: use notebook
	* anova-two.glade: ditto
	* correlation.glade: ditto
	* covariance.glade: ditto
	* fourier-analysis.glade: ditto
	* rank.glade: ditto
	* regression.glade: ditto
	* histogram.glade: fix mnemonics
	* dao-gui-utils.c (dialog_tool_init_outputs): restore the correct
	  entry field placement (broken in HIGfication)
	* dialog-analysis-tools.c (dialog_tool_init): ditto

2003-06-10  Morten Welinder  <terra@gnome.org>

	* dialog-summary.c (dialog_summary_put): Fix UTF-8 problem.
	* dialog-password.c (dialog_get_password): Ditto.

2003-06-09  Jody Goldberg <jody@gnome.org>

	* dialog-random-generator.c (dialog_random_tool_init) : use simpler
	  gtk_label_set_text_with_mnemonic.
	(distribution_parbox_config) : ditto.

2003-06-09  Jody Goldberg <jody@gnome.org>

	* dialog-analysis-tools.c (tool_destroy) : no more accel member.
	(dialog_tool_init) : no need to parse labels for accelerators anymore
	  just set the label's mnemonic widget.

2003-06-09  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c : Simplify interaction with preview grid now
	  that its interface is more convenient.

	* dialog-autoformat.c : derive util class from PreviewGrid
	  fix typo in sample text.  convert to option menu.  Remove magic
	  sizes to kludge around canvas.

	* autoformat.glade : Add alignments.
	  Remove edit menu, convert from GnomeEntry -> OptionMenu

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.19

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.18

2003-06-06  Morten Welinder  <terra@gnome.org>

	* dialog-cell-comment.c (dialog_cell_comment): Position the cursor
	at the beginning.

	* dialog-stf-fixed-page.c (cb_col_event): Don't allow the user to
	create more than SHEET_MAX_COLS columns.

2003-06-05  Jody Goldberg <jody@gnome.org>

	* dialog-plugin-manager.c (cb_pm_button_directory_add_clicked) : doh!
	  be marginally smarter about selecitng a directory name.  It would be
	  nice if the fileselector had a 'select directory mode' so that
	  ordinary files couldn't be selected.

2003-06-05  Jody Goldberg <jody@gnome.org>

	* dialog-plugin-manager.c (cb_pm_button_rescan_directories_clicked) :
	  use connect_swapped to get rid of the unused argument
	(cb_pm_button_directory_add_clicked) : merge in pm_add_dir
	  and clarify the ownership of the lists and manually
	  reload the directories for now.  Eventually we should
	  just monitor the notify signal of something.
	(cb_pm_button_directory_delete_clicked) : merge in pm_delete_dir
	  and clarify the ownership of the lists and manually
	  reload the directories for now.  Eventually we should
	  just monitor the notify signal of something.
	(cb_dir_changed_notification) : delete.
	(dialog_plugin_manager) : no need to remove the gconf notification
	  we're no longer watching for.

	* dialog-paste-special.c (dialog_paste_special) : begin transition
	  from modal dialog by moving the calls to cmd_paste_to_selection here.

	* dialog-printer-setup.c : remove some deprecation.

2003-06-05  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (fixed_page_prepare): Set the number of
	lines to parse.
	* dialog-stf-csv-page.c (csv_page_prepare): Ditto.

	* dialog-stf.c (stf_dialog): Take an optional encoding.  Specify
	that input is not necessarily UTF-8.

	* dialog-stf.h (DialogStfResult_t): Make the return text be the
	UTF-8 version of the input.  Add rowcount.

	* dialog-stf-main-page.c (main_page_set_encoding): New function.
	(stf_dialog_main_page_init): Pick an encoding, either the supplied
	one or using a fallback.

	* dialog-stf*.[ch]: Another round of cleanups.

2003-06-04  Morten Welinder  <terra@gnome.org>

	* dialog-stf.c (stf_dialog): Take over formats here.
	(stf_dialog_result_free): Plug leak.

	* dialog-stf-format-page.c (stf_dialog_format_page_cleanup): Free
	formats here.

	* dialog-stf.h (DruidPageData_t): Move the page structures in
	here, instead of pointing to them.  All users changed.

	* dialog-stf-main-page.c (stf_dialog_main_page_init): Use
	monospace, just in case the data is fixed-width.

	* dialog-stf-*.[ch]: Rewrite to GtkTreeView based instead of
	GnomeCanvas.

2003-06-04  Jody Goldberg <jody@gnome.org>

	* dialog-merge.c (dialog_merge) : init the expr entry.
	    - editable_enters
	    - assign mnemonic for label
	    - load current selection.

2003-06-03  Jody Goldberg <jody@gnome.org>

	* dialog-shuffle.c (dialog_shuffle) : set the initial shuffle type
	  based on the selection.
	* shuffle.glade : add blank row and col around things to play nicely
	  with the dao utils.

	http://bugzilla.gnome.org/show_bug.cgi?id=114312
	* advanced-filter.glade : Insert a blank row above the two input lines
	  so that the table layout matches the doa utils assumptions.

2003-06-03  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (name_guru_add) : don't freak out with empty
	  names.

2003-06-03  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (name_guru_add) : cmd_define_name is smarter
	  now we don't need to do any heavy lifting here.

2003-06-02  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (cb_scope_changed) : handle failure to change
	  scope and update the name list on success.

2003-06-02  Morten Welinder  <terra@gnome.org>

	* dialog-stf-preview.c (stf_preview_render): Switch from list
	<list<string>> to ptrarray<ptrarray<string>>, gaining random
	access.  All callers changed.

	* dialog-view.c (dialog_new_view): Use gnm_link_button_and_entry.

2003-05-31  Jody Goldberg <jody@gnome.org>

	* dialog-shuffle.c (dialog_shuffle) : fix yesterday's change.

2003-05-31  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c (dhl_cb_ok) : when we add an hlink underline the
	  content and turn it blue.

	* cell-format.glade : @$^#$ HIG.  It is a Cancel button

	* dialog-fill-series.c (dialog_fill_series) : default the cols/rows
	  depending on the current selection.

2003-05-30  Jody Goldberg <jody@gnome.org>

	* dialog-shuffle.c (dialog_shuffle) : init input from the selection.

2003-05-30  Morten Welinder  <terra@gnome.org>

	* dialog-search.c (cursor_change): Fix 114045.

	* dialog-cell-format.c (cb_rotate_canvas_realize): Get the pango
	context from the canvas widget, not from a random sheet-level
	font.

	* dialog-view.c (cb_view_ok_clicked): Disable multi-display
	pending bug fixes.  Multi-screen should be ok.

	* dialog-cell-format.c (cb_pattern_preview_get_cell_style): Do not
	ref the style.  None of the other callbacks do.
	(fmt_dialog_init_font_page): Poor some sanity into handling of
	underlines.

2003-05-22  Morten Welinder  <terra@gnome.org>

	* dialog-stf-fixed-page.c (fixed_page_canvas_motion_notify_event):
	Set cursor for right display.

	* dialog-cell-format.c (cb_rotate_canvas_button): Ungrab the right
	display.

	* dialog-view.c, view.glade: New files.

2003-05-21  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (unit_editor_configure): Get pango
	context from toplevel widget.

2003-05-20  Morten Welinder  <terra@gnome.org>

	* dialog-cell-format.c (cb_rotate_canvas_realize): Plug "white"
	out of the style.
	(setup_color_pickers): Plug "black" out of the style.
	(fmt_dialog_impl): Ditto.

	* dialog-stf-preview.c (stf_preview_draw_text,
	stf_preview_get_displayed_rowcount):
	s/gtk_object_get/g_object_get/.

	* dialog-stf-main-page.c (main_page_set_scroll_region_and_prevent_center): Ditto.

	* dialog-stf.c (stf_dialog_set_scroll_region_and_prevent_center): Ditto.

	* dialog-analysis-tools.c (dialog_ttest_tool, dialog_ttest_tool):
	Use g_object_[sg]et_data, not gtk_-ditto.
	* dialog-printer-setup.c (do_hf_customize, hf_customize_apply):
	Ditto.

	* dialog-random-generator.c (dialog_random_realized): Use
	gtk_widget_set_size_request, not gtk_widget_set_usize.

	* dialog-analysis-tools.c (dialog_sampling_realized,
	dialog_ttest_realized): Ditto.

2003-05-19  Jody Goldberg <jody@gnome.org>

	* dialog-random-generator.c (dialog_random_tool_init) : no need to
	  register the guru again,  dialog_tool_init already did it.

	* cell-sort.glade : fix radio group for direction

2003-05-19  Morten Welinder  <terra@gnome.org>

	* dialog-printer-setup.c (unit_editor_configure): Use
	gtk_widget_set_size_request, not gtk_widget_set_usize.  Avoid
	arbitrary pixel counts.
	(do_setup_margin): Use gtk_widget_set_size_request, not
	gtk_widget_set_usize.  Still uses hard coded pixel counts.

	* dialog-zoom.c: port from clist to treeview.

2003-05-18  Morten Welinder  <terra@gnome.org>

	* *.c: Eliminate obvious deprecated stuff.

2003-05-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-csv-page.c: loose text indicator widgets (they are
	  needed to determine number f lines)
	* dialog-stf-format-page.c: obtain trim option menu from
	  main page
	* dialog-stf-main-page.c: obtain text indicator widgets from
	  csv page. Disable them as appropriate. Recalulate line numbers
	  when the text indicator or source format changes.
	* dialog-stf.c (stf_dialog_editables_enter): text indicator
	  combo has moved to main page
	* dialog-stf.glade: rearranging of some items and adding
	  (yet non-functional) line terminator selector
	* dialog-stf.h: add new widgets

2003-05-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export-format-page.c
	(stf_export_dialog_format_page_init): change in charmap_selector_new
	  argument

2003-05-14  Morten Welinder  <terra@gnome.org>

	* dialog-stf-export-format-page.c
	(stf_export_dialog_format_page_result): Set gunichar quoting_char
	and cell_separator.

2003-05-13  Morten Welinder  <terra@gnome.org>

	* dialog-stf.c (stf_dialog): Make sure we hold a ref to the window
	so it doesn't disappear underneath us.
	(stf_dialog_window_delete): New function.
	(stf_dialog_attach_page_signals): Hook up the window's
	delete_event signal.

2003-05-12  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : fix hig-ification

2003-05-12   Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-csv-page.c (csv_page_global_change): the string
	  indicator could be multibyte
	* alog-stf-export.glade: replace Charset label to be consistent
	  with import dialog

2003-05-11  Jody Goldberg <jody@gnome.org>

	* Release 1.1.17

2003-05-10   Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-csv-page.c: fix previously forgotten #include

2003-05-09   Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export-format-page.c
	(stf_export_dialog_format_page_init) : initialize
	  format_transliterate
	(stf_export_dialog_format_page_result): read
	  format_transliterate
	* dialog-stf-export-private.h (StfE_FormatPageData_t): add
	  format_transliterate
	* dialog-stf-export.glade: add tranliteration option menu

2003-05-08   Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-csv-page.c: add forgotten #include

2003-05-08   Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=78355
	* dialog-stf-csv-page.c (stf_dialog_csv_page_prepare):
	  set the default separator

2003-05-07   Andreas J. Guelzow <aguelzow@taliesin.ca>

	For Emmanuel Pacaud <emmanuel.pacaud@univ-poitiers.fr>
	http://bugzilla.gnome.org/show_bug.cgi?id=111075
	* dialog-stf-export-format-page.c
	(stf_export_dialog_format_page_init): add charmap_selector widget
	(stf_export_dialog_format_page_result): retrieve charset selection

	* dialog-stf-export.glade: add charset selection line

2003-04-26  Jody Goldberg <jody@gnome.org>

	* dialog-cell-sort.c : use connect_swapped, to avoid all the
	  irritating signature differences to call the same function.

2003-04-22  Morten Welinder  <terra@gnome.org>

	* dialog-stf.glade: Improve dialog when resized.  (Bug 111273,
	Emmanuel Pacaud.)

2003-04-21  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c (dialog_hyperlink) : doh.
	* dialog-pivottable.c (dialog_pivottable) : doh doh.
	* dialog-summary.c (dialog_summary_update) : doh doh doh.
	* dialog-zoom.c (dialog_zoom) : doh doh doh doh.

2003-04-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (dialog_init): Killed a run time warning.
	(cb_dialog_solve_clicked): Removed 'show iteration results'
	button.

	* dialog-simulation.c (update_log): Use gtk list view instead of
	text view.

2003-04-20  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.glade: Changed the default max time to 10 sec.

	* dialog-simulation.c (simulation_ok_clicked_cb): Implemented
	max-time spinbutton.

	* dialog-scenarios.c (scenarios_summary_clicked_cb): Result cells
	can now also be a list of cell ranges.

2003-04-19  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* shuffle.glade: Support only in-place shuffling.
	(dialog-shuffle.c): Related changes. Support Undo/Redo.

2003-04-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-scenarios.c (scenarios_summary_clicked_cb): Check that
	the results entry contains a valid cell ref.

	* dialog-solver.c (solver_add_scenario): Fixed the
	scenario_add_new call.  Fix a memory leak.
	(cb_dialog_solve_clicked): Read the scenario name entry.

	* scenario-manager.glade: Added Result cells entry.

2003-04-16  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (solver_add_scenario): Wrote.
	(cb_dialog_solve_clicked, dialog_init): Added the handling of add
	scenario buttons and entry.

	* solver.glade: Added buttons and an entry for a scenario output.

	* tool-dialogs.h: Renamed scenario_buttons_t to scenario_state_t
	and added/moved scenario fields there.

	* dialog-scenarios.c (scenarios_cancel_clicked_cb): New cb to
	cancel changes made.
	(scenario_manager_free): Added to free memory allocations.

2003-04-15  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-scenarios.c (scenario_add_ok_clicked_cb): Issue a warning
	if some of the changing cells contain a formula.

	* dialog-solver.c (cb_dialog_solve_clicked): Check that at least
	one constraint is defined.

2003-04-14  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-scenarios.c (set_selection_state, dialog_scenarios): Fix
	the summary button sensitivity.
	(scenarios_summary_clicked_cb): New API for scenario_summary.

2003-04-14  Morten Welinder  <terra@gnome.org>

	* dialog-scenarios.c (check_name): Make UTF-8 safe.
	(find_scenario_strs): Fix memory corruption.
	(scenario_name_used): Constify.

2003-04-12  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dao-gui-utils.c (dialog_tool_init_outputs): Added NULL check for
	scenario dialogs.

2003-04-11  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-scenarios.c (dialog_scenario_add): Added a default
	comment.
	(scenario_add_ok_clicked_cb): Added a check that the changing
	cells are on the same sheet. Kill memory leaks.

2003-04-10  Abel Cheung  <maddog@linux.org.hk>

	* dialog-scenarios.c: Unmark empty strings from being translated.
	It would translate into the whole .po file header.

2003-04-10  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-scenarios.c: Introduced.
	dialogs.h, tool-dialogs.h: Related changes.

2003-04-09  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-analysis-tools.c (tool_load_selection): Added != NULL
	check for output range to make it a little bit more generic.

2003-04-08  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* scenario-manager.glade: Glade interface for a scenario manager.
	scenario-add.glade: Glade interface for a scenario add tool.
	The rest is coming later (almost complete..).

2003-04-03  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-fill-series.c, fill-series.glade, dialogs.h: UI for a new
	filling tool just like in XL.

2003-04-02  Jukka Pekka  <jiivonen.hutcs.cs.hut.fi>

	* dialog-shuffle.c, shuffle.glade: UI for data shuffling tool.
	dialogs.h, Makefile.am: Releated changes.

2003-03-18  Jody Goldberg <jody@gnome.org>
	For Alex Duggan <aldug@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=106799
	* dialog-about.c (dialog_about) : set the icon.

2003-03-13  Jody Goldberg <jody@gnome.org>

	* dialog-autocorrect.c (cb_autocorrect_key_press) : delete.
	(dialog_init) : keyed_dialog handles the Escape now.

	* dialog-about.c : remove unnecessary include

2003-03-05  Morten Welinder  <terra@diku.dk>

	* dialog-stf-preview.c (stf_preview_render): Don't barf on lack of
	data.

	* dialog-stf-main-page.c (main_page_trim_menu_deactivate): Handle
	unselected trim type.

	* dialog-stf.glade: Fix path to icon.  This needs a better fix.
	(And dialog-stf-export.glade does the same.)

2003-01-28  Morten Welinder  <terra@diku.dk>

	* dialog-cell-sort.c (col_row_name): Don't refer to rendered text
	because that is not what is meant.  Use value_get_as_string.

2003-01-28  Jody Goldberg <jody@gnome.org>

	* Release 1.1.16

2002-12-10  Wayne Schuller  <k_wayne@linuxpower.org>

	* dialog-printer-setup.c: (scaling_type_changed, do_setup_page,
	do_fetch_page): Adjust to take into account x and y scale
	attributes. Implement the 'fit-to' widgets.

	* print.glade: Add a few accelerators.

2003-01-14  Christian Neumair  <chris@gnome-de.org>

	* advanced-filter.glade, autocorrect.glade, histogram.glade,
	plugin-manager.glade, search-replace.glade, search.glade,
	workbook-attr.glade: Removed mnemonics from tabs as HIG suggests.

2003-01-10  Morten Welinder  <terra@diku.dk>

	* dialog-workbook-attr.c (attr_dialog_init_view_page): buffer size
	paranoia.
	* dialog-cell-format.c (fillin_negative_samples): Ditto.

2003-01-04  Jon K Hellan  <hellan@acm.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=84791

	* dialog-stf-export-sheet-page.c
	(stf_export_dialog_sheet_page_init): When only one sheet in
	workbook, put it in export clist right away.

	* dialog-stf-export.c (stf_export_dialog): Skip sheet page when
	only one sheet in workbook. Fixes

2003-01-04  Jon K Hellan  <hellan@acm.org>

	* dialog-hyperlink.c (struct HyperlinkState): Add sheet control,
	internal link expr entry and is_new flag.
	(dialog_hyperlink_free, cb_cancel, cb_ok)
	(dialog_hyperlink_setup_type, dialog_hyperlink_set_type)
	(cb_menu_activate, dialog_hyperlink_init): Rename to dhl_xxx.
	(dhl_set_tip): New. Set "tip" field in dialog.
	(dhl_get_tip): New. Get "tip" field from dialog.
	(dhl_set_target_cur_wb): New. Set "target range" field in internal
	link variant of dialog.
	(dhl_get_target_cur_wb): New. Get "target range" field from
	dialog.
	(dhl_set_target_external): New. Set "file" field in external link
	variant of dialog.
	(dhl_get_target_external): New. Get "file" field from dialog.
	(dhl_set_target_url): New. Set "Web address" field in URL variant
	of dialog.
	(dhl_get_target_url): New. Get "Web address" field from URL
	variant of dialog.
	(type): Add set_target and get_target methods.
	(dhl_set_target): New. Set target field in dialog.
	(dhl_get_target): New. Get target field from dialog.
	(dhl_cb_ok): Use the results.
	(dhl_set_type): Unref old.
	(dhl_init): Don't call gnumeric_editable_enters on
	entries. Instead, we set "activates_default" to true in the glade.
	Conditionalize email link and disable for now. Reason: needs RFC
	2047 header encoding/decoding.
	(dialog_hyperlink): Init state->sc, state->internal_link_ee and
	state->is_new. Ref the link. Drop last_link_type. Use
	dhl_setup_type instead of dhl_set_type.

	* hyperlink.glade: Set dialog invisible. Set activates_default to
	true for entries.

2003-01-04  Jon K Hellan  <hellan@acm.org>

	* dialog-solver.c (dialog_init): Use gnm_expr_entry_grab_focus to
	grab focus.

2002-12-31  Jody Goldberg <jody@gnome.org>

	* Release 1.1.15

2002-12-30  Jon K Hellan  <hellan@acm.org>

	* Makefile.am (base_files): Add dialog-password.c

	* dialog-password.c: Add.
	(cb_accept_password): Moved from workbook-control-gui.c.
	(dialog_get_password): New function with material taken from
	wbcg_get_password in workbook-control-gui.c.

2002-12-24  Jody Goldberg <jody@gnome.org>

	* dialog-workbook-attr.c : clean up includes

2002-12-23  Christian Neumair  <chris@gnome-de.org>

	* dialog-about.c: Revamped about dialog.

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.14

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.13

2002-12-21  Jody Goldberg <jody@gnome.org>

	* dialog-printer-setup.c (do_fetch_page_info) : Use the expr entries
	  parse routines so that we can handle the new 1:1 and A:A refs.
	(do_setup_page_info) : single ranges for repeats only

2002-12-13  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_validation_error_action_deactivate) : Use
	  stock images directly.
	* cell-format.glade : fix image discrepancy between menu and display
	  of validation style error.

2002-12-12  Morten Welinder  <terra@diku.dk>

	* function-select.glade: Don't start as visible.

	* dialog-search.c (non_model_dialog): Expand and eliminate.

2002-12-06  Jody Goldberg <jody@gnome.org>

	* dialog-autofilter.c (init_operator) : new.
	(dialog_auto_filter) : init the operators.
	(map_op) : new.
	(cb_autofilter_ok) : save operators and values.

2002-12-05  Jody Goldberg <jody@gnome.org>

	* dialog-autofilter.c (cb_top10_type_changed) : tweak the bounds as
	  the type changes (top 150% makes no sense)

	* dialog-goto-cell.c (cb_dialog_goto_selection_changed) : fix
	  silliness.

2002-12-04  Jody Goldberg <jody@gnome.org>

	* Makefile.am : add autofilter
	* dialogs.h : ditto.
	* dialog-autofilter.c : new.
	* autofilter.glade : new.

2002-12-03  Morten Welinder  <terra@diku.dk>

	* dialog-printer-setup.c (unit_selector_gnome_print_unit_to_gnm):
	Delete.
	(spin_button_adapt_to_unit): Take GnomePrintUnit* argument.

2002-11-29  Jody Goldberg <jody@gnome.org>

	* dialog-cell-sort.c (cb_update_add_sensitivity) : adjust to interface
	  change for value_to_global_range.
	(cb_add_clicked) : ditto.

	* dialogs.h : Add pivottable
	* Makefile.am : ditto.

2002-11-27  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_back_preview_color) : Assigning the default
	  resets the pattern.

2002-11-15  Jody Goldberg <jody@gnome.org>

	* Release 1.1.12

2002-11-14  Jon K Hellan  <hellan@acm.org>

	* dialog-preferences.c: (cb_pref_file_set_import_all_op,
	cb_pref_file_import_all_op_toggled): Remove
	(pref_file_page_initializer): Remove "Import with all Openers".

2002-11-13  Jody Goldberg <jody@gnome.org>

	* dialog-autoformat.c : Convert to foo canvas.
	(cb_autoformat_destroy) : no need to free the canvas items.  The
	  canvas already did that.

2002-11-12  Jon K Hellan  <hellan@acm.org>

	* dialog-about.c (dialog_about): Spell out my full name in UTF-8.

2002-11-11  Jon K. Hellan  <hellan@acm.org>

	* dialog-stf.glade, dialog-stf-export.glade: Don't set title colour
	scheme explicitly.

2002-11-11  Morten Welinder  <terra@diku.dk>

	* dialog-stf-export.glade: A colon is ":", not ";".

2002-11-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade : fix some glade-2 changes and the
	  option menus

2002-11-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-export.glade : run through glade-2
	* dialog-stf.glade : run through glade-2

2002-11-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c (dialog_formula_guru_update_this_parent):
	  don't use unnecessary spaces

2002-11-05  Morten Welinder  <terra@diku.dk>

	* dialog-search.c (search_get_value): Use
	g_value_set_static_string where possible.

	* dialog-function-select.c (dialog_function_select_destroy): Plug
 	leak.
	(cb_dialog_function_select_fun_selection_changed): Ditto.

	* dialog-formula-guru.c (dialog_formula_guru_update_this_parent): Ditto.

2002-11-03  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dialog-cell-format.c: Annotated unused parameters.
	* dao-gui-utils.c, dialog-advanced-filter.c, dialog-analysis-tools.c,
	  dialog-autocorrect.c, dialog-autoformat.c, dialog-autosave.c,
	  dialog-cell-comment.c, dialog-cell-sort.c, dialog-col-width.c,
	  dialog-col-row.c, dialog-consolidate.c, dialog-function-select.c,
	  dialog-formula-guru.c, dialog-goal-seek.c, dialog-goto-cell.c,
	  dialog-graph-guru.c, dialog-hyperlink.c, dialog-insert-cells.c,
	  dialog-define-names.c, dialog-delete-cells.c, dialog-merge.c,
	  dialog-paste-special.c, dialog-plugin-manager.c,
	  dialog-printer-setup.c, dialog-preferences.c,
	  dialog-random-generator.c, dialog-row-height.c, dialog-search.c,
	  dialog-search-replace.c, dialog-sheet-order.c, dialog-simulation.c,
	  dialog-solver.c, dialog-stf.c, dialog-stf-main-page.c,
	  dialog-stf-csv-page.c, dialog-stf-fixed-page.c,
	  dialog-stf-format-page.c, dialog-stf-export.c,
	  dialog-stf-export-sheet-page.c, dialog-stf-export-format-page.c,
	  dialog-tabulate.c, dialog-summary.c, dialog-workbook-attr.c,
	  dialog-zoom.c: ditto.

2002-11-03  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (set_rot_from_point) : new.
	(cb_rotate_motion_notify_event) : new.
	(cb_rotate_canvas_button) : new.
	(fmt_dialog_init_align_page) : handle mouse based rotation too.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_validation_error_action_deactivate) : use
	  gnumeric_load_pixbuf instead of something in libgnomeui.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (cb_rotate_canvas_realize) : new.
	(cb_rotate_changed) : new.
	(fmt_dialog_init_align_page) : start initializing the rotation entry.

2002-11-02  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* dialog-search.c (lazy_list_new, lazy_list_set_rows):  Made static.
	* dialog-cell-format.c (generate_format, fillin_negative_samples,
	  fmt_dialog_init_format_page): Signedness fixes.

2002-11-01  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (validation_rebuild_validation) : simplify
	  handling of validation.

2002-11-01  Morten Welinder  <terra@diku.dk>

	* dialog-search.c (search_clicked): Maybe search expression
	results.
	(search_get_value): Handle locus and values.

	* dialog-search-replace.c (ok_clicked): Don't search expression
	results.

2002-11-01  Morten Welinder  <terra@diku.dk>

	* dialog-about.c (dialog_about): Don't chain-translate the names.

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 1.1.11

2002-10-31  Morten Welinder  <terra@diku.dk>

	* dialog-about.c (dialog_about): On a test basis, use UTF-8 in
	Andreas' name.

2002-10-30  Morten Welinder  <terra@diku.dk>

	* dialog-function-select.c
	(cb_dialog_function_select_fun_selection_changed): Make UTF-8 safe.
	I think.  I hope.

2002-10-29  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (name_guru_init) : add a help button.

	* names.glade : remove separator, add a help button

2002-10-27  Jody Goldberg <jody@gnome.org>

	* Release 1.1.10

2002-10-27  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c (dialog_hyperlink_init) : set the scg.

2002-10-18  Morten Welinder  <terra@diku.dk>

	* dialog-plugin-manager.c (plugin_compare_name): Make UTF-8 safe.

2002-10-17  Morten Welinder  <terra@diku.dk>

	* dialog-define-names.c (name_guru_populate_list): Sort names.

2002-10-15 Chris Benedict <cbenedic@csa.concordia.ab.ca>

	* Makefile.am : added in the so-frame.glade.

2002-10-14  Jody Goldberg <jody@gnome.org>

	* dialog-workbook-attr.c : support for recalc and iteration
	  attributes.

2002-10-14  Jody Goldberg <jody@gnome.org>

	* dialog-stf-preview.c (stf_preview_format_line) : take advantage of
	  the fact that values in 1.1 store their parse formats so that we don't
	  loose dates.

2002-10-12  Jody Goldberg <jody@gnome.org>

	* dialog-function-select.c (dialog_function_load_recent_funcs) : don't
	  free the list.  We are using the Applications copy now.

2002-10-11  Morten Welinder  <terra@diku.dk>

	* dialog-autoformat.c (dialog_autoformat): Elminate
	e_free_string_list usage.

2002-10-09  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (cb_name_guru_destroy) : fix warning.

2002-10-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c (dialog_formula_guru_update_this_parent):
	  don't use unnecessary spaces
	(dialog_formula_guru) : ditto

2002-10-08  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (cb_entry_activate) : try and be smart about
	  what a user wants when they activate and entry.  If there is
	  something there attempt to add it but don't close, else exit.

2002-10-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (cb_add_clicked): plug leak

2002-10-07  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : restore the information that glade convert
	  appears to have lost.  I hope that is all of it.
	  Remove deprecated widgets by porting to treeview, and
	  gnumeric-combo-text.
	* dialog-cell-format.c : remove deprecated widgets and fix the bug
	  where by the type of negative numbers was lost because the list was
	  later cleared.

2002-10-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (cb_delete_clicked) : no need to update the
	  sensitivity when we have still sort items left
	(cb_add_clicked) : we need to update the sensitivity when we add
	  a new sort item (after having deleted all of them)

2002-10-04  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c : port to TreeView.

	* dialog-analysis-tools.c : Use the control from the state rather than
	  the tool.

2002-10-02  Chris Benedict  <deadeyedan@hotmail.com>

	* dialog-sheet-order.c (cb_ok_clicked) : Do not allow all sheets to
	  be deleted

2002-10-02  Morten Welinder  <terra@diku.dk>

	* dialog-search.c: Use custom model.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c : Use the new icons.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* dialog-hyperlink.c (dialog_hyperlink) : tweak calling conventions.

2002-09-30  Morten Welinder  <terra@diku.dk>

	* dialog-search.c (dialog_search): Port to treestore.  (Not
	perfect performance-wise.)

2002-09-30  Jody Goldberg <jody@gnome.org>

	* Release 1.1.9

2002-09-26  Lutz Müller <lutz@users.sourceforge.net>

	* src/dialogs/dialog-sheet-order.c: On ok, we don't care any longer
	  about changes in the sheet order, therefore stop listen to this
	  signal.

2002-09-20  Jody Goldberg <jody@gnome.org>

	* Makefile.am : Add dialog-hyperlink.c
	  and hyperlink.glade
	(EXTRA_DIST) : no need to have the graph guru any more, it is always
	  available.

2002-09-16  Christian Neumair  <chris@gnome-de.org>

	* *.glade: Made most dialogs HIG compliant.

2002-09-02  Jody Goldberg <jody@gnome.org>

	* dialog-graph-guru.c (dialog_graph_guru) : forward port the type
	  selector from guppi and convert it to use treeview in place of
	  clist.  Still doesn't do much, but its a start.

2002-09-01  Jody Goldberg <jody@gnome.org>

	* dialog-function-select.c (dialog_function_select_load_tree) :
	  translate the category names.

2002-08-31  Jody Goldberg <jody@gnome.org>

	* dialog-stf.c (stf_dialog_druid_page_cancel) : fix sense
	  on test that I broke when converting to GtkDialog
	* dialog-stf-export.c (stf_export_dialog_druid_page_cancel) :
	  ditto.

2002-08-30  Jody Goldberg <jody@gnome.org>

	* dialog-graph-guru.c (dialog_graph_guru) : some initial work to get
	  more ported.
	* graph-guru.glade : ditto.

2002-08-28  Jody Goldberg <jody@gnome.org>

	* dialog-about.c : begin tighening the include requirements.
	* dialog-analysis-tools.c : ditto.
	* dialog-autocorrect.c : ditto.
	* dialog-autoformat.c : ditto.
	* dialog-formula-guru.c : ditto.
	* dialog-goto-cell.c : ditto.
	* dialog-printer-setup.c : ditto.
	* dialog-random-generator.c : ditto.
	* dialog-search-replace.c : ditto. ditto.
	* dialog-search.c : ditto.
	* dialog-stf-export-private.h : ditto.
	* dialog-stf-preview.c : ditto.

	* dialog-stf.c (stf_dialog_druid_page_cancel) : convert to
	  gtkmessagedialog.
	* dialog-stf-export-sheet-page.c (stf_export_dialog_sheet_page_result)
	  ditto.
	* dialog-stf-export.c (stf_export_dialog_druid_page_cancel) : ditto.

	* dialog-define-names.c (name_guru_in_list) : no need to be case
	  insensitive here.

	* dialog-simulation.c (simulation_ok_clicked_cb) : fix const.

2002-08-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.8

2002-08-18  Jody Goldberg <jody@gnome.org>

	* dialog-autoformat.c (dialog_autoformat) : remove use of deprecated
	  feature.

2002-08-17  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c: Algorithm selection works now for QP too.

2002-08-17  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (dialog_init): Implemented the algorithm
	selection.

	* solver.glade: related changes.

2002-08-16  Jon K Hellan  <hellan@acm.org>

	* dialog-cell-format.c: #if 0 static variable fmt_dialog_currency.
	(dialog_cell_number_fmt): #if 0.

	* dialog-plugin-manager.c (cb_pm_selection_changed): Remove unused
	variables.

	* dialog-simulation.c (simulation_ok_clicked_cb): Ditto.

2002-08-16  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (cb_dialog_solve_clicked): Use spin buttons
	instead of entries.

	* solver.glade: Related changes.  Some clean up.

2002-08-12  Jody Goldberg <jody@gnome.org>

	* Release 1.1.7

2002-08-10  Jody Goldberg <jody@gnome.org>

	* dialog-autocorrect.c (cb_add_clicked) : silence warnings.

2002-08-09  Zbigniew Chyla  <cyba@gnome.pl>

	* dialog-plugin-manager.c
	(PluginManagerGUI): Removed entry_name, entry_id, model_extra_info
	Added view_details, model_details
	(cb_pm_selection_changed): Generate a tree containing the plugin's
	dependencies and services
	(dialog_plugin_manager): Initialize model_details and view_details
	Adjusted to plugin.c (extra_info has been removed)

	* plugin-manager.glade
	Moved plugin's description to the first page
	Removed "extra info" frame
	Added a placeholder for a tree representing plugin's structure

2002-08-06  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-simulation.c: Started the results summary reporting in
	the dialog.

2002-08-04  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (fmt_dialog_impl) : Don't store the targhet
	  page if the calling function explicitly requested it.

2002-08-04  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.glade, dialog-simulation.c: Implemented `Summary'
	text view.

	* simulation.glade, dialog-simulation.c: Cleaned up the options page.

2002-08-04  Zbigniew Chyla  <cyba@gnome.pl>

	Welcome back "activate all" / "deactivate all" buttons

	* dialog-plugin-manager.c
	(PluginManagerGUI): Added button_activate_all, button_deactivate_all
	(dialog_plugin_manager): Initalize them here
	(pm_dialog_init): Set up signal handlers
	(cb_pm_button_activate_all_clicked,
	cb_pm_button_activate_all_clicked): New

	* plugin-manager.glade
	Added "activate all" / "deactivate all" buttons at the bottom of the
	first page.

2002-08-03  Zbigniew Chyla  <cyba@gnome.pl>

	* dialog-plugin-manager.c
	(PluginManagerGUI): Added frame_mark_for_deactivation,
	checkbutton_mark_for_deactivation.
	(dialog_plugin_manager): Initialize them here
	(cb_pm_selection_changed): Handle "marking plugin for deactivation"
	feature: optionally display new frame with descriptive text and check
	button, connect/disconnect "toggled" signal handler.
	(cb_checkbutton_mark_for_deactivation_toggled): New signal handler.

	* plugin-manager.glade:
	Set the default height to 560, added extra frame to "Plugin details"
	page (to support marking plugins for deactivation).

2002-07-27  Zbigniew Chyla  <cyba@gnome.pl>

	* src/dialogs/dialog-plugin-manager.c
	(model_get_plugin_iter, pm_dialog_cleanup):
	Use "for" loop to iterate over rows.
	(set_plugin_model_row):
	New helper function for setting plugins' model row.
	(cb_pm_button_rescan_directories_clicked):
	Insert rows in the right places to keep the list sorted.
	(pm_dialog_init): Use set_plugin_model_row.
	(cb_active_toggled): avoid crashing if the user chooses "No".

2002-07-22  Zbigniew Chyla  <cyba@gnome.pl>

	Adjusted to plugin.c changes,
	removed current plugin id from global state,
	updating information after receiving notifications from plugins
	(instead of rebuilding plugin list after every operation).

	* dialog-plugin-manager.c
	(struct PluginManagerGUI): Removed fields: current_plugin_id,
	button_activate_plugin, button_deactivate_plugin,
	button_activate_all, button_deactivate_all.
	(enum plugin_state_t, activity_description): Removed.
	(cb_pm_button_rescan_directories_clicked):
	Display errors, add new plugins to the model.
	(cb_pm_button_activate_plugin_clicked,
	cb_pm_button_deactivate_plugin_clicked,
	cb_pm_button_activate_all_clicked,
	cb_pm_button_deactivate_all_clicked, free_plugin_id): Removed
	(update_plugin_manager_view): Removed, plugin list initialization
	moved to pm_dialog_init.
	(update_plugin_details_view): Removed, some code moved
	to cb_pm_selection_changed.
	(model_get_plugin_iter, cb_plugin_changed, cb_plugin_destroyed):
	New functions for tracing changes in individual plugins.
	(pm_dialog_cleanup): New, disconnects signals and weak references.
	(cb_active_toggled): New, activates/deactivates plugin on
	CellRenderer's "toggled" signal.

	* plugin-manager.glade:
	(button_activate_plugin, button_deactivate_plugin,
	button_activate_all, button_deactivate_all): Removed.
	(button_rescan_directories): Moved to the last tab.

2002-08-02  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* simulation.glade, dialog-simulation.c: Rename cancel button as
	close button. Removed unique button. Check that first > last round.

2002-07-30  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-simulation.c, simulation.glade: Initial GUI for the risk
	simulation tool. Quite difficult to use still, not completed yet.

2002-07-30  Morten Welinder  <terra@diku.dk>

	* dialog-function-select.c
	(cb_dialog_function_select_fun_selection_changed): Fix signedness
	issues.

2002-07-29  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* exp-smoothing.glade: Made stanard errors button sensitive.

2002-07-28  Jukka Pekka  <jiivonen@cs145201.pp.htv.fi>

	* dialog-function-select.c
	(cb_dialog_function_select_fun_selection_changed): More layout
	improvements.

2002-07-27  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog_function-select.c
	(cb_dialog_function_select_fun_selection_changed): Layout
	improvement for notes in the function descriptions.

2002-07-26  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog_function-select.c
	(cb_dialog_function_select_fun_selection_changed):
	Clean up work regarding function descriptions.

2002-07-26  Morten Welinder  <terra@diku.dk>

	* dialog-random-generator.c (distribution_strs): Move the Gumbel
	distributions to "G".  Make it "Student t", not "T".

2002-07-26  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* advanced-filter.glade: Made in-place filtering the default.

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-random-generator.c (random_tool_ok_clicked_cb): Add
	Gaussian tail and Uniform integer distributions.

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-random-generator.c (distribution_parbox_config): Handle
	distributions having no parameters correctly.
	(random_tool_update_sensitivity_cb, random_tool_ok_clicked_cb):
	Added Landau distribution.

2002-07-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.6

2002-07-21  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-random-generator.c (random_tool_ok_clicked_cb): Add
	Rayleigh tail distribution.

2002-07-21  Jukka Pekka  <jiivonen@cs145201.pp.htv.fi>

	* dialog-random-generator.c (random_tool_ok_clicked_cb): Add
	Exponential Power distribution.

2002-07-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-random-generator.c (random_tool_update_sensitivity_cb,
	random_tool_ok_clicked_cb): Added Levy distribution.

2002-07-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-random-generator.c (random_tool_update_sensitivity_cb,
	random_tool_ok_clicked_cb): Added Gamma, Geometric, Laplace,
	Logarithmic, Logistic, Lognormal, Pareto, Rayleigh, T, Type I
	Gumbel, and Type II Gumbel.

2002-07-18  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* dialog-random-generator.c (random_tool_update_sensitivity_cb,
	random_tool_ok_clicked_cb): Added Beta, Cauchy, Chi-Squared, F,
	and Weibull distributions.

2002-06-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tool-dialogs.h (dialog_tool_init) : new
	* dialog-advanced-filter.c (dialog_histogram_tool_init) : deleted
	(dialog_histogram_tool) : use dialog_tool_init
	* dialog-random-generator.c (dialog_random_tool_init) : remove code duplicated
	  in dialog_tool_init
	(dialog_random_tool) : use dialog_tool_init
	* dialog-analysis-tools.c : use improved dialog_tool_init in all dialog...tool
	(dialog_tool_cmp) : new
	(dialog_tool_init) : generalize and initial more fields

2002-06-21  Jody Goldberg <jody@gnome.org>

	* tool-dialogs.h : toss in a sheetview.
	TODO : this needs to be initialized.

	* dialog-search-replace.c (dialog_search_replace) : sheet->sheetview
	* dialog-search.c (dialog_search) : ditto.
	(cursor_change) : only tweak the current view.

	* dialog-cell-format.c (dialog_cell_format) : no need to pass in the
	  sheet.  Use the same convention as the other dialogs and use the
	  current sheet.
	(fmt_dialog_selection_type) : sheet -> sheetview.
	* dialog-cell-sort.c (dialog_cell_sort) : ditto.
	(dialog_load_selection) : use the sheetview.
	* dialog-consolidate.c (dialog_consolidate) :
	(cb_add_source_area) : ditto.
	* dialog-insert-cells.c (dialog_insert_cells) : ditto.

	* dialog-define-names.c (name_guru_init) : edit_pos is in the
	  sheetview now.
	* dialog-formula-guru.c (dialog_formula_guru) : ditto.

2002-06-19  Jody Goldberg <jody@gnome.org>

	* dialog-row-height.c (dialog_row_height) : store the view.
	(dialog_row_height_load_value) : selection is in the view now.
	* dialog-col-width.c (dialog_col_width) : store the view.
	(dialog_col_width_load_value) : selection is in the view now.

2002-06-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_toggled_lock) : new
	(populate_sheet_list) : replace standard icon with toggleable lock item
	(cb_add_clicked) : handle lock column
	(cb_ok_clicked) : handle changes in lock status
	(cb_sheet_order_destroy) : remove pixmaps
	(dialog_sheet_order) : setup pixmaps

2002-06-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=84500
	* dialog-goto-cell.c (cb_dialog_goto_go_clicked) : remove debug spew.
	(cb_dialog_goto_update_sensitivity) : only actiavte if entry is valid.
	(dialog_goto_init) : editable_enters is too coarse do it ourselves.

2002-06-07  Jody Goldberg <jody@gnome.org>

	* dialog-solver.c : #if 0 constraint_strs_untranslated.

2002-06-01  Jody Goldberg <jody@gnome.org>

	* dialog-sheet-order.c (cb_add_clicked) : don't translate empty
	  strings.

2002-05-30  Jody Goldberg <jody@gnome.org>

	* dialog-stf-preview.c : don't try to get a translated font name,
	  it confused the hell out of the translators.  Just use the gnumeric
	  default font.  That has the best chance of being in the right
	  locale.

2002-05-30  Jukka Pekka  <jiivonen@cs145201.pp.htv.fi>

	* dialog-solver.c (solver_reporting): Added dialog for
	unsuccessful program report generation.

2002-05-29  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade: Moved a few buttons into more logical places.

2002-05-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.4

2002-05-29  Jody Goldberg <jody@gnome.org>

	* dialog-define-names.c (name_guru_add) : init the parse error.

2002-05-27  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade: Added a few frames.

2002-05-27  Chema Celorio  <chema@ximian.com>

	* dialog-printer-setup.c (cb_unit_selector_changed):
	s/GNOME_PRINT_KEY_PREF_UNIT/GNOME_PRINT_KEY_PREFERED_UNIT/
	as it changed in libgnomeprint. You need CVS libgnomeprint.

2002-05-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* cell-sort.glade : change option name (to make Morten happy)

2002-05-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (cb_do_print) : consider printing to be
	  `ok' + printing
	(cb_do_print_preview) : temporarily use the pending print settings

2002-05-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c (cb_dialog_formula_guru_selection_changed) : add
	  missing return
	(real_start_editing_cb) : new (should be removed with Gtk 2.2)
	(start_editing_cb) : new (should be removed with Gtk 2.2)
	(dialog_formula_guru_init) : save column and connect callback

2002-05-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c (cb_dialog_formula_guru_ok_clicked) :
	  finish edits
	(dialog_formula_guru_init) : save renderer

2002-05-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (spin_button_adapt_to_unit) : reenable
	(cb_unit_selector_changed) : call spin_button_adapt_to_unit

2002-05-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (unit_editor_configure) : page size should be 0
	* print.glade : ditto

2002-05-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c : replace UnitName by GnomePrintUnit* in
	  state, use gnome-print unit selector rather than our own
	(unit_into_to_points) : remove
	(spin_button_set_bound) : work in points only, don't modify values but
	  range only
	(get_paper_psheight) : default height should be 0 rather than 1.
	(get_printable_height) : use gnome_print_convert_distance, return height
	  in points
	(set_vertical_bounds) : simplify
	(draw_margin) : use gnome_print_convert_distance
	(draw_margins) : header and footer should be on top
	(canvas_update) : also update unit selector unit
	(spin_button_adapt_to_unit) : disable, needs to be implemented in
	  libgnomeprintui
	(do_convert) : remove
	(convert_to_*) : remove
	(listeners_convert) : remove
	(add_unit) : remove
	(unit_changed) : save unit, use accessor method to get value from
	  spin button
	(unit_editor_configure) : replace UnitName by GnomePrintUnit*, use
	  gnome-print unit selector rather than our own
	(cb_unit_selector_changed) : new
	(do_setup_margin) : use gnome-print unit selector rather than our own
	(unit_info_to_print_unit) : replace UnitName by GnomePrintUnit*
	  NOTE: we should change PrintUnit to use  GnomePrintUnit* rather than
	  UnitName
	(do_fetch_margins) : adjust arguments to unit_info_to_print_unit
	* print.glade : remove option-menu-units

2002-05-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (create_hf_preview_canvas) : size
	  widget to show the whole preview.

2002-05-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (get_printable_width) : deleted
	(set_horizontal_bounds) : deleted
	(get_printable_height) : margins are now in print_config
	(set_vertical_bounds) : ditto
	(draw_margin) : ditto
	(do_setup_margin) : ditto
	(do_fetch_margins) : ditto
	(canvas_update) : no horizontal bounds needed
	(notebook_flipped) : adjusted for moved items
	(unit_changed) : simplify
	(do_setup_page) : use new libgnomeprinntui api to get margin
	  adjustments (this requires 0.114.0 or newer)
	* print.glade : rearrange items and delete margin spin buttons

2002-05-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-graph-guru.c : fix warning
	* dialog-preferences.c : fix warning

2002-05-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* plugin-manager.glade : add rescan button
	* dialog-plugin-manager.c (cb_pm_button_install_plugin_clicked) :
	  deleted
	(cb_pm_button_rescan_directories_clicked) : new
	(pm_dialog_init) : link button to cb_pm_button_rescan_directories_clicked
	(cb_dir_changed_notification) : call cb_pm_button_rescan_directories_clicked
	(dialog_plugin_manager) : stoer button pointer

2002-05-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-plugin-manager.c (pm_delete_dir) : new
	(pm_add_dir) : new
	(cb_pm_button_directory_add_clicked) : new
	(cb_pm_button_directory_delete_clicked) : new
	(pm_dialog_init) : add button signals
	(pm_gui_load_directories) : new
	(pm_gui_load_directory_page) : new
	(cb_pm_dir_selection_changed) : new
	(cb_dir_changed_notification) : new
	(dialog_plugin_manager) : Setup directory configuration GUI
	* plugin-manager.glade : Add directory configuration GUI

2002-05-10  Jon K Hellan  <hellan@acm.org>

	* dialog-preferences.c, dialogs.h (dialog_preferences): Add wbcg
	argument. Make dialog a transient child of wbcg which brings it
	up.

2002-05-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add unfocused-rs pref to tree page
	* dialog-search.c (cb_focus_on_entry) : new
	(dialog_search) : connect cb_focus_on_entry to radiobutton,
	  use wbcg_edit_attach_guru_with_unfocused_rs

2002-05-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/print.glade : add sheet selector
	* src/dialogs/dialog-printer-setup.c (do_setup_sheet_selector) : new
	(cb_do_sheet_selector_toggled) : new
	(cb_do_print_ok) : apply to selected sheet or all sheets
	(print_setup_get_sheet) : new

2002-05-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add zoom factor spin box to window page

2002-05-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c : Don't change print information
	  directly but use new cmd_print_set_up

2002-05-03  Almer S. Tigelaar  <almer@gnome.org>

	* dialog-cell-format.c (validation_rebuild_validation) : Mark
	validation as valid or invalid depending on criteria entered
	and set the style only when the validation is valid.
	(fmt_dialog_init_validation_page) : validation valid by default.
	(cb_fmt_dialog_dialog_buttons) : If the validation is not valid
	present the user with the option of either disabling validation
	or entering valid criteria. Correctly switches to the validation
	page and right widget if the latter is choosen.
	http://bugzilla.gnome.org/show_bug.cgi?id=72554

2002-05-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c : replace MAX_INITIAL_CLAUSES with
	  gnm_gconf_get_sort_max_initial_clauses ()
	* dialog-preferences.c : remove file history length from tree page,
	  add sort_max_initial_clauses to sort page

2002-05-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (unit_activated) : correct declaration
	(unit_deactivated) : ditto

2002-05-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (get_paper_pswidth) : use gnome-print-master
	(get_paper_psheight) : ditto
	(canvas_update) : use print-config
	(notebook_flipped) : new
	(orientation_changed) : deleted
	(paper_size_changed) : deleted
	(do_setup_page) : use gnome-print paper selector
	(do_fetch_page) : use gnome-print-master
	* print.glade : use gnome-print paper selector rather than combo box

2002-05-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c (pref_tree_set_model) : check for missing schemas

2002-05-01  Christophe Merlet  <christophe@merlet.net>

	* Makefile.am : Added dialogs-graph-guru.c in $EXTRA_DIST

2002-04-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.3

2002-04-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add sort preference page
	* src/dialogs/dialog-cell-sort.c : add preserve-formats
	  checkbox
	* src/dialogs/cell-sort.glade : ditto

2002-04-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c (do_setup_page_info) : make page-order
	  icons non-expandable (Bug #76474)

2002-04-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add more items to file/xml
	  preference page

2002-04-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add file/xml preference page
	(dialog_pref_create_int_spin) : new
	(dialog_pref_create_float_spin) : new
	(dialog_pref_create_checkbox) : new

2002-04-16  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add window-size preference page

2002-04-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add window-size preference to
	  catch-all page

2002-04-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c : use get/set methods of gnumeric-gconf.h
	* dialog-plugin-manager.c : switch from gnome-config to gconf
	* dialog-preferences.c : add include

2002-04-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-autocorrect.c : make exception lists into GSList (rather
	  than GList)
	* dialog-preferences.c : move gconf keys for fonts into
	  gnumeric-gconf.h, synchronize gconf on destroy

2002-04-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add more preferences

2002-04-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : add max number of undo items pref

2002-04-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* preferences.glade : move tabs to left on Jody's request
	* dialog-preferences.c : add history pref and number of sheets
	  pref

2002-04-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c : move defines into gnumeric-gconf.h
	* dialog-preferences.c : add `undo'-preferences page

2002-04-12  Jon K Hellan  <hellan@acm.org>

	* dialog-preferences.c: Replace Gnome stock text/italic pixmap
	name with gtk synonym.

2002-04-12  Jon K Hellan  <hellan@acm.org>

	* dialog-graph-guru.c: #ifdef out the lot for now.

2002-04-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-define-name.c (name_guru_add) : fix leak

2002-04-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* so-arrow.glade : remove apply button
	* so-fill.glade : remove apply button
	* dialog-sheet-order.c : don't reset the color combos

2002-04-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-workbook-attr.c : do not use GnomePropertyBox
	* workbook-attr.glade : ditto

2002-04-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : added so-fill.glade
	* so-fill.glade : new

2002-04-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* so-arrow.glade : add line preview

2002-04-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : added so-arrow.glade
	* so-arrow.glade : new
	* sheet-order.glade : fix minumum button width

2002-04-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : added so-checkbox.glade
	* so-checkbox.glade : new

2002-04-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/dialog-search-replace.c (dialog_search_replace) :
	  preload selection
	* src/dialogs/dialog-search.c (dialog_search) : preload selection

2002-04-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : added so-scrollbar.glade
	* so-scrollbar.glade : new

2002-04-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : add dialog-col-row.c, remove dialog-simple-input.c
	* colrow.glade : slightly redesigned
	* dialog-simple-input.c : removed
	* dialogs.h : add dialog_col_row, remove dialog_get_number and
	  dialog_choose_cols_vs_rows
	* dialog-col-row.c : new

2002-04-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c : use gnumeric-cell-renderer-toggle rather than
	  gnumeric-cell-renderer

2002-04-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : added dialog-row-height.c and dialog-col-width.c
	* dialog-row-height.c : new
	* dialog-col-width.c : new
	* dialog-row-heigth.glade : added checkbox and spin button
	* dialog-col-width.glade : ditto
	* dialogs.h : added dialog_row_height and dialog_col_width
	* dialog-zoom.glade : fix button formating

2002-04-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-random-generator.c : make undoable

2002-04-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c : use setup_range_from_value

2002-04-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : added on-line description
	* preferences.glade : ditto

2002-04-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-preferences.c : set the treeview pref values in response
	  to a notification rather than directly.

2002-04-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : use gnumeric-cell-renderer-text
	* dialog-preferences.c : use gnumeric-cell-renderer-text

2002-04-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (dialog_destroy) : fix leak

2002-04-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : add dialog-preferences.c and preferences.glade
	* dialogs.h : add dialog_preferences
	* dialog-preferences.c : new
	* preferences.glade : new

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : replace tools.h by tool-dialogs.h
	* dao-gui-utils.c : define output_group
	* dao-gui-utils.h : define output_group as extern
	* dialog-advanced-filter.c : use inheritance over #define
	* dialog-analysis-tools.c : use inheritance over #define
	* dialog-random-generator.c : use inheritance over #define
	* dialog-solver.c : include tool-dialogs.h instead of tools.h
	* dialog-summary.c : use new workbook signals
	* tools.h : split into tool-dialogs.h and tools/tools.h
	* tool-dialogs.h : new

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao-gui-utils.c (parse_output) : fix typos (use the intended
	  buttons)
	* dialog-analysis-tools.c : make regression tool undoable

2002-03-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao-gui-utils.c : include tools.h rather than
	  analysis-tools.h
	* dialog-advanced-filter.c : correct comment
	* dialog-analysis-tools.c : make histogram undoable
	* dialog-random-generator.c : include tools.h rather than
	  analysis-tools.h
	* tools.h : include only general tools info

2002-03-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-random-generator.c : new file extracted from
	  dialog-analysis-tools.c
	* dialog-analysis-tools.c : some code moved to
	  dialog-random-generator.c
	* Makefile.am : added dialog-random-generator.c
	* tools.h : include random-generator.h

2002-03-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tools.h : change F-, z- and t-test tools into
	  cmd_analysis_tools engine
	* dialog-analysis-tools.c : make F-, z- and t-test tools
	  undoable

2002-03-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tools.h : change exp_smoothing_tool, averages_tool, ranking_tool
	  and sampling_tool into cmd_analysis_tools engines
	* dialog-analysis-tools.c : make fourier analysis, moving averages,
	  rank and percentile, and sampling tools undoable
	* dao-gui-utils.h (parse_output) : change return type
	* dao-gui-utils.c (parse_output) : return dao

2002-03-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c (dialog_function_load_recent_funcs) :
	  use central gconf-client
	(dialog_function_write_recent_func) : ditto

2002-03-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tools.h : change fourier_tool into
	  cmd_analysis_tools engine
	* dialog-analysis-tools.c : make fourier analysis tool
	  undoable

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tools.h : change descriptive_stats_tool into
	  cmd_analysis_tools engine
	* dialog-analysis-tools.c : make descriptive statistics tool
	  undoable

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tools.h : change covariance_tool into
	  cmd_analysis_tools engine
	* dialog-analysis-tools.c : make covariance tool
	  undoable and add formatting options to all tools

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* correlation.glade : add options
	* covariance.glade : add options
	* descriptive-stats.glade : add options
	* exp-smoothing.glade : add options
	* fourier-analysis.glad : add options
	* histogram.glade : add options
	* mean-tests.glade : add options
	* moving-averages.glade : add options
	* random-generation.glade : add options
	* rank.glade : add options
	* regression.glade : add options
	* sampling.glade : add options
	* variance-tests.glade : add options
	* tools.h : change correlation_tool into
	  cmd_analysis_tools engine
	* dialog-analysis-tools.c : make correlation tool
	  undoable and add formatting option
	* dialog-printer-setup.c (hf_changed) : fix warning

2002-03-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* anova-one.glade : fix number of table rows
	* anova-two.glade : add options
	* dialog-analysis-tools.c : make 2 factor anova
	  undoable and add formatting options
	* tools.h : change 2-factor anova into
	  cmd_analysis_tools engine

2002-03-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c (dialog_function_write_recent_func) :
	  fix warnings and depend for default value on gconf.

2002-03-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c : complete port to gnome2
	* print.glade : add help button
	* hf-config.glade : port to gnome2

2002-03-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-printer-setup.c : port to gnome2 (except header/footer
	 customization)
	* print.glade : ditto

2002-03-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.2

2002-03-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c (dialog_function_load_recent_funcs) :
	  use a single gconf variable of type list of strings
	  rather than a list of gconf variables.
	(dialog_function_write_recent_func) : ditto, read the maximum
	  length of the list fom gconf.

2002-03-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao-gui-utils.c (focus_on_entry) : renamed to cb_focus_on_entry
	* dialog-analysis-tools.c (error_in_entry) : use focus_on_entry
	* dialog-goal-seek.c (focus_on_entry) : removed
	* dialog-tabulate.c (focus_on_entry) : removed
	* dialog-summary.c : use gnumeric_textview_[gs]et_text

2002-03-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* analysis-tools.glade : removed
	* mean-tests.glade : remove placeholder
	* Makefile.am : removed analysis-tools.glade

2002-03-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* summary.glade : make entry ids match summary names
	* dialog-summary.c : make changes undoable and dialog
	  modeless
	* dialogs.h (dialog_summary_update) : add switch

2002-03-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-comment.c : fix typo
	* dialog-summary.c : port to gnome 2 and make into a guru
	* dialogs.h : change arguments to dialog_summary_update
	* summary.glade : port to gnome 2

2002-03-24  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf-preview.c (stf_preview_draw_text): use default font

2002-03-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-stf.glade : fix crash causing errors

2002-03-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c: disable `by value'

2002-03-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c (dialog_function_load_recent_funcs) :
	  new
	(dialog_function_write_recent_func) : new
	(cb_dialog_function_select_ok_clicked) : call
	  dialog_function_write_recent_func
	(dialog_function_select_load_tree) : add `recent' cat
	(cb_dialog_function_select_cat_selection_changed) add recent
	  funcs to function list on `recent' cat selection.
	(dialog_function_select_init) call dialog_function_load_recent_funcs
	(dialog_function_select) : initialize recent_funcs

2002-03-23  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade: Removed dual program report button.  Will be done
	later, not for 1.2.

	* solver.glade: Added `Assume Integer (Discrete)' button.

	* dialog-solver.c: Related changes.

2002-03-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : implement varargs handling

2002-03-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : implement cursor handling
	* dialog-search.c : remove warning
	* function-select.glade : remove unnecessary text

2002-03-22  Almer S. Tigelaar  <almer@gnome.org>

	* autoformat.glade: Add new edge related check items.

	* dialog-autoformat.c (cb_apply_item_toggled): Renamed to ...
	(cb_check_item_toggled): Set new edge related flags.
	(cb_category_popwin_hide): Cope with function name change.
	(setup_apply_item): Renamed to ...
	(setup_check_item): Cope with function name change.
	(dialog_autoformat): Idem and initialize new edge related
	check items.

2002-03-22  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (solver_reporting): Added handling of max time
	exceeded.

2002-03-22  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-function-select.c : split categories and functions into
	  separate lists (we should really add subcategories to the
	  categories list
	* function-select.glade : ditto

2002-03-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c (dialog_formula_guru_init) : use
	  gnumeric_cell_renderer_expr_entry_new rather than
	  gtk_cell_renderer_text_new for editable column

2002-03-21  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-about.c (dialog_about): Added the authors of the LP Solve
	algorithm.

2002-03-21  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : support `rolling-up' of the window
	  to make Jon-Kare happy
	* formula-guru.glade : ditto

2002-03-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : handle existing function calls

2002-03-20  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (solver_reporting): Added check if max
	iterations was exceeded.

2002-03-20  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : enable `okay'

2002-03-19  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-formula-guru.c : rewritten
	* dialog-function-select.c : rewritten
	* formula-guru.glade : rewritten
	* function-select.glade : rewritten
	* dialogs.h (dialog_formula_guru) : change argument
	(dialog_function_select) : change argument and return type

2002-03-19  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade : Improved label.

	* dialogs-solver.c : QP related changes.

2002-03-18  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/goto.glade : removed navigator part
	* dialog-goto-cell.c : 	removed navigator

2002-03-18  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade : Added a button for quadratic programming.

	* dialog-solver.c : Handle LP, QP radio buttons.

2002-03-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/goto.glade : new
	* dialog-goto-cell.c : ported to gnome2, made into guru and
	  redesigned. The navigator is not implemented.

2002-03-17  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (fmt_dialog_init_font_page) : fix underline
	  handling by converting to gnumeric-combo-text.  Thanks to Almer for
	  pointing me at this code.
	(cb_font_underline_changed) : change signal semantics to match
	  the new combo.
	* cell-format.glade : Use a custom type.

2002-03-17  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/dialog-search-replace.c : ported to gnome2
	* src/dialogs/search-replace.glade : ported to gnome2 and
	  redesigned

2002-03-17  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade, dialog-solver.c : Added BOOL constraint support.

2002-03-16  Jon K Hellan  <hellan@acm.org>

	* dialog-cell-format.c (BorderPicker): Add is_auto_color member.
	(FormatState.border): Ditto.
	(FormatState.back): Remove back_color_is_default.
	(setup_color_pickers): Remove default_color, mcolor
	parameters. Handle autocolors.
	(cb_font_preview_color, cb_back_preview_color,
	cb_pattern_preview_color, border_get_mstyle,
	border_format_has_changed, cb_border_color, init_border_button,
	fmt_dialog_impl): Handle autocolors.
	(draw_pattern_selected): Remove old default color handling code.

2002-03-16  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (setup_color_pickers) : The signal has changed
	  name as well as signature.

2002-03-16  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (cb_dialog_solve_clicked): Store the status of
	the new buttons and entries.
	(dialog_init): Initialize the new entries.

	* dialog-goal-seek.c (focus_on_entry): Made public.

	* solver.glade: Added `automatic scaling' and `show iteration
	results' buttons.  Added `max iterations' and `max time' buttons.

2002-03-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (dialog_sheet_order) : some
	beautification
	NOTE: To compile, this requires today's cvs version of gal
	* sheet-order.glade : some beautification

2002-03-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-name.c : removed
	* sheet-rename.glade : removed
	* dialogs.h : removed ref to dialog_sheet_name
	* Makefile.am : removed dialog-sheet-name.c and
	  sheet-rename.glade

2002-03-15  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c : support changes to tab colors.
	* sheet-order.glade : rearrange to allow for color pickers

2002-03-15  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (cb_dialog_solve_clicked): Changes related to
	the enumeration of the solver's status type.
	(cb_dialog_solve_clicked): Fixed a crash when the specified target
	cell was empty.
	(cb_dialog_solve_clicked): Added != NULL check before free.

2002-03-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c : support showing the color
	  of colored tabs

2002-03-14  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (cb_dialog_solve_clicked): If the problem is
	infeasible report it as such.

2002-03-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* merge.glade : new dialog for the Merge tool
	* dialog-merge.c : newly implemented Merge tool
	* dialogs.h (dialog_merge) : new
	* Makefile.am : add dialog-merge.c and merge.glade

2002-03-12  Morten Welinder  <terra@diku.dk>

	* dialog-search.c (dialog_search): Drop the dummy state.  Newest
	gal no longer needs it.

2002-03-12  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-search.c : hook-up help button
	* search.glade : ditto

2002-03-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao-gui-utils.c (focus_on_entry) : The second widget is
	  an expr-entry widget
	(dialog_tool_init_outputs) : link to focus-in-event of
	  entry within the expr-entry widget

2002-03-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/search.glade : port to gnome2
	* src/dialogs/dialog-search.c : port to gnome2,
	  some problems remain to be fixed.

2002-03-11  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dao-gui-utils.[hc] : new files, code extracted from
	  src/tools/analysis-tools.[ch] and
	  src/dialogs/dialog-analysis-tools.c, various
	  functions renamed (prepended dao_)
	* dialog-analysis-tools.c : some code moved to
	  dao-gui-utils.[hc] and src/tools/dao.[hc], change of
	  names of utility functions now in dao-gui-utils.[hc]
	  or src/tools/dao.[hc]
	* src/dialogs/dialog-advanced-filter.c : change of
	  names of utility functions now in dao-gui-utils.[hc]
	  or src/tools/dao.[hc]
	* Makefile.am : added dao-gui-utils.[hc]

2002-03-11  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c : changes to color combo.

2002-03-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.1

2002-03-10  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* anova-one.glade : add more output options
	* dialog-analysis-tools.c : support new options in one-factor
	  anova and use cmd_analysis_tool
	* tools.h : replace anova_single_factor_tool with
	  analysis_tool_anova_single_engine

2002-03-10  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (cb_dialog_solve_clicked): Made the status of
	reporting checkbuttons persistent.
	(dialog_init): Related changes.

2002-03-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* cell-sort.glade : shrink dialog
	* dialog-cell-sort.c : use new GnumericCellRenderer for desc/asc
	  column and delete sort column.

2002-03-09  Jon K Hellan  <hellan@acm.org>

	* dialog-plugin-manager.c (cb_pm_button_activate_plugin_clicked,
	cb_pm_button_activate_all_clicked): Revert to pre 2002-03-08
	version. We apologize for the inconvenience.

2002-03-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* sheet-order.glade : use stock buttons and set title
	* dialog-sheet-order.c : use stock buttons

2002-03-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c : various minor modifications to make
	  Jody happy.

2002-03-09  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade, dialog-solver.c: Renamed `Program Report' as
	`Performance Report'.  Added check buttons for `Program Report'
	and `Dual Program Report'.

	* dialog-solver.c (cb_dialog_solve_clicked): Plug a leak.
	(grab_cells): Use append instead of prepend.  The order matters.
	(convert_constraint_format): Ditto.
	(revert_constraint_format): Ditto.

2002-03-09  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* sheet-order.glade : change button order
	* cell-sort.glade : ditto
	* dialog-sheet-order.c : various minor modifications and support
	  deletion of sheets.

2002-03-09  Jody Goldberg <jody@gnome.org>

	* dialog-paste-special.c : fix.

2002-03-08  Jon K Hellan  <hellan@acm.org>

	* dialog-plugin-manager.c (cb_pm_button_activate_plugin_clicked):
	Add parameter force_load = FALSE to activate_plugin call.
	(cb_pm_button_activate_all_clicked): Add parameter force_load =
	FALSE to plugin_db_activate_plugin_list call.

2002-03-08  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c (cb_dialog_solve_clicked): Make the reports only
	if solver found a proper sollution.
	(cb_dialog_solve_clicked): Added dialog to warn if the sensitivity
	or limits report cannot be created.
	(cb_dialog_solve_clicked): Added a check if target range or input
	range is not set.

2002-03-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-order.c (cb_selection_changed) : handle delete button
	(cb_toggle_deleted) : new
	(populate_sheet_list) : handle `is_deleted' column
	(move_cb) : ditto
	(cb_add_clicked) : ditto
	(cb_delete_clicked) : implement
	(cb_ok_clicked) : ignore deleted

2002-03-06  Jody Goldberg <jody@gnome.org>

	* dialog-advanced-filter.c (advanced_filter) : Use eval_pos_init_sheet.

	* dialog-solver.c (cb_dialog_solve_clicked) : fix leak.

2002-03-07  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* solver.glade: added `Program' checkbutton for program report and
	made the Limits reporting button sensitive.

2002-03-07  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* sheet-order.glade : add buttons
	* cell-sort.glade : reorder buttons
	* dialog-sheet-order.c (cb_row_inserted) : deleted
	(cb_selection_changed) : add more buttons
	(populate_sheet_list) : remove "row_inserted" handler
	(move_cb) : move wb_view_sheet_focus to cb_selection_changed
	(cb_add_clicked) : new
	(cb_duplicate_clicked) : new stub
	(cb_delete_clicked) : new stub
	(dialog_sheet_order) : add handlers to new buttons

2002-03-06  Jukka-Pekka Iivonen  <jiivonen@hutcs.cs.hut.fi>

	* dialog-solver.c: Solver rewrite related changes.  Things are not
	quite done yet.

2002-03-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-comment.c (cb_cell_comment_ok_clicked) : use
	  cmd_set_comment
	(dialog_cell_comment) : use cell_has_comment_pos

2002-03-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-sheet-name.c (cb_sheet_name_ok_clicked ) : change the
	  invocation of cmd_rename_sheet
	* dialog-sheet-order.c : implement sheet renaming and check whether
	  any changes are pending before submitting a command.

2002-03-02  Jody Goldberg <jody@gnome.org>

	* dialog-formula-guru.c (cb_formula_guru_rolled_entry_changed) : Use
	  the convenience routines.
	(formula_guru_set_rolled_state) : partial fix.

	* formula-guru.glade : fix conversion problems.

2002-03-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : add cell-comment.glade
	* dialog-cell-comment.c : port to gnome2 and make guru
	NOTE: adding/modifying comments still does not work:
	crash in cell_comment_destroy (apparent confusion between
	GObject and GtkObject)
	* cell-comment.glade : new file

2002-03-01  Morten Welinder  <terra@diku.dk>

	* dialog-solver.c (free_original_values): Simplify.

2002-03-01  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* src/dialogs/dialog-zoom.glade : add helpbutton
	* src/dialogs/dialog-zoom.c : port and reimplement as
	guru

2002-02-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* tabulate.glade : add help button
	* dialog-tabulate.c (dialog_tabulate) : ditto
	* dialog-sheet-order.c (get_selected_sheet) : deleted
	(location_of_iter) : new
	(cb_selection_changed) : don't affect the real sheets
	(move_cb) : don't move the real sheets
	(cb_close_clicked) : replaced by cb_cancel_clicked
	(cb_ok_clicked) : new
	(cb_sheet_order_destroy) : free old_order
	(sheet_order_dialog) : set-up more buttons

2002-02-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-tabulate.c (ok_clicked) : lots of changes
	  to use the new expr entry widget, renamed to
	  (tabulate_ok_clicked)
	(get_table_expr_entry) : new
	(get_table_entry) : deleted
	(get_table_float_entry) : new
	(cancel_clicked) : use GtkDialog
	(focus_on_entry) : this only works for GtkEntry
	(single_cell) : use gnm_expr_entry_parse_as_value
	(dialog_tabulate) : use GtkDialog
	* tabulate.glade : placeholders don't work anymore

2002-02-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* delete-cells.glade : add help button, change some ids
	* dialog-delete-cells.c : rewrite as guru

2002-02-28  Jody Goldberg <jody@gnome.org>

	* cell-format.glade : reorder slightly.

2002-02-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* insert-cells.glade : add help button, change some ids
	* dialog-insert-cells.c : rewrite as guru

2002-02-28  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (draw_format_preview) : split the format
	  generation out into.
	(generate_format) : here.
	(cb_format_entry_changed) : don't regenerate the format.  This
          callback is called during the assignment of the format.  so we were
	  assigning things twice.  Simplify it while we're in here.
	(fmt_dialog_init_validation_page) : Use gnm_expr_entry_load_from_expr.
	(validation_entry_from_expr) : delete.
	(fmt_dialog_enable_widgets) : don't reorder things.  We only bother
	  storing the interesting widget, bu there are wrappers around some of
	  them which was breaking the reorder process.

2002-02-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (error_in_entry) : gnumeric-expr-
	  entries are not gtkentries.
	(tool_destroy) : use g_object_unref
	(tool_load_selection) : gnumeric-expr-entries are not
	  gtkentries.
	(dialog_random_tool_init) : load selection into gnumeric-
	  expr-entry rather than gtkentry

2002-02-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* autocorrect-glade : don't set has_focus for a widget on an
	  inactive notebook page

2002-02-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-goal-seek.c (focus_on_entry) : change argument type
	(cb_dialog_apply_clicked) : handle new expr entry widget, use
	  entry_to_float_with_format

2002-02-27  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-consolidate.c (is_cell_ref) replace with
	  gnm_expr_entry_is_cell_ref
	(cb_add_clicked) : use gnm_expr_entry_global_range_name
	* dialog-solver.c (is_hom_row_or_col_ref) : use
	  gnm_expr_entry_parse_as_value
	(is_cell_ref) replace with gnm_expr_entry_is_cell_ref
	(cb_dialog_add_clicked) : use gnm_expr_entry_parse_as_value
	(cb_dialog_solve_clicked) : ditto

2002-02-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-consolidate.c (cb_add_clicked) : expr-entries are not
	  GTK_EDITABLES

2002-02-26  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-about.c (dialog_about) : don't use gnome_dialog

2002-02-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-format.c (fmt_dialog_init_validation_expr_entry) :
	  set flags
	(cb_fmt_dialog_set_focus) : remove code now in wbcg_edit_attach_guru
	* dialog-cell-sort.c (dialog_set_focus) : deleted
	* dialog-consolidate.c (cb_dialog_set_focus) : deleted
	(setup_widgets) : set expr entry flags
	* dialog-define-names.c (cb_name_guru_set_focus) : deleted
	(name_guru_init) : set expr entry flags
	* dialog-goal-seek.c (dialog_set_focus) : deleted
	* dialog-printer-setup.c (cb_do_print_set_focus) : deleted
	* dialog-search-replace.c (set_focus) : deleted
	* dialog-search.c (set_focus) : deleted
	* dialog-solver.c (dialog_set_focus) : deleted
	* dialog-tabulate.c (set_focus) : deleted

2002-02-25  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-advanced-filter.c (dialog_init) : remove ref to
	  tool_set_focus (now done in wbcg_edit_attach_guru)
	* dialog-analysis-tools.c (tool_set_focus) : moved into
	  src/workbook-edit.c as guru_set_focus
	(dialog_tool_init) : remove ref to
	  tool_set_focus (now done in wbcg_edit_attach_guru)
	(dialog_random_tool_init) : ditto
	(dialog_regression_tool_init) : ditto
	(dialog_histogram_tool_init) : ditto

2002-02-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* cell-sort.glade : Add `add' entry
	* dialog-cell-sort.c (append_data) : code extracted from
	  load_model_data
	(load_model_data) : use append_data
	(value_to_global_range) : utility for cb_update_add_sensitivity
	(cb_update_add_sensitivity) : update add button sensitivity
	(cb_update_sensitivity) : call cb_update_add_sensitivity
	(cb_ok_clicked) : adjust base (the tree widget now stores
	  row and col numbers rather than offset)
	(cb_add_clicked) : new
	(dialog_init) : set up add-entry

2002-02-23  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-analysis-tools.c (tool_set_focus) : the focus widget
	  is the entry in the gnumeric-expr-entry widget
	* dialog-cell-sort.c (dialog_set_focus) : the focus widget
	  is the entry in the gnumeric-expr-entry widget
	(dialog_init) : set update_policy, use update rather than changed
	  signal

2002-02-23  Kjartan Maraas  <kmaraas@gnome.org>

	* *.glade: Don't translate the widget label.

2002-02-22  Kjartan Maraas  <kmaraas@gnome.org>

	* dialog-about.c: Remove unsupported #ifdef ENABLE_NLS.

2002-02-21  Morten Welinder  <terra@diku.dk>

	* dialog-summary.c (dialog_summary_update): Constify.

	* dialog-stf-preview.c (stf_preview_draw_grid): Constify.

	* dialog-solver.c (cb_dialog_solve_clicked): Remove unneeded
	initialisation.

	* dialog-cell-format.c (fmt_dialog_init_format_page): Constify.
	(cb_validation_sensitivity): Constify.  Fix broken sensitivity
	code.

	* dialog-consolidate.c (construct_consolidate): Constify.

2002-02-20  Morten Welinder  <terra@diku.dk>

	* dialog-printer-setup.c (do_setup_page): Constify.

	* dialog-paste-special.c (paste_types, paste_ops): Constify.

	* dialog-cell-format.c (cb_validation_error_action_deactivate):
 	Constify.

	* dialog-analysis-tools.c (dialog_tool_init): Constify.

	* dialog-stf-preview.c (stf_preview_draw_box): Constify.
	(stf_preview_draw_line): Constify.
	(stf_preview_draw_text): Constify.

	* dialog-printer-setup.c (unit_editor_configure): Constify.

2002-02-18  Jody Goldberg <jody@gnome.org>

	* dialog-cell-format.c (fmt_dialog_impl) : fix signature
	  on apply button.

2002-02-18  Jody Goldberg <jody@gnome.org>

	* Release 1.1.0

2002-02-15  Jody Goldberg <jody@gnome.org>

	* function-select.glade : fix conversion breakage.  Still in bad
	  shape.

2002-02-10  Jody Goldberg <jody@gnome.org>

	* dialog-formula-guru.c (formula_guru_arg_new) : labels don't need
	  to expand.

2002-02-08  Jody Goldberg <jody@gnome.org>

	* sheet-order.glade  : supply a default size.

2002-02-07  Jody Goldberg <jody@gnome.org>

	* dialog-autoformat.c (cb_remove_current_activated) : unused.

2002-02-06  Michael Meeks  <michael@ximian.com>

	* dialog-graph-guru.c (dialog_graph_guru): fix typo.

2002-02-06  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c (cb_sort_selection_changed) : handle delete
	  button
	(cb_delete_clicked) : new
	(dialog_init) : connect cb_delete_clicked to button

2002-02-05  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* goalseek.glade : remove hbox from active-area
	* cell-sort.glade : add add and delete buttons (currently
	  inactive)
	* dialog-cell-sort.c :  add add and delete buttons (currently
	  inactive), set initial top-bottom vs left-right depending on
	  shape of initial selection, add only MAX_INITIAL_CLAUSES to the
	  list of available clauses (to avoid adding 65000+ if a complete
	  column is selected).

2002-02-05  Jon K Hellan  <hellan@acm.org>

	* dialog-cell-format.c (border_get_mstyle): Use style_color_new_i8.

2002-02-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c : fine-tune the sort dialog and connect
	  to sort-command

2002-02-04  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-cell-sort.c : complete the sort dialog. Note: The
	  dialog is still not connected to the sort engine.

2002-02-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* cell-sort.glade : port to gnome2 and redesign as guru using
	  treeview
	* dialog-cell-sort.c : initial port to gnome2 and
	  guru-ification, sorting is currently disabled util completion
	  of this port.

2002-02-02  Jody Goldberg <jody@gnome.org>

	* autoformat.glade : Consistently Use 'label:' rather than 'label :'
	* cell-format.glade : ditto.
	* consolidate.glade : ditto.
	* dialog-stf-export.glade : ditto.
	* dialog-stf.glade : ditto.
	* names.glade : ditto.

	* dialog-autoformat.c : an initial port to gnome2
	  and guru-ification.

2002-02-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* plugin-manager.glade : replace last clist with gtktreeview
	* dialog-plugin-manager.c : replace last clist with
	  gtktreeview
	(dialog_plugin_manager) : move from clist to treeview
	(update_plugin_details_view) : ditto

2002-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-plugin-manager.c (update_plugin_manager_view) :
	  preserve selection, and set default selection
	(plugin_compare_name) : reverse sense
	(dialog_plugin_manager) : make selection a state variable

2002-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* plugin-manager.glade : replace clists with gtktreeview
	* dialog-plugin-manager.c : move from clists to treeview
	(cb_pm_selection_changed) : new
	(cb_pm_clist_row_selected) : deleted
	(cb_pm_clist_row_unselected) : deleted
	(pm_dialog_init) : remove clist references
	(update_plugin_manager_view) : rewritten
	(dialog_plugin_manager) : move from clists to treeview

2002-01-31  Jody Goldberg <jody@gnome.org>

	* dialog-graph-guru.c (graph_guru_state_destroy) : convert graphs to
	  GObjects.

2002-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* plugin-manager.glade : first port to gnome2
	* dialog-plugin-manager.c : ditto
	  Note: this is far from finished, but at least it
	  doesn't crash.

2002-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* Makefile.am : add dialog-sheet-name.c
	* dialog-sheet-name.c : extracted from dialog-simple-input.c
	* dialog-advanced-filter.c : clean-up
	* dialog-analysis-tools.c : clean-up
	* dialog-autosave.c : clean-up
	* dialog-consolidate.c : clean-up
	* dialog-simple-input.c : clean-up

2002-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* advanced-filter.glade : add padding to warnings
	* dialog-advanced-filter.c (advanced_filter_ok_clicked_cb) :
	  provide information dialog if no records are found
	(advanced_filter) : ditto
	(advanced_filter_update_sensitivity_cb) : provide information
	  messages in warning label
	* dialog-sheet-order.c (populate_sheet_list) : disable drag
	starts in sheet list and desensitize column header

2002-01-31  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* advanced-filter.glade : port to gnome2 and redesign
	* dialog-advanced-filter.c (filter) : change in-place-output
	  handling and duplicate values rather than copying strings
	(advanced_filter) : use parse_database_criteria, prepare_output
	  after determining validity of input.
	(in_place_toggled) : deleted
	(copy_to_toggled) : deleted
	(new_sheet_toggled) : deleted
	(new_workbook_toggled) : deleted
	(dialog_help_cb) : deleted
	(advanced_filter_update_sensitivity_cb) : new callback
	(advanced_filter_ok_clicked_cb) : new callback
	(dialog_advanced_filter_init) : new procedure (create guru)
	(dialog_advanced_filter) : rewrite as guru
	* dialog-analysis-tools.c : move various definitions to
	  src/analysis-tools.h
	(gnumeric_expr_entry_parse_to_value) : make non-static
	(error_in_entry) : make non-static
	(parse_output) : make non-static
	(tool_destroy) : make non-static
	(tool_set_focus) : make non-static
	(dialog_tool_init_outputs) : make non-static
	(dialog_tool_init_buttons) : make non-static
	(tool_load_selection) : make non-static

2002-01-29  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* dialog-simple-input.c (dialog_get_sheet_name) replaced by
	  sheet_name_destroy, cb_sheet_name_ok_clicked,
	  cb_sheet_name_cancel_clicked, dialog_sheet_name
	* dialogs.h (dialog_get_sheet_name) : replace with
	  dialog_sheet_name
	* sheet-rename.glade : use descriptive button ids &
	  edit label

2002-01-28  Jody Goldberg <jody@gnome.org>

	* dialog-sheet-order.c (cb_sheet_order_destroy) : detach guru.
	(get_selected_sheet) : new util.
	(cb_selection_changed) : rework.
	(populate_sheet_list) : simplify.
	(move_cb) : implement.

2002-01-28  Jody Goldberg <jody@gnome.org>

	* sheet-order.glade : rewrite.
	* dialog-sheet-order.c : begin transfer to TreeView.
	NOTE : IT CRASHES ! commit now so that jrb can see what the hell is
	going on.

2002-01-28  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* consolidate.glade : add help button
	* dialog-consolidate.c (gnumeric_expr_entry_parse_to_value) :
	  new procedure
	(construct_consolidate) : use gnumeric_expr_entry_parse_to_value
	  and global_range_parse
	(is_cell_ref) : new procedure
	(dialog_set_button_sensitivity) : new callback
	(cb_source_changed) : use is_cell_ref
	(cb_add_source_area) : use global_range_name
	(setup_widgets) : attach help button and connect new callbacks
